<?php
/*****************************************************
 * $Id: auth.class.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
 *
 * Name: auth.class.php
 * Description: ȸ  Ŭ
 *****************************************************/

class Auth {

  //  ͸  Ű ̸
  protected $cookiename;

  //   ͸  迭
  protected $userdata;

  //   Ȯ Ƽ (true:, false: )
  public $IsAuthenticated = false;

  //  ޽
  static public $Error = "";

  ////////////////////////////////////////////////////////////////////////////
  // function __construct($cookiename)
  //
  // Visibility: public
  // Parameters:
  //   - $cookiename:  ͸  Ű ̸
  // Return Values: None
  //
  // 
  ///////////////////////////////////////////////////////////////////////////

  public function __construct($cookiename) {

    // Էµ Ű ̸ 
    $this->cookiename = $cookiename;

    /* Ű  θ ȮѴ */

    //  Ű 
    if ( isset($_COOKIE[$this->cookiename]) &&
         is_array($_COOKIE[$this->cookiename]) &&
         count($_COOKIE[$this->cookiename]) > 0 &&
         isset($_COOKIE[$this->cookiename]["ID"]) &&
         $_COOKIE[$this->cookiename]["ID"] != "" ) {

        // Ű    ڷ Ѵ.

      $this->userdata = $_COOKIE[$this->cookiename];

      $this->IsAuthenticated = true;

    } else {

      // Ű    ڷ Ѵ.

      $this->IsAuthenticated = false;
    }
  }

  ////////////////////////////////////////////////////////////////////////////
  // function _bind_userdata($id, $passwd)
  //
  // Visibility: protected
  // Parameters:
  //   - $id: α ̵
  //   - $passwd: α н
  // Return Values: None
  //
  //   ͸  $userdata εѴ.
  // (: Ļ Ŭ ݵ Ͽ ؾ Ѵ.
  //         κп ͺ̽  ó ϵ ϰ
  //            $Error ش  ޽ ϰ
  //            $userdata Ű Ϸ 
  //         ͸ 迭 · Ѵ.)
  ///////////////////////////////////////////////////////////////////////////

  protected function _bind_userdata($id, $passwd) {
  }


  ////////////////////////////////////////////////////////////////////////////
  // function SignOn($id, $passwd, $idsave)
  //
  // Visibility: public
  // Parameters:
  //   - $id: α ̵
  //   - $passwd: α н
  //   - $idsave: id   (true/false)
  // Return Values:
  //   - :true / :false
  //
  // ȿ  ȮϿ   Ű  ´.
  ///////////////////////////////////////////////////////////////////////////

  public function SignOn($id, $passwd, $idsave) {

    // id, passwd Է  üũ
    if ( $id == "" || $passwd == "" ) {
      $this->Error = "̵ йȣ Է ֽʽÿ.";
      return false;
    }

    //   $userdata   ͸ εѴ.
    $this->_bind_userdata($id, $passwd);

    /*    Ȯ */

    if ( isset($this->userdata) &&
         is_array($this->userdata) &&
         count($this->userdata) > 0 ) {

      /*    Ű  Ѵ. */

      // α ̵ COOKIE 
      setcookie($this->cookiename . "[ID]", $id, 0, "/", $_SERVER["HTTP_HOST"]);

      // Ÿ   COOKIE 
      while ( list($key, $value) = each($this->userdata) ) {
        setcookie($this->cookiename . "[" . $key . "]", $value, 0, "/", $_SERVER["HTTP_HOST"]);
      }

      // ID    ó
      if ( $idsave == true ) {
        setcookie($this->cookiename . "[IDSAVE]", $id, time() + 2592000, "/", $_SERVER["HTTP_HOST"]);
      } else {
        setcookie($this->cookiename . "[IDSAVE]", "", time() - 2592000, "/", $_SERVER["HTTP_HOST"]);
      }

      $this->IsAuthenticated = true;

      return true;

    } else {

      /*
       *    FALSE ȯѴ.
       *  ޽ _bind_userdata() ó    $Error ȴ.
       */

      $this->IsAuthenticated = false;

      return false;
    }
  }

  ////////////////////////////////////////////////////////////////////////////
  // function SignOut()
  //
  // Visibility: public
  // Parameters: None
  // Return Values: None
  //
  //  Ű   ϰ α׾ƿ óѴ.
  ///////////////////////////////////////////////////////////////////////////

  public function SignOut() {

    // Ű  ´.
    $cookie_vars = $_COOKIE[$this->cookiename];

    // شϴ  Ű Ѵ.
    while ( list($key, ) = each($cookie_vars) ) {

      if ( is_numeric($key) ) {
        continue;
      }

      if ( $key != "IDSAVE" ) {
        setcookie($this->cookiename . "[" . $key . "]", "", 0, "/", $_SERVER["HTTP_HOST"]);
      }
    }

    //  · .
    $this->IsAuthenticated = false;
  }

  ////////////////////////////////////////////////////////////////////////////
  // function getInfo($key)
  //
  // Visibility: public
  // Parameters:
  //   - $key: Ȯ  Ű 
  // Return Values:
  //   - $key    
  //
  //     ʿ  ȸѴ.
  ///////////////////////////////////////////////////////////////////////////

  public function getInfo($key) {

    /*   θ Ȯ */

    if ( $this->IsAuthenticated == false ) {
      $this->Error = "  Դϴ.";
      return false;
    }

    /* $key شϴ  ˻ */

    if ( !isset($this->userdata[$key]) ) {
      //   ͸ ȸϴ   ó

      $this->Error = "ش  ϴ.";
      return false;

    } else {
      // $key   ȯѴ.

      return $this->userdata[$key];
    }
  }
}
?>
