<?php
	/*
	====================================================
		SockClient 

		 : ȣ 
		 : Socket Ͽ Ÿ(ɾ)  ϴ Ŭ
	====================================================
	*/
	class SockClient
	{
		private $tcp_ip;				//   IP
		private $tcp_port;			//   PORT
		private $rcv_buf;				// Ÿ Receive   ũ
		private $socket;				// Socket ü

		// ************************************************
		//  :   IP PORT ޾Ƽ  Ѵ.
		// ************************************************
		public function __construct ($ip, $port, $buf = 2048) {
			$this->tcp_ip = $ip;
			$this->tcp_port = $port;	
			$this->rcv_buf = $buf;
		}

		public function setConnInfo($ip, $port, $buf = 2048) {
			$this->tcp_ip = $ip;
			$this->tcp_port = $port;	
			$this->rcv_buf = $buf;
		}

		// ************************************************
		// Socket   :  IP PORT Socket ϰ  Ѵ.
		// ************************************************
		private function createConnect($sock_type='TCP') {
			if ( isset ($this->tcp_ip) && !empty ($this->tcp_ip) &&
				 isset ($this->tcp_port) && !empty ($this->tcp_port) )
			{
				// Address/Protocol Family : AF_INET (IPv4)
				// Socket Type : SOCK_STREAM
				// Protocol : SOL_TCP
				if ($sock_type == 'TCP' || empty($sock_type)) {
					$this->socket = socket_create (AF_INET, SOCK_STREAM, SOL_TCP);
				} else if ($sock_type == 'UDP') {
					$this->socket = socket_create (AF_INET, SOCK_DGRAM, SOL_UDP);
				} else {
					echo "Sock Type Unknown !!!";
					return false;
				}
				$result = @socket_connect ($this->socket, $this->tcp_ip, $this->tcp_port);

				if (!$result)
				{
					unset ($this->socket);
				}
			}
		}

		// ************************************************
		//   :  Socket Text ɾ 
		// ************************************************
		public function sendTextCmd($cmd, $sock_type='TCP')
		{
			if ( isset ($cmd) && !empty($cmd) ) {
				// Socket  
				$this->createConnect($sock_type);

				if (isset($this->socket)) {
					//  
					$send = socket_write ($this->socket, $cmd, strlen($cmd));

					// ŵ  ޴ 
					$ret_val;
					
					// PHP_NORMAL_READ : ŵ  \n ̳ \r   (PHP_NORMAL_READ)
					if ($sock_type != 'UDP') {
						while ($out = @socket_read ($this->socket, $this->rcv_buf, PHP_BINARY_READ)) {
							$ret_val .= $out;
						}
					}

					// Socket Close
					socket_close ($this->socket);					

					return $ret_val;
				} else {
					return "0:Socket  ";
				}
			} else {
				return "0: ɾ ϴ.";
			}
		}
	}
?>