<?
//
//	$Id: arp_put.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//	NAME: ARP 전체목록
//	ARGUMENT:
//	DESCRIPTION:
//		L3 에서 FETCH 하는 ARP 전체목록.
//
//	REFERENCE:
//		mysql> desc L3host;
//		+----------+-------------+------+-----+---------+-------+
//		| Field    | Type        | Null | Key | Default | Extra |
//		+----------+-------------+------+-----+---------+-------+
//		| ip       | varchar(20) | NO   | PRI |         |       |
//		| name     | varchar(32) | YES  |     | NULL    |       |
//		| host_id  | int(11)     | YES  |     | NULL    |       |
//		| comunity | varchar(16) | YES  |     | NULL    |       |
//		| ts       | datetime    | YES  |     | NULL    |       |
//		+----------+-------------+------+-----+---------+-------+
//		5 rows in set (0.01 sec)
//		
//		mysql> desc dup_mac;
//		+-------+-------------+------+-----+---------+-------+
//		| Field | Type        | Null | Key | Default | Extra |
//		+-------+-------------+------+-----+---------+-------+
//		| mac   | varchar(32) | NO   | PRI |         |       |
//		| l3ip  | varchar(20) | NO   |     |         |       |
//		| ip    | varchar(20) | YES  |     | NULL    |       |
//		| vlan  | varchar(10) | NO   |     |         |       |
//		| memo  | tinytext    | YES  |     | NULL    |       |
//		| ts    | datetime    | YES  |     | NULL    |       |
//		+-------+-------------+------+-----+---------+-------+
//		6 rows in set (0.00 sec)
//
//		mysql> desc account;
//		+-----------+---------------+------+-----+---------------------+----------------+
//		| Field     | Type          | Null | Key | Default             | Extra          |
//		+-----------+---------------+------+-----+---------------------+----------------+
//		| sid       | int(11)       | NO   | PRI | NULL                | auto_increment |
//		| gid       | int(11)       | NO   | UNI |                     |                |
//		| ip        | varchar(16)   | NO   | MUL |                     |                |
//		| svc_no    | varchar(6)    | NO   |     |                     |                |
//		| name      | tinytext      | YES  |     | NULL                |                |
//		| wkid      | varchar(6)    | NO   |     |                     |                |
//		| ts        | datetime      | NO   |     | 0000-00-00 00:00:00 |                |
//		| limit_cnt | int(11)       | YES  |     | NULL                |                |
//		| pause     | enum('Y','N') | YES  |     | N                   |                |
//		+-----------+---------------+------+-----+---------------------+----------------+
//		9 rows in set (0.00 sec)
//
//		mysql> desc ip_desc;
//		+--------+-------------+------+-----+---------------------+-------+
//		| Field  | Type        | Null | Key | Default             | Extra |
//		+--------+-------------+------+-----+---------------------+-------+
//		| ip     | varchar(15) | NO   | PRI |                     |       |
//		| memo   | tinytext    | NO   |     |                     |       |
//		| reg_id | varchar(10) | NO   |     |                     |       |
//		| ts     | datetime    | NO   |     | 0000-00-00 00:00:00 |       |
//		+--------+-------------+------+-----+---------------------+-------+
//		4 rows in set (0.03 sec)
//

	require_once("./config.php");
	require_once("../include/config.php");
	require_once("DIRECTLIB/adodb/adodb.inc.php");
	require_once("DIRECTLIB/include/db.php");

	$db = db_conn ($database_type, $database_hostname, $database_username, $database_password, $database_default);
	if ($db === false)
	{
		die ("connect faild");
	}

	$query = "SELECT ip,name,comunity FROM L3host ORDER BY name";
	if (($L3_arr = get_array($db, $query)) == false) $L3_arr = array ();

	$et=time(); $st=$et-(3600*24);

?>
<html>
<head>
<title>L3 MAC List - Samjung Data Service Network Admin</title>
<link rel="stylesheet" type="text/css" href="style.css" />
<script language="javascript">
<!--

function gr_open (gid)
{
	window.open("../graph_image.php?local_graph_id="+gid+"&rra_id=0&view_type=tree&graph_start=<?=$st?>&graph_end=<?=$et?>",
	"graph", "width=500,height=240");
}

function write_desc (ip)
{
	window.open("write_ip_desc_2nd.php?ip="+ip, "ip_desc", "width=500,height=140");
}

-->
</script>
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<? require_once ("cacti_head.php") ?>
<br>
<div align="left" style="margin-left:10px;">
<table width="90%" border=0>
 <tr>
  <td align="left">
    <font size="3"><b>MAC FULL LIST</b></font> [<a href="arp_list.php">prev</a>]
  </td>
 </tr>
</table>
<br>
(주1) GID 클릭시 해당 스위치포트의 트래픽 그래프를 확인할 수 있음<br>
(주2) DESCRIPTION 클릭시 IP 해당하는 설명을 입력할 수 있음<br>
<form method="post" name="arp_put" action="arp_put.php" enctype="multipart/form-data">
<?
	$total_no = 0;
	$dup_no = 0;
	$empty_no = 0;
	$desc_arr = array();

	for ($i=0; $i<count($L3_arr); $i++)
	{
		get_desc ($L3_arr[$i]["ip"],$L3_arr[$i]["comunity"]);
//print_r ($desc_arr);
?>
<h2><?=$L3_arr[$i]["name"]?> (<?=$L3_arr[$i]["ip"]?>)</h2>
<table width="98%" border="0" bgcolor="gainsboro">
  <tr bgcolor="#3154a5" height="24" align="center">
    <td width="32"><font color="white">NO</font></td>
    <td width="50"><font color="white">VLAN</font></td>
    <td width="100"><font color="white">IP</font></td>
    <td width="120"><font color="white">MAC</font></td>
    <td width="50"><font color="white">SVCNO</font></td>
    <td width="50"><font color="white">GID</font></td>
    <td width="*"><font color="white">NAME</font></td>
    <td width="*"><font color="white">DUP MEMO</font></td>
    <td width="*"><font color="white">DESCRIPTION</font></td>
  </tr>
<?
		$cmd = SNMPWALK_EXEC." ".SNMPWALK_OPTION." -c ".$L3_arr[$i]["comunity"]." ".$L3_arr[$i]["ip"]." ".ARP_MAC_OID;
		if (($fp = popen ($cmd, "r")) == false)
		{
			echo __FILE__."(".__LINE__."): execution error. cmd=[$cmd]";
			exit;
		}
//		echo __FILE__."(".__LINE__."): cmd=[$cmd]";

		$arp = array();
		$idx = 0;
		$no = 1;
		while (!feof ($fp))
		{
			$buffer = fgets ($fp, 256);
			if (strlen($buffer) < 2) break;
//			echo __FILE__."(".__LINE__."): buffer=[$buffer]";
// .1.3.6.1.2.1.3.1.1.2.100.1.211.115.209.170 = Hex-STRING: 00 12 F2 3B B1 00
			$n = strpos ($buffer, ":");
			$mac_addr = trim(substr ($buffer, $n+1));	// blank skip.
			$n = strpos ($buffer, "=");
			$temp = substr ($buffer, 0, $n);
			$ip_arr = explode (".", $temp);
//print_r ($ip_arr);
			$ip_addr = $ip_arr[IP_OFFSET].".".$ip_arr[IP_OFFSET+1].".".$ip_arr[IP_OFFSET+2].".".$ip_arr[IP_OFFSET+3];
			$vlan = $ip_arr[VLAN_OFFSET];

  			$dup_flag = dup_check($mac_addr, $idx);
			$memo = "";
			if ($dup_flag)
			{
				$query = "SELECT memo FROM dup_mac WHERE mac='$mac_addr'";
				if (($tmp_arr = get_array($db, $query)) === false)
				{
					$bgcolor = "orange";
				}
				else
				{
					$bgcolor = "gainsboro";
					$memo = $tmp_arr[0]["memo"];
				}
				$dup_no++;
			}
			else $bgcolor = "white";

			$digit = ($ip_arr[IP_OFFSET+2] * 256) + $ip_arr[IP_OFFSET+3];
			if ($idx > 0)
			{
				$n = abs($arp[$idx-1]["digit"] - $digit);
//echo "DIGIT=[".$arp[$idx-1]["digit"]."]/[$digit]=[$n]<br>";
			}
			else $n = 1;

			if ($n > 1 && $n < 256)
			{
				$j = (substr($arp[$idx-1]["ip"],strrpos($arp[$idx-1]["ip"],'.')+1)) + 1;
				for (; $j<$ip_arr[IP_OFFSET+3] && $j<256; $j++)
				{
					$ip_addr_empty = $ip_arr[IP_OFFSET].".".$ip_arr[IP_OFFSET+1].".".$ip_arr[IP_OFFSET+2].".$j";

					// 고객정보 FETCH
					$query = "SELECT svc_no,name,gid FROM account WHERE ip='$ip_addr_empty'";
					if (($acct_arr = get_array($db, $query)) !== false)
					{
						$name = $acct_arr[0]["name"];
						$svc_no = $acct_arr[0]["svc_no"];
						$gid = $acct_arr[0]["gid"];
					}
					else $name = $svc_no = $gid = "";

					// IP 용도를 기록한 메모
					$query = "SELECT memo FROM ip_desc WHERE ip='$ip_addr_empty'";
					if (($tmp_arr = get_array($db, $query)) !== false) $ip_desc = $tmp_arr[0]["memo"];
					else	$ip_desc = "";

?>
  <tr bgcolor="#ffff99">
	<td align="center"><?=($no++)?></td>
	<td align="center">&nbsp;</td>
	<td align="center"><?=$ip_addr_empty?></td>
	<td align="center">&nbsp;</td>
	<td align="center">&nbsp;</td>
	<td align="center">&nbsp;</a></td>
	<td align="left">&nbsp;</td>
	<td align="left">&nbsp;</td>
	<td align="left" OnClick="write_desc('<?=$ip_addr_empty?>')"><?=$ip_desc?>&nbsp;</td>
  </tr>
<?
					$empty_no++;
				}	// of for()
			}	// of if()

			// 고객정보 FETCH
			$query = "SELECT svc_no,name,gid FROM account WHERE ip='$ip_addr'";
			if (($acct_arr = get_array($db, $query)) !== false)
			{
				$name = $acct_arr[0]["name"];
				$svc_no = $acct_arr[0]["svc_no"];
				$gid = $acct_arr[0]["gid"];
			}
			else $name = $svc_no = $gid = "";

			// IP 용도를 기록한 메모
			$query = "SELECT memo FROM ip_desc WHERE ip='$ip_addr'";
			if (($tmp_arr = get_array($db, $query)) !== false) $ip_desc = $tmp_arr[0]["memo"];
			else	$ip_desc = "";
?>
  <tr bgcolor="<?=$bgcolor?>">
	<td align="center"><?=($no++)?></td>
	<td align="center"><?=$desc_arr[$L3_arr[$i]["ip"]][$vlan]?></td>
	<td align="center"><?=$ip_addr?></td>
	<td align="center"><?=$mac_addr?></td>
	<td align="center"><?=$svc_no?></td>
	<td align="center"><a href="javascript:gr_open(<?=$gid?>)"><?=$gid?></a></td>
	<td align="left"><?=$name?></td>
	<td align="left"><?=$memo?>&nbsp;</td>
	<td align="left" OnClick="write_desc('<?=$ip_addr?>')"><?=$ip_desc?>&nbsp;</td>
  </tr>
<?
				
			// 중복을 체크하기 위해서 목록화.
			$arp[$idx]["mac"] = $mac_addr;
			$arp[$idx]["ip"] = $ip_addr;
			$arp[$idx]["digit"] = $digit;
			$idx++;
		}
		$total_no += $idx;
?>
</table>
<?
	}
	echo "<br><b>Total Hosts = $total_no, Duplicate MAC = $dup_no, Empty IP = $empty_no</b><br>\n";
?>
</form>

</div>
<p>&nbsp;</p>

</body>
</html>

<?
/////////////// FUNCTION /////////////////

//
//	장비의 Desc FETCH
//
function get_desc ($ip, $comunity)
{
	global $desc_arr, $desc_no, $_POST;

	$cmd = SNMPWALK_EXEC." ".SNMPWALK_OPTION." -c $comunity $ip ".DESC_OID;
	if (($fp = popen ($cmd, "r")) == false)
	{
		echo __FILE__."(".__LINE__."): execution error. cmd=[$cmd]";
		exit;
	}
//	echo __FILE__."(".__LINE__."): cmd=[$cmd]";

	$no = 0;
	while (!feof ($fp))
	{
		$buffer = fgets ($fp, 256);
		if (strlen($buffer) < 2) break;
//		echo __FILE__."(".__LINE__."): buffer=[$buffer]";
// .1.3.6.1.2.1.2.2.1.2.1 = STRING: Vlan1
		$n = strpos ($buffer, ":");
		$name = substr ($buffer, $n+1);	// blank skip.
		$n = strpos ($buffer, "=");
		$temp = substr ($buffer, 0, $n-1);	// last blank not copy
		$n = strrpos ($temp, ".");
		$id = substr ($temp, $n+1);	// last blank not copy
		$desc_arr[$ip][$id] = $name;

		$no++;
	}
	pclose ($fp);
}

//
//	MAC 중복체크
//
function dup_check ($mac, $no)
{
	global $arp;

	for ($i=0; $i<$no; $i++)
	{
		if ($mac == $arp[$i]["mac"]) return true;
	}
	return false;
}

?>
