<!--
	/* 입력값이 숫자인지 체크 */
	function check_digit(e) {
		if ((e.keyCode<48)||(e.keyCode>57)) {
			e.returnValue=false;
		}
	}

	/* 날짜 포맷 유효성 체크 */
	function check_date(date_string) {
		if(date_string.length != 10 || date_string.match("^[0-9]{4,4}-[0-9]{2,2}-[0-9]{2,2}$") == null) {
			return false;
		} else {
			return true;
		}
	}

	/* 달력창 띄움 */
	function open_Calendar(target) {
		var window_style = "dialogWidth:250px;dialogHeight:280px;center:1;scroll:0;help:0;status:0";
		var window_value = showModalDialog("Calendar/Calendar.htm", "Calendar", window_style);

		if(window_value == undefined) {
			return;
		}

		target.value = window_value;
	}

	/* 날짜를 변경하여 페이지에 적용 */
	function changeDate(target) {
		var window_style = "dialogWidth:250px;dialogHeight:280px;center:1;scroll:0;help:0;status:0";
		var window_value = showModalDialog("Calendar/Calendar.htm", "Calendar", window_style);

		if(window_value == undefined) {
			return;
		}

		target.value = window_value;
//		target.form.target = "tempFrame";
		target.form.action = "update_condition.php?page=job_list.php";
		target.form.submit();
	}

	/* 페이지 이동 */
	function gotoPage(page) {
		document.location.href = page;
	}

	/* 업무일지 목록 검색조건 업데이트 */
	function update_job_list(form) {
//		form.target = "tempFrame";
		form.action = "update_condition.php?page=job_list.php";
		form.submit();
	}

	/* 업무일지 목록 초기화 */
	function reset_job_list(form) {
//		form.target = "tempFrame";
		form.action = "update_condition.php?page=job_list.php&mode=reset";
		form.submit();
	}

	/* 프로젝트 목록 검색조건 업데이트 */
	function update_project_list(form) {
//		form.target = "tempFrame";
		form.action = "update_condition.php?page=project_list.php";
		form.submit();
	}

	/* 프로젝트 목록 초기화 */
	function reset_project_list(form) {
//		form.target = "tempFrame";
		form.action = "update_condition.php?page=project_list.php&mode=reset";
		form.submit();
	}

	/* 프로젝트 목록 정렬방법 변경 */
	function change_sort(form, sort, order) {
//		form.target = "tempFrame";
		form.action = "update_condition.php?page=project_list.php&sort=" + sort + "&order=" + order;
		form.submit();
	}

	/* 프로젝트 등록창 띄움 */
	function add_project() {
		window.open("project_add.php", "projectadd", "width=650,height=600");
	}

	/* 프로젝트 수정 */
	function modify_project(sid) {
		window.open("project_modify.php?sid=" + sid, "projectmodify", "width=650,height=600");
	}

	/* 프로젝트 삭제 */
	function delete_project(form, sid) {
		if(!window.confirm("프로젝트를 삭제하시면 등록된 작업도 모두 삭제됩니다.\n정말 삭제하시겠습니까?")) {
			return;
		}

		form.sid.value = sid;
		form.action = "project_delete.php";
		form.submit();
	}

	/* 작업 등록 */
	function add_job(proj_sid, pid) {
		var scroll_top = document.body.scrollTop;
		window.open("job_add.php?proj_sid=" + proj_sid + "&pid=" + pid + "&sot=" + scroll_top, "jobadd", "width=600,height=450");
	}

	/* 작업 수정 */
	function modify_job(sid) {
		window.open("job_modify.php?sid=" + sid, "jobmodify", "width=600,height=450");
	}

	/* 작업 보기 */
	function view_job(sid) 
	{
		var scroll_top = document.body.scrollTop;

		window.open("job_view.php?sid=" + sid + "&sot=" + scroll_top, "jobview", "width=600,height=450,scrollbars=yes");
	}

	/* 작업 삭제 */
	function delete_job(form, sid) {
		if(!window.confirm("정말 삭제하시겠습니까?")) {
			return;
		}

		form.sid.value = sid;
		form.action = "job_delete.php";
		form.submit();
	}

	/* 작업 코멘트 확인 */
	function open_comment(job_sid) {
		window.open("job_comment.php?job_sid=" + job_sid, "jobcomment", "width=600,height=450");
	}

	/* show memo */
	function show_memo(obj, isvisible) {
		//obj.filters.revealTrans.apply();
		if(isvisible) {
			obj.style.visibility = "visible";
		} else {
			obj.style.visibility = "hidden";
		}
		//obj.filters.revealTrans.play();
	}

	/* 전체 선택/해제 */
	function selectAll(obj, target) {
		var form = obj.form;

		for(i = 0; i < form.elements.length; i++) {
			if(form.elements[i].type == "checkbox" && form.elements[i].name == target) {
				form.elements[i].checked = obj.checked;
			}
		}
	}

	/* 업무 이동 */
	function move_job(form) {
		var IsSelected = false;

		for(i = 0; i < form.elements.length; i++) {
			if(form.elements[i].type == "checkbox" && form.elements[i].name == "gid[]" && form.elements[i].checked == true) {
				IsSelected = true;
				break;
			}
		}

		if(IsSelected == false) {
			alert("먼저 이동할 업무를 선택해 주십시오!");
			return;
		}

		if(!window.confirm("선택하신 업무를 [" + form.project.options[form.project.selectedIndex].text + "] 프로젝트로 이동하시겠습니까?")) {
			return false;
		}

		form.action = "job_move.php";
		form.submit();
	}

	function goPageNav(obj)
	{
		if (obj.value != "-")
		{
			location.href = "#" + obj.value;
			obj.selectedIndex = 0;
			this.focus();
		}
	}

/////////////////////////////////
	/* 도서 등록 */
	function add_book(subject_kr, pid) {
		window.open("book_add.php?subject_kr=" + subject_kr + "&pid=" + pid, "addbook", "width=600, height=450");
	}

	/* 도서 수정 */
	function modify_book(bid) {
		window.open("book_modify.php?bid=" + bid, "modifybook", "width=600, height=450");
	}

	/* 도서 대여 */
	function rental_book(bid) {
		window.open("book_rent_list.php?bid=" + bid, "book_rent_list", "width=600, height=450");
	}

	/* 도서 상세 정보 */
	function info_book(bid) {
		window.open("book_info.php?bid=" + bid, "book_info", "width=600, height=480");
	}

	/* 도서 삭제 */
	function delete_book(form, bid) {
		if(!window.confirm("정말 삭제하시겠습니까?")) {
			return;
		}

		form.bid.value = bid;
		form.action = "book_delete.php";
		form.submit();
	}

/////////////////////////////////
	/* 소프트웨어 등록 */
	function add_license(subject, pid) {
		window.open("license_add.php?subject=" + subject + "&pid=" + pid, "addlicense", "width=600, height=500");
	}

	/* 소프트웨어 수정 */
	function modify_license(slid) {
		window.open("license_modify.php?slid=" + slid, "modifylicense", "width=600, height=480");
	}

	/* 소프트웨어 대여 */
	function rental_license(slid) {
		window.open("license_rent_list.php?slid=" + slid, "license_rent_list", "width=600, height=480");
	}

	/* 소프트웨어 상세 정보 */
	function info_license(slid) {
		window.open("license_info.php?slid=" + slid, "license_info", "width=600, height=480");
	}

	/* 소프트웨어 삭제 */
	function delete_license(form, slid) {
		if(!window.confirm("정말 삭제하시겠습니까?")) {
			return;
		}

		form.slid.value = slid;
		form.action = "license_delete.php";
		form.submit();
	}

/////////////////////////////////
	/*상세 정보 출력 */
	function show_option2(opt) {
		if (document.all(opt).style.display!='none') {
			document.all(opt).style.display='none';
		} else {
			document.all(opt).style.display='block';
		}
	}

	/* IP 등록 */
	function add_ip(gid){
		window.open("ip_add.php?gid=" + gid, "ip_add", "width=540, height=480");
	}

	/* IP 삭제 */
	function del_ip(gid){
		if (confirm ('본 그룹삭제가 맞습니까?',0) == 1)
		{
			window.open("ip_grp_delete.php?gid=" + gid, "ip_add", "width=540, height=480");
		}
		else
		{
			alert ('취소되었습니다');
		}
	}

	/* IP 정보 수정 */
	function modify_ip(sid){
		window.open("ip_modify.php?sid=" + sid, "ip_modify", "width=540, height=500");
	}

	/* IP 카테고리에 따른 엡데이트 */
	function changeType (m) {
		document.location = 'ip_list.php?ip=' + m.value ;
	}

	/* IP 카테고리에 따른 엡데이트 */
	function changeType2 (m) {
		document.location = 'ip_det_list.php?ip=' + m.value ;
	}

	/* IP 삭제 */
	function delete_ip(form, sid) {
		if(!window.confirm("정말 삭제하시겠습니까?")) {
			return;
		}

		form.sid.value = sid;
		form.action = "ip_delete.php";
		form.submit();
	}

	/* IP 사용목적 등록 */
	function add_ip_use(){
		window.open("ip_use_add.php", "ip_use_add", "scrollbars=yes, width=500, height=400");
	}

	/* IP 사용목적 수정 */
	function modify_ip_use(cat_id){
		window.open("ip_use_modify.php?cat_id=" + cat_id, "ip_use_modify", "width=300, height=180");
	}

	/* IP 사용목적 삭제 */
	function delete_ip_use(form, cat_id) {
		if(!window.confirm("정말 삭제하시겠습니까?")) {
			return;
		}

		form.cat_id.value = cat_id;
		form.action = "ip_use_delete.php";
		form.submit();
	}

	/* IP 대역 추가 */
	function add_ip_grp(){
		window.open("ip_grp_add.php", "ip_grp_add", "width=500, height=380");
	}

	/* IP 대역 수정 */
	function modify_ip_grp(grid, ip_group){
		window.open("ip_grp_modify.php?grid=" + grid+ "&ip_group=" + ip_group, "ip_grp_modify", "width=500, height=380");
	}

	/* IP 대역 삭제 */
	function delete_ip_grp(form, grid) {
		if(!window.confirm("이 IP 대역을 삭제하시겠습니까? 해당 IP 대역에 속한 모든 IP도 함께 삭제합니다.")) {
			return;
		}

		form.grid.value = grid;
		form.action = "ip_grp_delete.php";
		form.submit();
	}

/////////////////////////////////
	/* PC 사양 등록 */
	function add_computer(sid, ip, flag){
		window.open("pc_add.php?sid=" + sid+ "&ip=" + ip+ "&flag=" + flag, "pc_add", "width=500, height=400");
	}

/////////////////////////////////
	// 차량사용내역 등록
	function add_caruse (subject) {
		window.open("caruse_add.php?subject=" + subject, "caruse_add", "width=600, height=450");
	}

	// 차량사용내역 수정
	function modify_caruse (sid) {
		window.open("caruse_add.php?sid=" + sid, "caruse_add", "width=600, height=450");
	}

	// 차량사용내역 삭제
	function delete_caruse (f, sid) {
		if(!window.confirm("정말 삭제하시겠습니까?")) {
			return;
		}

		document.location = "caruse_delete.php?sid="+sid;
	}

//-->
