<?php
//
//    $Id: ip_grp_modify.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//    NAME: IP 그룹 수정
//    ARGUMENT:
//
//    DESCRIPTION:
//			IP 대역을 수정한다.
//
//
//    TO DO:
//
//    REFERENCE:
//

	require_once("include/config.php");
	require_once("include/mysql.php");
	require_once("include/util.php");

	$mysql	= new DB_Sql();
  	if ($mysql->connect("book") == 0)
	{
		PutLog (__FILE__,__LINE__,ERROR,"'book' DB Connect Faild:".$mysql->Error,TRUE);
		exit;
	}
	$grid	= trim($_GET["grid"]);
	$ip_group	= trim($_GET["ip_group"]);

	if (isset($_POST["act"]) && $_POST["act"] == "Y") {

		/***************************
		* 데이터 수정
		****************************/
		$grid		= trim($_POST["grid"]);
		$others		= trim($_POST["others"]);
		$mode		= trim($_POST["mode"]);

		$sub_mask_1	= trim($_POST["sub_mask_1"]);
		$sub_mask_2	= trim($_POST["sub_mask_2"]);
		$sub_mask_3	= trim($_POST["sub_mask_3"]);
		$sub_mask_4	= trim($_POST["sub_mask_4"]);
		$sub_mask	= $sub_mask_1.".".$sub_mask_2.".".$sub_mask_3.".".$sub_mask_4;

		$gateway_1	= trim($_POST["gateway_1"]);
		$gateway_2	= trim($_POST["gateway_2"]);
		$gateway_3	= trim($_POST["gateway_3"]);
		$gateway_4	= trim($_POST["gateway_4"]);
		$gateway	= $gateway_1.".".$gateway_2.".".$gateway_3.".".$gateway_4;

		/***************************
		* UPDATE DATA
		****************************/
		$query = "
				  UPDATE	book.ip_manager SET
							sub_mask	= '" . $sub_mask . "', 
							gateway		= '" . $gateway . "', 
							category	= '" . $_POST["category"] . "',
							ts			= now(),
							wk_id		= '" . $_SERVER["PHP_AUTH_USER"] . "'
				  WHERE gid = ". $grid;
							
		if (!$mysql->query($query)) {
			$mysql->close();
			goback("IP 정보 수정 도중 오류가 발생하였습니다.");
		}
//echo __LINE__.":".$query;exit;

		$query = "
				  UPDATE	book.ip_grp SET
							others	= '" . $others . "',
							mode	= '" . $mode . "',
							ts		= now(),
							wk_id	= '" . $_SERVER["PHP_AUTH_USER"] . "'
				  WHERE grid = ". $grid;
							
		if (!$mysql->query($query)) {
			$mysql->close();
			goback("IP 그룹 정보 수정 도중 오류가 발생하였습니다.");
		}

		$mysql->close();
//echo __LINE__.":".$query; exit;
		reload_opener("IP 정보가 수정되었습니다.");

	} else {
/*
		$query = "SELECT name 
				  FROM   intranet.t_user 
				  WHERE  id = '" . $_SERVER["PHP_AUTH_USER"] . "'";

		if (!$mysql->query($query)) {
			$mysql->close();
			closewin("세션 사용자 정보 조회 도중 오류가 발생하였습니다.");
		}

		if ($mysql->nf() == 0) {
			$mysql->close();
			closewin("세션 사용자 정보를 찾을 수 없습니다.");
		}

		$mysql->next_record();
		$worker      = $_SERVER["PHP_AUTH_USER"];
		$worker_name = $mysql->f("name");
*/

		if (isset($grid) && $grid != "" && $grid != "0") {
			$query = "SELECT distinct
							sub_mask,
							gateway,
							category
					  FROM	book.ip_manager 
					  WHERE	gid = " . $grid;

			if (!$mysql->query($query)) {
				$mysql->close();
				closewin("IP 정보 조회 도중 오류가 발생하였습니다.");
			}
			if ($mysql->nf() == 0) {
//				$mysql->close();
//				closewin("IP 정보를 찾을 수 없습니다.");
			}

			$mysql->next_record();
			$sub_mask	= $mysql->f("sub_mask");
			$gateway	= $mysql->f("gateway");
			$category	= $mysql->f("category");

			$query = "SELECT others, mode FROM   ip_grp WHERE grid = " . $grid;

			if (!$mysql->query($query)) {
				$mysql->close();
				closewin("IP 그룹 정보 조회 중 오류가 발생하였습니다.");
			}
			if ($mysql->nf() == 0) {
				$mysql->close();
				closewin("IP 그룹 정보를 찾을 수 없습니다.");
			}
			$mysql->next_record();
			$others	= $mysql->f("others");
			$mode	= $mysql->f("mode");
		}
	}
?>

<html>
<head>
<title>IP 수정</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="include/css.css">
<script language="javascript" src="include/script.js"></script>
</head>


<body bgcolor="#f8f8f8">

<form name="ip_grp_modify" method="post">
<input type="hidden" name="act"	value="Y">
<input type="hidden" name="grid" value="<?=$grid?>">

<table width="90%" border="0" cellpadding="3" cellspacing="0" align="center">
	<tr>
		<td colspan="3"><b>:: IP 그룹 수정 ::</b></td>
	</tr>
	<tr>
		<td colspan="3" height="5">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="3" style="border-top-style:dashed; border-top-width:1px; border-top-color:#c8c8c8">&nbsp;</td>
	</tr>
	<tr>
		<td align="right">IP 대역</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><?=$ip_group?></td>
	</tr>
<?php
	if ( (isset($sub_mask)) && ($sub_mask != "") ) {
		$tmp_mask = explode (".", $sub_mask);
	}
?>
	<tr>
		<td align="right">서브넷마스크</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><input type="text" name="sub_mask_1" value="<?=$tmp_mask[0]?>" size="3" class="box">.
			<input type="text" name="sub_mask_2" value="<?=$tmp_mask[1]?>" size="3" class="box">.
			<input type="text" name="sub_mask_3" value="<?=$tmp_mask[2]?>" size="3" class="box">.
			<input type="text" name="sub_mask_4" value="<?=$tmp_mask[3]?>" size="3" class="box"></td>
	</tr>
<?php
	if ( (isset($gateway)) && ($gateway != "") ) {
		$tmp_gate = explode (".", $gateway);
	}
?>
	<tr>
		<td align="right">게이트웨이</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><input type="text" name="gateway_1" value="<?=$tmp_gate[0]?>" size="3" class="box">.
			<input type="text" name="gateway_2" value="<?=$tmp_gate[1]?>" size="3" class="box">.
			<input type="text" name="gateway_3" value="<?=$tmp_gate[2]?>" size="3" class="box">.
			<input type="text" name="gateway_4" value="<?=$tmp_gate[3]?>" size="3" class="box"></td>
	</tr>

<?php
	$query = "SELECT cat_name, CASE cat_name WHEN '기타' THEN 'A'  END C 
			  FROM   book.ip_category ORDER BY C, cat_name; 
			  ";

	if (!$mysql->query($query)) {
		$mysql->close();
		closewin("카테고리 목록 구성 중 오류가 발생하였습니다.");
	}

	if ($mysql->nf() > 0) {

		for ( $i = 0; $mysql->next_record(); $i++ ) {
			$tmp_cat[$i] = $mysql->f("cat_name");
		}
	}
?>
	<tr>
		<td align="right">사용목적</td>
		<td><font color="#c8c8c8">|</font></td>
		<td>
			<select name="category" >
			<option value=""></option>
<?php
			for ( $j = 0; $j < $i; $j++ ) {
?>
			<option value="<?=$tmp_cat[$j]?>"<?=($tmp_cat[$j] == $category ? "selected":"")?>><?=$tmp_cat[$j]?></option>
<?php
			} 
?>
			</select>
		</td>
	</tr>

	<tr>
		<td align="right">템플릿 선택</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><input type="radio" name="mode" value="SERVICE" <?php if($mode == 'SERVICE'){ ?> checked<?php } ?>>서비스용 &nbsp;&nbsp;&nbsp;
		<input type="radio" name="mode" value="COMPANY" <?php if($mode == 'COMPANY'){ ?> checked<?php } ?>>사내용</td>
	</tr>

	<tr>
		<td align="right">비고</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><textarea name="others" cols="30" rows="3" class="box"><?=$others?></textarea></td>
	</tr>

	<tr>
		<td colspan="3" height="5">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="3" style="border-top-style:dashed; border-top-width:1px; border-top-color:#c8c8c8">&nbsp;</td>
	</tr>

	<tr>
		<td colspan="3" align="center"><input type="submit" value="수정" class="bttn">&nbsp;<input
		type="button" value="삭제" class="bttn" onclick="javascript:delete_ip_grp(document.forms[0], <?=($grid)?>)">&nbsp;<input 
		type="button" value="닫기" class="bttn" onclick="self.close()"></td>
	</tr>
</table>
</form>
</body>
</html>
<?php
	$mysql->close();
?>

