<?php
//
//    $Id: ip_list.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//    NAME: IP 그룹 목록
//    ARGUMENT:
//
//    DESCRIPTION:
//					IP 그룹을 관리하기 위한 페이지
//
//
//    TO DO:
//
//    REFERENCE:
//

	require_once("include/config.php");
	require_once("include/mysql.php");
	require_once("include/util.php");

	$bg_color = "";

	$mysql = new DB_Sql();
  	if ($mysql->connect("book") == 0)
	{
		PutLog (__FILE__,__LINE__,ERROR,"'book' DB Connect Faild:".$mysql->Error,TRUE);
		exit;
	}

	$query = "SELECT grid, ip_grp, start_ip, end_ip, others FROM ip_grp ORDER BY start_ip";
	if (!$mysql->query($query)) {
		$mysql->close();
		goback("IP 그룹을 조회하는 도중 오류가 발생하였습니다.");
	}

	if($mysql->nf() > 0) {
		$grp_no = 0;
		while ( $mysql->next_record() ) {
			$grid[$grp_no]		= $mysql->f("grid");
			$ip_grp[$grp_no]	= $mysql->f("ip_grp");
			$start_ip[$grp_no]	= $mysql->f("start_ip");
			$end_ip[$grp_no]	= $mysql->f("end_ip");
			$others[$grp_no]	= $mysql->f("others");
			$ip_start[$grp_no]	= $ip_grp[$grp_no].".".$start_ip[$grp_no];
			$grp_no++;
		}
	}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="expires" content="">
<title>▒ 삼정데이타서비스(주) ▒</title>
<link rel="stylesheet" type="text/css" href="include/css.css">
<script language="javascript" src="include/script.js"></script>
<script language="javascript" src="include/calendar_g.js"></script>
<script language="javascript" src="include/calendar-kor.js"></script>
<script language="javascript" src="include/calendar-setup.js"></script>
</head>
<body leftmargin=0 topmargin=0>
<?  require_once ("cacti_head.php"); ?>
<table width="98%" border="0" cellpadding="0" cellspacing="0" align="center">
	<tr valign="top">
		<td width="100%">
<br>

<form name="print_excel" action="ip_excel.php" method="post">
<!-- start title -->
<table width="98%" height="35" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td colspan="2" align="center" valign="bottom"><b>:: IP 내역 관리 (그룹) ::</b></td>
	</tr>
	<tr>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<td align="right"><input type="button" value="IP 대역 추가" class="bttn" onclick="javascript:add_ip_grp()">&nbsp;</td>
		<td  width="10%" align="right"><input type="button" value="IP 사용목적 추가" class="bttn" onclick="javascript:add_ip_use()"></td>
		<td  width="10%" align="right"><input type="submit" value="엑셀로 다운로드" class="bttn"></td>
	</tr>
</table>
<br>
<!--// end title -->

<!-- start list -->
<table width="98%" border="0" cellpadding="3" cellspacing="1" bgcolor="#506E8E">
	<tr height="25" align="center" bgcolor="#6B92BD">

			<!-- 번호 -->
		<td width="4%" class="title">번호</td>

			<!-- 엑셀로 다운받기 -->
		<td width="4%" class="title">선택</td>

			<!-- IP 대역-->
		<td width="16%" class="title">IP 대역 (IP 수) </td>

			<!-- 게이트웨이-->
		<td width="10%" class="title">게이트웨이</td>

			<!-- 서브넷 마스크 /-->
		<td width="10%" class="title">서브넷 마스크</td>

			<!-- IP 사용목적 -->
		<td width="10%" class="title">IP 사용목적</td>

			<!-- 비고 -->
		<td width="10%" class="title">비고</td>

	</tr>

<?php
	if( $grp_no > 0 ) {
		for ( $i = 0; $i < $grp_no; $i++ ) {

			if ($bg_color == "#EEF1F5") 
				$bg_color = "#fffacd";
			else 
				$bg_color = "#EEF1F5";

			$condition = " WHERE gid = '" . $grid[$i] . "' ";
			$query = "
					SELECT	distinct
							gateway, sub_mask, category
					FROM	ip_manager 
							" . $condition . " 
					";

			if (!$mysql->query($query)) {
				$mysql->close();
				goback("IP 목록을 조회하는 도중 오류가 발생하였습니다.");
			}

			if($mysql->nf() > 0) {
				$mysql->next_record();
				$sub_mask= $mysql->f("sub_mask");
				$gateway = $mysql->f("gateway");
				$category= $mysql->f("category");
			}
			$ip_group = $ip_start[$i].' '.'~'.' '.$end_ip[$i];

				$query = "
						SELECT	count(ip)
						FROM	ip_manager
						WHERE	gid		 = '" .  $grid[$i] . "' 
							AND sub_mask = '" .  $sub_mask . "' 
							AND gateway  = '" .  $gateway . "'
						";
				if (!$mysql->query($query)) {
					$mysql->close();
					goback("IP 목록을 조회하는 도중 오류가 발생하였습니다.");
				}
				if($mysql->nf() > 0) {
					$mysql->next_record();
					$ip_num = $mysql->f("count(ip)");
				}
?>
			<tr height="22" onmouseover=this.style.backgroundColor='#ffffff'
				onmouseout=this.style.backgroundColor='' bgColor="<?=$bg_color?>">

				<td align="center" style="cursor:hand"><a
				href="javascript:modify_ip_grp(<?=($grid[$i])?>, '<?=($ip_group)?>')"><?=($i+1)?></a></td>
				<td align="center"><input type="checkbox" name="sel[]" value="<?=($grid[$i])?>"></td>
				<td align="center" style="cursor:hand">
					<table width="85%" border="0" cellpadding="0" cellspacing="0" >
					<td width="50%"><a href="javascript:gotoPage('./ip_det_list.php?ip=<?=$grid[$i]?>')"><?=($ip_start[$i])?></a></td>
					<td width="10%">~</td>
					<td align="right" width="10%"><?=($end_ip[$i])?></td>
					<td align="right" width="8%">(</td>
					<td align="right" width="16%"><?=($ip_num)?> )</td>
					</table>
					</a>
				</td>
				<td align="center"><table width="70%" border="0" cellpadding="0" cellspacing="0" ><td><?=($gateway)?></td></table></td>
				<td align="center"><table width="70%" border="0" cellpadding="0" cellspacing="0" ><td align="left"><?=($sub_mask)?></td></table></td>
				<td align="center"><?=($category)?></td>
				<td align="center"><?=($others[$i])?></td>
			</tr>
<?php
		} /** for **/
?>
			<tr height="25" bgcolor="#ffffff">
				<td colspan="7" align="center">
				<table width="100%" border="0" cellpadding="0" cellspacing="0" >
				<tr><td align="center">IP 그룹을 수정하려면 번호를 클릭하시고, IP 대역을 클릭하면 해당 IP 그룹으로 이동합니다. </td></tr>
				<tr><td align="center">엑셀로 다운받으시려면 선택항목을 체크하시고, 우측의 엑셀로 다운로드 버튼을 클릭하세요. </td></tr>
				</table>
				</td>
			</tr>
<?php
	} else {
?>
			<tr height="25" bgcolor="#ffffff">
				<td colspan="7" align="center">등록된 IP가 없습니다.</td> 
			</tr>
<?php
	}
?>
</table><br>
<!--// end list -->
</form>

<?php
	$mysql->close();
?>
        </td>
    </tr>
</table>

<!--iframe name="tempFrame" frameborder="0" scrolling="0" src="null.html" style="position:absolute; visibility:hidden">
</iframe-->

</body>
</html>
