<?
//
//	$Id: memo_list.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//	NAME: 메모목록
//	ARGUMENT:
//	DESCRIPTION:
//		메모목록 페이지
//
//	REFERENCE:
//		mysql> desc sj_memo
//		+---------+------------+------+-----+---------------------+----------------+
//		| Field   | Type       | Null | Key | Default             | Extra          |
//		+---------+------------+------+-----+---------------------+----------------+
//		| sid     | int(11)    | NO   | PRI | NULL                | auto_increment |
//		| tab_sid | int(11)    | YES  |     | NULL                |                |
//		| memo    | tinytext   | NO   |     |                     |                |
//		| wkid    | varchar(6) | NO   |     |                     |                |
//		| ts      | datetime   | NO   |     | 0000-00-00 00:00:00 |                |
//		+---------+------------+------+-----+---------------------+----------------+
//
//		mysql> desc tab;
//		+-----------+---------------+------+-----+---------------------+----------------+
//		| Field     | Type          | Null | Key | Default             | Extra          |
//		+-----------+---------------+------+-----+---------------------+----------------+
//		| sid       | int(11)       | NO   | PRI | NULL                | auto_increment |
//		| name      | tinytext      | YES  |     | NULL                |                |
//		| gsum      | enum('Y','N') | YES  |     | N                   |                |
//		| ov_alarm  | enum('Y','N') | YES  |     | N                   |                |
//		| sms_alarm | enum('Y','N') | YES  |     | N                   |                |
//		| col       | int(11)       | NO   |     | 2                   |                |
//		| dur       | int(11)       | NO   |     | 24                  |                |
//		| wkid      | varchar(6)    | NO   |     |                     |                |
//		| ts        | datetime      | NO   |     | 0000-00-00 00:00:00 |                |
//		+-----------+---------------+------+-----+---------------------+----------------+
//

	require_once("../include/config.php");
	require_once("DIRECTLIB/adodb/adodb.inc.php");
	require_once("DIRECTLIB/include/db.php");

	$db = db_conn ($database_type, $database_hostname, $database_username, $database_password, $database_default);
	if ($db === false)
	{
		die ("connect faild");
	}

	if (isset($_GET["act"]) && $_GET["act"] == "del")
	{
		$query = "DELETE FROM sj_memo WHERE sid='".$_GET["sid"]."'";
		if ($db->Execute ($query) === false) die ("SQL=[$query] : Error");
	}

	if (isset($_GET["start"])) $start = $_GET["start"];
	else $start = 0;

	$offset = 40;

	if (isset ($_POST["submit"]) && $_POST["submit"] == "검색")
		$where = " WHERE a.memo LIKE '%".$_POST["search"]."%'";
	else	$where = "";

	$query = "SELECT COUNT(*) AS count FROM sj_memo". $where;
	$ret = get_array($db, $query);
	$t_count = $ret[0]["count"];

	$query = "SELECT a.sid,a.memo,b.name,DATE_FORMAT(a.ts,'%m-%d %H:%i') AS ts,b.wkid
		FROM sj_memo a LEFT JOIN tab b ON b.sid=a.tab_sid ".
		$where . " ORDER by a.ts DESC LIMIT $start,$offset";
	$ret = get_array($db, $query);

?>
<html>
<head>
<title>Samjung Data Serveice Network Memo List</title>
<link rel="stylesheet" type="text/css" href="style.css" />
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<? require_once ("cacti_head.php") ?>
<br>
<div align="left" style="margin-left:10px;">
&nbsp;<font size="3"><b>MEMO LIST.</b></font><br><br>
<table width="90%" border="0" bgcolor="gainsboro">
  <tr bgcolor="#3154a5" height="24" align="center">
    <td width="10%"><font color="white">일시</font></td>
    <td width="10%"><font color="white">탭명</font></td>
    <td width="*"><font color="white">메모</font></td>
    <td width="5%"><font color="white">삭제</font></td>
  </tr>
<?
	for ($i=0; $i<count($ret); $i++)
	{
?>
  <tr bgcolor="white">
	<td align="center"><?=$ret[$i]["ts"]?></td>
	<td align="center"><?=$ret[$i]["name"]?></td>
	<td><?=$ret[$i]["memo"]?></td>
	<td align="center"><a href="memo_list.php?act=del&sid=<?=$ret[$i]["sid"]?>" OnClick="return confirm('Delete?')">X</a></td>
  </tr>
<?
	}
?>
</table>
<br>
<?
	for ($i=0; $i<$t_count; $i+=$offset)
	{
		echo "[";
		if ($i == $start) echo "<b>$i</b>";
		else echo "<a href=\"accnt.php?start=$i\">$i</a>";
		echo "]";
	}
	echo " &nbsp;&nbsp;전체: $t_count 건";
?>
<form method="post" action="memo_list.php">
<input type="text" name="search" value="<?=(isset($_POST["search"])?$_POST["search"]:"")?>">
<input type="submit" name="submit" value="검색">
<input type="button" name="none" value="초기화" OnClick="document.location='memo_list.php'">
</form>
</div>
</body>
</html>
