<?
//
//	$Id: monitor.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//	NAME: switch_work.php
//	ARGUMENT:
//	DESCRIPTION:
//		해당스위치의 연결상태를 읽어오는 테이블.
//
//	REFERENCE:
//		c2950 - 24 port
//		c2970, 3560 - 28 port
//		c3750 - 12 port
//		cPIX f/w - 2 port
//		Hanwall f/w - 5 port
//		Altheon L4 - 9 port
//

	require_once("./config.php");
	require_once("./map.php");

	// 장비별 색갈 지정.
	$bg_c3570 = "#00CC66";
	$bg_c3560 = "#33CCCC";
	$bg_c2970 = "#66CC66";
	$bg_c2950 = "#99CCCC";
	$bg_alteon = "#00FF99";
	$bg_cpixfw = "#00FFFF";
	$bg_hwfw = "#66CCFF";
	$bg_server = "gray";

	$bgcolor = array ("c3570"=>"#00CC66","c3560"=>"#33CCCC","c2970"=>"#66CC66","c2950"=>"#99CCCC","alteonL4"=>"#00FF99",
	"cpixfw"=>"#00FFFF","hwfw"=>"#66CCFF","server"=>"gainsboro");

	$cell_wh = "width:140px;heigth:14px";

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Samjung Network Master Monitoring</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="style.css" />
<script type="text/javascript" src="./prototype-1.4.0.js"></script>
<script type="text/javascript" src="./utils_lib.js"></script>
<script language="JavaScript">
<!--
function MM_reloadPage(init) {  //reloads the window if Nav4 resized
  if (init==true) with (navigator) {if ((appName=="Netscape")&&(parseInt(appVersion)==4)) {
    document.MM_pgW=innerWidth; document.MM_pgH=innerHeight; onresize=MM_reloadPage; }}
  else if (innerWidth!=document.MM_pgW || innerHeight!=document.MM_pgH) location.reload();
}
MM_reloadPage(true);

//	Background Change.
function bg_change (id, color)
{
	var s = document.getElementById(id).style;
	if (s.backgroundColor == color) s.backgroundColor = "#99CCCC";
	else s.backgroundColor = color;
}

//	Switch Port Work
function switch_graph (ip, id)
{

	// 백그라운드 컬러로, 장비의 타입을 식별
	var s = document.getElementById(id).style;
	w = window.open("switch_work.php?ip="+ip+"&typecolor="+s.backgroundColor.substr(1),"switch_work","width=400,height=620,scrollbars=1");
	w.focus();
}

//	Switch Port Status
function popup_disp(id)
{
	pause (200);
	var p = document.getElementById("PreviewArea").style;
	if (p.display == "") return;

	var s = document.getElementById(id).style;
    var elX = parseInt(s.left) + 142;
    var elY = parseInt(s.top);
    var elW = parseInt(p.width);
    var elH = parseInt(p.height);
	if (elX+elW > 1280) elX -= 550;
	if (elY+elH > 850) elY = 300;
	document.getElementById('preview_body').src="switch_conn.php?ip="+id;
    $("PreviewArea").style.left = elX;
    $("PreviewArea").style.top = elY;
    $("PreviewArea").style.display = "";

<?  /* 나중에 ajax 를 이용할 경우를 위한 copy
    var arr_qry = new StrBuf();

    arr_qry.add("d_name="+document.forms[0].dir_path.value);


    var ajax_obj= new Ajax();
    var ret_xml=ajax_obj.getReqMessage("POST","get_kwdfile.php",true,"XML",arr_qry.get_arr(),"procRetXml(");

    ajax_obj.Dispose();
*/ ?>
}

<?  /* 나중에 ajax 를 이용할 경우를 위한 copy
// 서버사이드 결과 처리
//
function procRetXml (obj_xml)
{
    sel_kwdfile = document.forms[0].kwdfile;
    count = 0;
    sel_kwdfile.options.length = count;
    if (obj_xml)
    {
        var result_node = obj_xml.selectSingleNode("/info/result");
        var name = obj_xml.selectSingleNode("/info/name");

        sel_kwdfile.options[count++] = new Option (node_val (name));
    }
}
*/ ?>

// -->
</script>
</head>
<body bgcolor="#FFFFFF" text="#000000" link="black" vlink="black" alink="black">

<!-- REFRENCE -->
<div id="Refrence" style="position:absolute; width:144px; height:174px; z-index:1; left: 17px; top: 413px;border: 1px double #000000;; background-color: #FFFFCC; layer-background-color: #FFFFCC"><font size="2">Reference</font> 
</div>
<?
	$ref_cell_wh = "width:136px;heigth:14px";
	$top = 430; $left = "20px";
?>
<div><h2>Direct Network Service</h2></div>
<div id="ex3570" style="position:absolute; <?=$ref_cell_wh?>; z-index:2; left: <?=$left?>; top: <?=$top?>px; background-color: <?=$bg_c3570?>; border: 1px solid black;"> 
  <div align="center"><font size="2"><b>Catalyst 3570</b></font></div>
</div>
<div id="ex3560" style="position:absolute; <?=$ref_cell_wh?>; z-index:2; left: <?=$left?>; top: <?=$top+=20?>px; background-color: <?=$bg_c3560?>; border: 1px solid black;"> 
  <div align="center"><font size="2"><b>Catalyst 3560</b></font></div>
</div>
<div id="ex2970" style="position:absolute; <?=$ref_cell_wh?>; z-index:2; left: <?=$left?>; top: <?=$top+=20?>px; background-color: <?=$bg_c2970?>;border: 1px solid black;"> 
  <div align="center"><font size="2"><b>Catalyst 2970</b></font></div>
</div>
<div id="ex2950" style="position:absolute; <?=$ref_cell_wh?>; z-index:2; left: <?=$left?>; top: <?=$top+=20?>px; background-color: <?=$bg_c2950?>; border: 1px solid #000000"> 
  <div align="center"><font size="2"><b>Catalyst 2950</b></font></div>
</div>
<div id="exAlteonL4" style="position:absolute; <?=$ref_cell_wh?>; z-index:2; left: <?=$left?>; top: <?=$top+=20?>px; background-color: <?=$bg_alteon?>; border: 1px solid #000000"> 
  <div align="center"><font size="2"><b>Alteon L4</b></font></div>
</div>
<div id="exPixFW" style="position:absolute; <?=$ref_cell_wh?>; z-index:2; left: <?=$left?>; top: <?=$top+=20?>px; background-color: <?=$bg_cpixfw?>; border: 1px solid #000000"> 
  <div align="center"><font size="2"><b>Cisco PIX F/W</b></font></div>
</div>
<div id="exHanWallFW" style="position:absolute; <?=$ref_cell_wh?>; z-index:2; left: <?=$left?>; top: <?=$top+=20?>px; background-color: <?=$bg_hwfw?>; border: 1px solid #000000"> 
  <div align="center"><font size="2"><b>Hanwall F/W</b></font></div>
</div>
<div id="server" style="position:absolute; <?=$ref_cell_wh?>; z-index:2; left: <?=$left?>; top: <?=$top+=20?>px; background-color: <?=$bg_server?>; border: 1px solid #000000"> 
  <div align="center"><font size="2" color="white"><b>Server / Terminal</b></font></div>
</div>
<p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p>

<!-- BACKBONE #1 -->
<? $ip="211.115.209.112"; $id=str_replace ('.','_',$ip); ?>
<div id="<?=$id?>" style="position:absolute; width:168px; height:13px; z-index:2; left: 12px; top: 83px; background-color: <?=$bg_c3570?>; border: 1px solid black;"> 
  <div align="center"><a href="javascript:switch_graph('<?=$ip?>','<?=$id?>')" onMouseMove="popup_disp('<?=$id?>');" onMouseOut="$('PreviewArea').style.display='none';" /><font size="2"><b>D-32</b> 3570 Backbone #1</font></a></div>
</div>
<!-- direct-service -->
<div id="backbone-1" style="position:absolute; width:177px; height:300px; z-index:1; left: 12px; top: 102px; border: 2px dashed green;"><div style="margin-left:5px; margin-top:5px;"><b>DIRECT-SERVICE</b></div></div>
<!-- c2970 -->
<? $ip="211.115.203.71"; $id=str_replace ('.','_',$ip); ?>
<div id="<?=$id?>" style="position:absolute; <?=$cell_wh?> z-index:2; left: 25px; top: 126px; background-color: <?=$bg_c2970?>;border: 1px solid black;"> 
  <div align="center"><a href="javascript:switch_graph('<?=$ip?>','<?=$id?>')" onMouseMove="popup_disp('<?=$id?>');" onMouseOut="$('PreviewArea').style.display='none';" /><font size="2"><b>D-34</b> <?=$ip?></font></a></div>
</div>

<!-- direct-service -->
<div id="direct-service" style="position:absolute; width:167px; height:245px; z-index:3; left: 19px; top: 146px;border: 1px solid black;"></div>
<? disp_node ($node["dsvc"], 150, 25); ?>

<!-- 3570 -->
<? $ip="211.239.156.52"; $id=str_replace ('.','_',$ip); ?>
<div id="<?=$id?>" style="position:absolute; width:187px; height:13px; z-index:2; left: 200px; top: 83px; background-color: <?=$bg_c3570?>; border: 1px solid #000000"> 
  <div align="center"><a href="javascript:switch_graph('<?=$ip?>','<?=$id?>')" onMouseMove="popup_disp('<?=$id?>');" onMouseOut="$('PreviewArea').style.display='none';" /><font size="2"><b>H-13</b> 3570 Backbone #2</font></a></div>
</div>
<!-- BACKBONE #2 -->
<div id="backbone-2" style="position:absolute; width:527px; height:555px; z-index:1; left: 196px; top: 102px;border: 2px dashed blue;"></div>
<? $ip="211.239.161.6"; $id=str_replace ('.','_',$ip); ?>
<div id="<?=$id?>" style="position:absolute; <?=$cell_wh?> z-index:2; left: 201px; top: 106px; background-color: <?=$bg_c3560?>; layer-background-color: <?=$bg_c3560?>; border: 1px solid #000000"> 
  <div align="center"><a href="javascript:switch_graph('<?=$ip?>','<?=$id?>')" onMouseMove="popup_disp('<?=$id?>');" onMouseOut="$('PreviewArea').style.display='none';" /><font size="2"><b>I-16</b> 211.239.161.6</font></a></div>
</div>

<!-- vlan 210 -->
<div id="vlan210" style="position:absolute; width:168px; height:162px; z-index:1; left: 202px; top: 126px;border: 1px solid black;"><font size="2"><b><font color="#000000">VLAN 
  210</font></b></font></div>
<? disp_node ($node["vlan210"], 146, 205); ?>

<!-- vlan 220 -->
<div id="vlan220" style="position:absolute; width:168px; height:143px; z-index:2; left: 202px; top: 295px;border: 1px solid black;"><font size="2" color="#000000"><b>VLAN 
  220</b></font></div>
<? disp_node ($node["vlan220"], 315, 205); ?>

<!-- vlan230-1 -->
<div id="vlan230-1" style="position:absolute; width:168px; height:190px; z-index:1; left: 202px; top: 445px;border: 1px solid black;border: 1px solid black;"><font size="2" color="#000000"><b>VLAN 
  230-1</b></font> </div>
<? disp_node ($node["vlan230-1"], 465, 205); ?>


<!-- 2970 -->
<? $ip="211.239.161.251"; $id=str_replace ('.','_',$ip); ?>
<div id="<?=$id?>" style="position:absolute; <?=$cell_wh?> z-index:2; left: 375px; top: 107px; background-color: <?=$bg_c3560?>; layer-background-color: <?=$bg_c3560?>; border: 1px solid #000000"> 
  <div align="center"><a href="javascript:switch_graph('<?=$ip?>','<?=$id?>')" onMouseMove="popup_disp('<?=$id?>');" onMouseOut="$('PreviewArea').style.display='none';" /><font size="2"><b>J-19</b> 211.239.161.251</font></a></div>
</div>

<!-- vlan230-2 -->
<div id="vlan230-2" style="position:absolute; width:168px; height:240px; z-index:2; left: 375px; top: 126px;border: 1px solid black;"><font size="2"><b><font color="#000000">VLAN 
  230-2</font></b></font> </div>
<? disp_node ($node["vlan230-2"], 146, 380); ?>

<!-- vlan240 -->
<div id="vlan240" style="position:absolute; width:168px; height:280px; z-index:2; left: 375px; top: 370px;border: 1px solid black;"><font size="2" color="#000000"><b>VLAN 
  240</b></font> </div>
<? disp_node ($node["vlan240"], 390, 380); ?>

<!-- vlan250 -->
<div id="vlan250" style="position:absolute; width:168px; height:200px; z-index:3; left: 548px; top: 126px;border: 1px solid black;"><font size="2" color="#000000"><b>VLAN 
  250</b></font> </div>
<? disp_node ($node["vlan250"], 146, 552); ?>

<!-- vlan260 -->
<div id="vlan260" style="position:absolute; width:168px; height:170px; z-index:3; left: 548px; top: 340px;border: 1px solid black;"><font size="2"><b><font color="#000000">VLAN 
  260</font></b></font> </div>
<? disp_node ($node["vlan260"], 360, 552); ?>


<!-- 3570 -->
<? $ip="211.239.156.60"; $id=str_replace ('.','_',$ip); ?>
<div id="<?=$id?>" style="position:absolute; width:187px; height:14px; z-index:1; left: 732px; top: 83px; background-color: <?=$bg_c3570?>; border: 1px solid #000000"> 
  <div align="center"><a href="javascript:switch_graph('<?=$ip?>','<?=$id?>')" onMouseMove="popup_disp('<?=$id?>');" onMouseOut="$('PreviewArea').style.display='none';" /><font size="2"><b>D-32</b> 3570 Backbone #3</font></a></div>
</div>
<!-- BACKBONE #3 -->
<div id="backbone-3" style="position:absolute; width:520px; height:555px; z-index:1; left: 730px; top: 102px;border: 2px dashed black; "></div>

<!-- 2970 -->
<? $ip="210.109.97.250"; $id=str_replace ('.','_',$ip); ?>
<div id="<?=$id?>" style="position:absolute; <?=$cell_wh?> z-index:2; left: 736px; top: 110px; background-color: <?=$bg_c2970?>; layer-background-color: <?=$bg_c3560?>; border: 1px solid #000000"> 
  <div align="center"><a href="javascript:switch_graph('<?=$ip?>','<?=$id?>')" onMouseMove="popup_disp('<?=$id?>');" onMouseOut="$('PreviewArea').style.display='none';" /><font size="2"><b>H-12</b> 210.109.97.250</font></a></div>
</div>

<!-- vlan310-1 -->
<div id="vlan310-1" style="position:absolute; width:168px; height:58px; z-index:2; left: 735px; top: 129px;border: 1px solid black;"><font size="2" color="black"><b>VLAN 310-1</b></font></div>
<? disp_node ($node["vlan310-1"], 146, 740); ?>


<!-- 3560 -->
<? $ip="210.109.97.134"; $id=str_replace ('.','_',$ip); ?>
<div id="<?=$id?>" style="position:absolute; <?=$cell_wh?> z-index:2; left: 735px; top: 200px; background-color: <?=$bg_c3560?>; layer-background-color: <?=$bg_c3560?>; border: 1px solid #000000"> 
  <div align="center"><a href="javascript:switch_graph('<?=$ip?>','<?=$id?>')" onMouseMove="popup_disp('<?=$id?>');" onMouseOut="$('PreviewArea').style.display='none';" /><font size="2"><b>H-13</b> 210.109.97.134</font></a></div>
</div>

<!-- vlan310-2 -->
<div id="vlan310-2" style="position:absolute; width:168px; height:220px; z-index:3; left: 735px; top: 220px;border: 1px solid black;"><font size="2" color="black"><b>VLAN 310-2</b></font></div>
<? disp_node ($node["vlan310-2"], 240, 740); ?>


<!-- c3560 -->
<? $ip="61.250.88.254"; $id=str_replace ('.','_',$ip); ?>
<div id="<?=$id?>" style="position:absolute; <?=$cell_wh?> z-index:2; left: 907px; top: 110px; background-color: <?=$bg_c3560?>; layer-background-color: <?=$bg_c3560?>; border: 1px solid #000000"> 
  <div align="center"><a href="javascript:switch_graph('<?=$ip?>','<?=$id?>')" onMouseMove="popup_disp('<?=$id?>');" onMouseOut="$('PreviewArea').style.display='none';" /><font size="2"><b>G-38</b> <?=$ip?></font></a></div>
</div>

<!-- vlan320 -->
<div id="vlan320" style="position:absolute; width:168px; height:320px; z-index:3; left: 908px; top: 129px;border: 1px solid black;"><font size="2" color="black"><b>VLAN 320</b></font></div>
<? disp_node ($node["vlan320"], 145, 912); ?>


<!-- vlan340 -->
<div id="vlan340" style="position:absolute; width:168px; height:240px; z-index:3; left: 1080px; top: 129px;border: 1px solid black;"><font size="2" color="black"><b>VLAN 340</b></font> </div>
<? disp_node ($node["vlan340"], 145, 1085); ?>


<!-- vlan330 -->
<div id="vlan330" style="position:absolute; width:168px; height:220px; z-index:3; left: 1080px; top: 375px;border: 1px solid black;"><font size="2" color="black"><b>VLAN 330</b></font> </div>
<? disp_node ($node["vlan330"], 390, 1085); ?>

<!--input type="button" name="al" value="warning" OnClick="bg_change('211_115_206_117','yellow')">
<input type="button" name="al" value="alarm" OnClick="bg_change('211_239_157_247','#ff3300')"-->

<div id="PreviewArea" style="position:absolute;width:400px;height:500px;z-index:9;display:none; background-color: white; border: 1px solid #000000; margin-left:10; margin-top:10;" />
<!-- onMouseOver="Layer_ViewTimeout()" onMouseOut="Layer_Out()"-->
  <iframe id="preview_body" frameborder="0" style="position:absolute;top:0px;left:0px;width:400px;height:500px;"></iframe>
<br>
</div>
</body>
</html>
<?
// DISPLAY NODE
//
function disp_node ($node, $top, $left)
{
	global $bgcolor, $cell_wh;

	for ($i=0; $i<count($node); $i++)
	{
		$id=str_replace ('.','_',$node[$i]["ip"]);
?>
<div id="<?=$id?>" style="position:absolute; <?=$cell_wh?> z-index:2; left: <?=($left+($node[$i]["tab"]*10))?>px; top: <?=($top+($i*20))?>px; background-color: <?=$bgcolor[$node[$i]["type"]]?>; border: 1px solid #000000"> 
  <div align="center"><a href="javascript:switch_graph('<?=$node[$i]["ip"]?>','<?=$id?>')" onMouseMove="popup_disp('<?=$id?>');" onMouseOut="$('PreviewArea').style.display='none';" /><font
size="2"><b><?=$node[$i]["rack"]?></b> <?=$node[$i]["ip"]?></font></a></div>
</div>
<?	}
}
?>
