<?
//
//	$Id: setting.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//	NAME: 설정페이지
//	ARGUMENT:
//	DESCRIPTION:
//		자체 서비스를 위한 설정페이지
//
//	REFERENCE:
//
//		mysql> desc sj_setting;
//		+-------+-------------+------+-----+---------+----------------+
//		| Field | Type        | Null | Key | Default | Extra          |
//		+-------+-------------+------+-----+---------+----------------+
//		| sid   | int(11)     | NO   | PRI | NULL    | auto_increment |
//		| name  | varchar(32) | NO   |     |         |                |
//		| value | varchar(32) | NO   |     |         |                |
//		+-------+-------------+------+-----+---------+----------------+

	require_once("../include/config.php");
	require_once("DIRECTLIB/adodb/adodb.inc.php");
	require_once("DIRECTLIB/include/db.php");

	$db = db_conn ($database_type, $database_hostname, $database_username, $database_password, $database_default);
	if ($db === false)
	{
		die ("connect faild");
	}

	if (isset($_POST["submit"]) && $_POST["submit"] == "Save")
	{
		for ($i=0; $i<5; $i++)
		{
			// 이메일 주소
			$name = "EMAIL_$i";
			if (isset($_POST[$name]))
			{
				$query = "REPLACE INTO sj_setting (name,value) VALUES ('$name','".$_POST[$name]."')";
				if ($db->Execute ($query) === false) die ("SQL=[$query] : Error");
//echo "SQL(".__LINE__.")=[$query]<br>\n";
			}

			// 문자메시지 핸드폰번호
			$name = "SMS_$i";
			if (isset($_POST[$name]))
			{
				$query = "REPLACE INTO sj_setting (name,value) VALUES ('$name','".$_POST[$name]."')";
				if ($db->Execute ($query) === false) die ("SQL=[$query] : Error");
//echo "SQL(".__LINE__.")=[$query]<br>\n";
			}

			// 일자별 실행
			$val = 0;
			for ($j=0; $j<7; $j++)
			{
				$name = "WEEK_".$i.$j;
				if (isset($_POST[$name])) $val += $_POST[$name];
			}
			$query = "REPLACE INTO sj_setting (name,value) VALUES ('WEEK_$i','$val')";
			if ($db->Execute ($query) === false) die ("SQL=[$query] : Error");
//echo "SQL(".__LINE__.")=[$query]<br>\n";

			// 문자메시지 발송시간
			$name = "LMTS_$i";
			if (isset($_POST[$name]))
			{
				$query = "REPLACE INTO sj_setting (name,value) VALUES ('$name','".$_POST[$name]."')";
				if ($db->Execute ($query) === false) die ("SQL=[$query] : Error");
//echo "SQL(".__LINE__.")=[$query]<br>\n";
			}
			$name = "LMTE_$i";
			if (isset($_POST[$name]))
			{
				$query = "REPLACE INTO sj_setting (name,value) VALUES ('$name','".$_POST[$name]."')";
				if ($db->Execute ($query) === false) die ("SQL=[$query] : Error");
//echo "SQL(".__LINE__.")=[$query]<br>\n";
			}
		}
	}

	// 세팅변수 FETCH
	$query = "SELECT name,value FROM sj_setting";
	$set_arr = get_array($db, $query);
	$set_var = array();
	for ($i=0; $i<count($set_arr); $i++)
	{
		$set_var[$set_arr[$i]["name"]] = $set_arr[$i]["value"];
	}

?>
<html>
<head>
<title>Samjung Data Serveice Network Customer List</title>
<link rel="stylesheet" type="text/css" href="style.css" />
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<? require_once ("cacti_head.php") ?>
<br>
<div align="left" style="margin-left:10px;">
&nbsp;<font size="3"><b>MAIL REPORT RECEIVER.</b></font>(설정은 가능하나 발송까지 완성된 것 아님)<br>
<form method="post" action="setting.php">
<table width="60%" border="0" bgcolor="gainsboro">
<?
	for ($i=0; $i<5; $i++)
	{
		$email_name = "EMAIL_$i";
?>
  <tr bgcolor="white">
<?
		if ($i == 0)
		{
?>
    <td align="center" rowspan="5" width="200">
		<b>Traffic Over Event<br>Mail Receiver</b><br><br>(xxxx@sds.co.kr)</td>
<?		} ?>
    <td>
		<input type="text" name="<?=$email_name?>"
			value="<?=(isset($set_var[$email_name])?$set_var[$email_name]:"")?>" size="32" maxlength="64">
	</td>
  </tr>
<?	} ?>
</table>
<br>
&nbsp;<font size="3"><b>BACKBONE MONITER ALARM MESSAGE RECEIVER.</b></font>(설정은 가능하나 발송까지 완성된 것 아님)<br>
<table width="80%" border="0" bgcolor="gainsboro">
  <tr bgcolor="white" align="center">
	<td>&nbsp;</td>
	<td>핸드폰번호</td>
	<td>월</td>
	<td>화</td>
	<td>수</td>
	<td>목</td>
	<td>금</td>
	<td>토</td>
	<td><font color="red">일</font></td>
	<td>발송시간</td>
	<td>발송중지</td>
  </tr>
<?	for ($i=0; $i<5; $i++)
	{
		$sms_name = "SMS_$i";
		$week_name = "WEEK_$i";
		$limit_st_name = "LMTS_$i";
		$limit_et_name = "LMTE_$i";
		$pause = "PAUSE_$i";
?>
  <tr bgcolor="white" align="center">
<?		if ($i == 0) { ?>
    <td align="center" rowspan="5" width="200">
		<b>SMS monitor page<br>Traffic Over Event<br>SMS Receiver</b><br><br>(000-0000-000)</td>
<?		} ?>
	<td>
		<input type="text" name="<?=$sms_name?>"
			value="<?=(isset($set_var[$sms_name])?$set_var[$sms_name]:"")?>" size="20" maxlength="20">
	</td>
<?
		for ($j=0; $j<7; $j++)
		{
			$val = pow(2, $j);
?>
	<td>
		<input type="checkbox" name="<?=$week_name.$j?>" value="<?=$val?>"
			<?=(isset($set_var[$week_name]) && ($set_var[$week_name] & $val)?"checked":"")?>>
	</td>
<?		} ?>
	<td>
		<input type="text" name="<?=$limit_st_name?>"
	value="<?=(isset($set_var[$limit_st_name])?$set_var[$limit_st_name]:"")?>" size="5" maxlength="5"> ~
		<input type="text" name="<?=$limit_et_name?>"
	value="<?=(isset($set_var[$limit_et_name])?$set_var[$limit_et_name]:"")?>" size="5" maxlength="5">
	</td>
	<td>
		<input type="checkbox" name="<?=$pause?>" value="Y"
			<?=((isset($set_var[$pause]) && $set_var[$pause]=='Y')?"checked":"")?>>
	</td>
<?	} ?>
  </tr>
</table>
<input type="submit" name="submit" value="Save">
</form>
</div>
</body>
</html>
