<?
//
//	$Id: switch_port_list.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//	NAME: arp_put
//	ARGUMENT:
//	DESCRIPTION:
//		스위치/포트 목록
//
//	REFERENCE:
//
//		mysql> desc switch_port;
//		+---------------+-----------------------+------+-----+---------+----------------+
//		| Field         | Type                  | Null | Key | Default | Extra          |
//		+---------------+-----------------------+------+-----+---------+----------------+
//		| id            | mediumint(8) unsigned | NO   | PRI | NULL    | auto_increment |
//		| host_id       | mediumint(8) unsigned | NO   |     | 0       |                |
//		| switch_ip     | varchar(16)           | NO   |     |         |                |
//		| mac           | varchar(32)           | NO   |     |         |                |
//		| ip            | varchar(16)           | NO   |     |         |                |
//		| port          | tinyint(4)            | YES  |     | NULL    |                |
//		| match_pattern | varchar(100)          | YES  |     | NULL    |                |
//		| description   | tinytext              | YES  |     | NULL    |                |
//		| direction     | enum('U','D')         | YES  |     | NULL    |                |
//		| ts            | datetime              | NO   |     |         |                |
//		+---------------+-----------------------+------+-----+---------+----------------+
//		10 rows in set (0.05 sec)
//

	require_once("./config.php");
	require_once("../include/config.php");
	require_once("DIRECTLIB/adodb/adodb.inc.php");
	require_once("DIRECTLIB/include/db.php");

	$db = db_conn ($database_type, $database_hostname, $database_username, $database_password, $database_default);
	if ($db === false)
	{
		die ("connect faild");
	}

	// for gr_open()
	$et=time(); $st=$et-(3600*24);

	$ts = time() - (3600 * 24 * 2);	// 3일전 TIMESTAMP
	$bf3_date = date ("Y-m-d H:i:s", $ts);
//echo __LINE__."BF3DATE=$bf3_date<br>\n";

?>
<html>
<head>
<title>MAC LIST - Samjung Data Service Network Admin</title>
<link rel="stylesheet" type="text/css" href="style.css" />
<!--script type="text/javascript" src="./utils_lib.js"></script>
<script type="text/javascript" src="./ajax_lib.js"></script>
<script type="text/javascript" src="./xml_lib.js"></script-->
<script language="javascript">
<!--

function gr_open (gid)
{
	if (gid == "")
	{
		alert ("gid 가 지정되어 있지 않은 IP 입니다.");
		return;
	}
	window.open("../graph_image.php?local_graph_id="+gid+"&rra_id=0&view_type=tree&graph_start=<?=$st?>&graph_end=<?=$et?>",
	"graph", "width=500,height=240");
}

function mac_history (ip)
{
	window.open("mac_history.php?ip="+ip, "mac_history", "width=400,height=240", "scrollbar=1");
}

-->
</script>
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<? require_once ("cacti_head.php") ?>
<br>
<div align="left" style="margin-left:10px;">
<table width="98%" border=0>
 <tr>
  <td align="left">
    <font size="3"><b>Switch 에 연결된 MAC / IP / 고객목록</b></font>
  </td>
 </tr>
</table>
<table width="1000" border="0" bgcolor="#EFEFEF">
  <tr bgcolor="#3154a5" height="24" align="center">
    <td width="28"><font color="white">NO</font></td>
    <td width="100"><font color="white">SWITCH IP</font></td>
    <td width="100"><font color="white">SWITCH NAME</font></td>
    <td width="40"><font color="white">Type</font></td>
    <td width="40"><font color="white">PORT</font></td>
    <td width="100"><font color="white">Connect MAC</font></td>
    <td width="100"><font color="white">Connect IP</font></td>
    <td width="*"><font color="white">Account(svc_no)</font></td>
  </tr>
<?
	$query = "SELECT a.switch_ip,d.name AS type,b.description,a.port,a.mac,a.ip,c.name,c.svc_no
		FROM switch_port a, host b, account c, host_template d WHERE a.host_id=b.id AND a.ip=c.ip AND d.id=b.host_template_id ORDER BY a.switch_ip,a.port";
	if (($ret = get_array($db, $query)) === false) $ret = array();
//echo __LINE__.":SQL=[$query]<br>\n";

	for ($i=0; $i<count($ret); $i++)
	{
?>
  <tr bgcolor="white">
	<td align="center"><?=($i+1)?></td>
	<td align="center"><?=$ret[$i]["switch_ip"]?></td>
	<td align="center"><?=$ret[$i]["description"]?></td>
	<td align="center"><?=$ret[$i]["type"]?></td>
	<td align="center"><?=$ret[$i]["port"]?></td>
	<td align="center"><?=$ret[$i]["mac"]?></td>
	<td align="center"><?=$ret[$i]["ip"]?></td>
	<td align="left"><?=$ret[$i]["name"]?> (<?=$ret[$i]["svc_no"]?>)</td>
  </tr>
<?
	}
?>
</table>
<br>
</body>
</html>

<?
/////////////// FUNCTION /////////////////

?>
