<?
//
//	$Id: switch_work.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//	NAME: switch_work.php
//	ARGUMENT:
//	DESCRIPTION:
//		해당스위치의 연결상태를 읽어오는 테이블.
//
//	REFERENCE:
//		c3750 - 12 port
//		c2970, 3560 - 28 port
//		c2950 - 24 port
//		cPIX f/w - 2 port
//		Altheon L4 - 9 port
//		Hanwall f/w - 5 port
//

	require_once("./config.php");
	require_once("../include/config.php");
	require_once("DIRECTLIB/adodb/adodb.inc.php");
	require_once("DIRECTLIB/include/db.php");
	require_once("DIRECTLIB/include/utils.php");

	$db = db_conn ($database_type, $database_hostname, $database_username, $database_password, $database_default);
	if ($db === false)
	{
		die ("connect faild");
	}


	$device = array (
		array ("id"=>"c3570", "bgcolor"=> "00cc66", "port"=>12),
		array ("id"=>"c3560", "bgcolor"=> "33cccc", "port"=>28),
		array ("id"=>"c2970", "bgcolor"=> "66cc66", "port"=>28),
		array ("id"=>"c2950", "bgcolor"=> "99cccc", "port"=>24),
		array ("id"=>"altheon", "bgcolor"=> "00ff99", "port"=>9),
		array ("id"=>"cpixfw", "bgcolor"=> "00ffff", "port"=>2),
		array ("id"=>"hwfw", "bgcolor"=> "66ccff", "port"=>5),
	);

	for ($i=0; $i<count($device); $i++)
	{
		if ($device[$i]["bgcolor"] == $_GET["typecolor"]) break;
	}
	if ($i == count($device)) die ("argument typecolor invalid.");
	$port_no = $device[$i]["port"];
//echo "PORT_no='$port_no', bgcolor='".$_GET["typecolor"]."'";

	if (isset($_POST["submit"]))
	{
		switch ($_POST["submit"])
		{
		case "추가":
			// 해당포트의 그래프ID 를 구하기 위한 쿼리.
			$query = "SELECT memo,port FROM account WHERE sw_ip='".$_GET["ip"]."' AND memo IS NOT NULL LIMIT 1";
			if (($hub_arr = get_array($db, $query)) === false) die ("TABLE EMPTY! : $query");
PutLog (__FILE__, __LINE__, LOG_DEBUG, "SQL=[$query]", true);
			$title_cache = substr ($hub_arr[0]["memo"], 0, strrpos ($hub_arr[0]["memo"], '/')+1);
			$temp = substr ($hub_arr[0]["port"], 0, strrpos ($hub_arr[0]["port"], '/')+1);

			// 이미 지정된 포트인지 검증.
			$port_name = $temp . sprintf ("%02d", $_POST["port"]);
			$query = "SELECT 1 FROM account WHERE sw_ip='".$_GET["ip"]."' AND port='$port_name'";
			if (($hub_arr = get_array($db, $query)) !== false)
			{
?>
<script language="javascript">
alert ("이미 지정되어 있는 포트 입니다.");
//history.back();
</script>
<?
PutLog (__FILE__, __LINE__, LOG_DEBUG, "SQL=[$query]", true);
				exit;
			}

			// titlecache 의 내용이 Fa0/1 또는 Fa0/01 로 들어가 있을수 있다.
			$temp = $title_cache . sprintf ("%02d", $_POST["port"]);
			$query = "SELECT local_graph_id FROM graph_templates_graph WHERE title_cache = '$temp'";
			if (($hub_arr = get_array($db, $query)) === false)
			{
				$temp = $title_cache . $_POST["port"];
				$query = "SELECT local_graph_id FROM graph_templates_graph WHERE title_cache = '$temp'";
				if (($hub_arr = get_array($db, $query)) === false) die ("GID NOT FOUND : $query");
			}
PutLog (__FILE__, __LINE__, LOG_DEBUG, "SQL=[$query]", true);
			$gid = $hub_arr[0]["local_graph_id"];

			// 해당 ROW 추가.
			$query = "INSERT INTO account (gid,ip,svc_no,name,wkid,ts,sw_ip,port,link_port) VALUES ('$gid','".$_POST["myip"]."','".$_POST["linktype"]."','".$_POST["name"]."','monitor',NOW(),'".$_GET["ip"]."','$port_name','".$_POST["link_port"]."')";
			if ($db->Execute ($query) === false) die ("SQL=[$query] : Error");
PutLog (__FILE__, __LINE__, LOG_DEBUG, "SQL=[$query]", true);
			break;

		case "수정":
			// 해당 ROW 추가.
			$query = "UPDATE account SET
			svc_no='".$_POST["linktype"]."',ip='".$_POST["myip"]."',name='".$_POST["name"]."',ts=NOW(),link_port='".$_POST["link_port"]."'
				WHERE sid='".$_POST["sid"]."'";
			if ($db->Execute ($query) === false) die ("SQL=[$query] : Error");
PutLog (__FILE__, __LINE__, LOG_DEBUG, "SQL=[$query]", true);
			break;

		case "삭제":
			$query = "DELETE FROM account WHERE sid='".$_POST["sid"]."'";
			if ($db->Execute ($query) === false) die ("SQL=[$query] : Error");
PutLog (__FILE__, __LINE__, LOG_DEBUG, "SQL=[$query]", true);
			break;
		}
	}

	// 선택에 의한 인수 검증
	if (isset($_GET["port"])) $port = $_GET["port"];
	else $port = "";

	if (isset($_GET["sid"])) $sid = $_GET["sid"];
	else $sid = "";

	// 해당 서버의 IP 이거나 업/다운 LINK 시에는 LINK 허브의 IP.
	if (isset($_GET["myip"])) $myip = $_GET["myip"];
	else $myip = "";

	// 본 그룹에 속한 스위치의 IP
	$ip = str_replace ('_','.',$_GET["ip"]);

	$ip_mask = substr ($_GET["ip"], 0, strrpos($_GET["ip"],'.'));

	// HUB 목록 FETCH
	$query = "SELECT hostname FROM host WHERE (hostname<>'127.0.0.1' AND hostname LIKE '$ip_mask%')
		OR (host_template_id=14 OR host_template_id=15) ORDER BY hostname";
//echo $query;
	if (($hub_arr = get_array($db, $query)) == false) $hub_arr = array ();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<link rel="stylesheet" type="text/css" href="style.css" />
<script language="javascript">
//<!CDATA[
function graph_open ()
{
	w = window.open("switch_graph.php?ip=<?=$ip?>","switch_graph","width=600,height=800,scrollbars=1");
	w.focus();

}

function submit_check ()
{
	if (document.forms[0].linktype[0].checked == false &&
		document.forms[0].linktype[1].checked == false)
	{
		alert ("LINK 타입은 필히 선택해 주십시오.");
		document.forms[0].linktype[0].focus();
		return false;
	}
	if (document.forms[0].myip.value.length == 0)
	{
		alert ("LINK IP 를 필히 입력해 주십시오.");
		document.forms[0].myip.focus();
		return false;
	}
	if (document.forms[0].link_port.value.length == 0)
	{
		alert ("LINK PORT 를 필히 입력해 주십시오.");
		document.forms[0].link_port.focus();
		return false;
	}
	return true;
}

//]]>
</script>
</head>
<body>
<div align="center">
<b><?=$ip?> SWITCH</b> <input type="button" value="트래픽그래프" OnClick="graph_open()">
<?
	// 할당된 고객 IP 및 UPLINK, DOWNLINK HUB 목록
	$query = "SELECT sid,gid,svc_no,name,ip,port,link_port FROM account WHERE sw_ip='$ip' ORDER BY port";
//echo $query;
	if (($port_arr = get_array($db, $query)) == false) $port_arr = array ();
?>
<table width="98%" border="0" cellspace="1" cellspan="1" bgcolor="#CCCCCC">
	<tr bgcolor="gainsboro" align="center">
		<td >PORT</td>
		<td width="55">SVCNO</td>
		<td>NAME</td>
		<td width="100">IP</td>
	</tr>
<?
	$idx = 1;
	$v_type = "";
	$v_ip = "";
	$v_name = "";
	$v_port = "";
	$v_link_port = "";

	for ($i=0; $i<count($port_arr); $i++)
	{
		// 포트인덱스 번호.
		$pidx = substr($port_arr[$i]["port"],strrpos($port_arr[$i]["port"],'/')+1);

		// 수정이나 삭제를 위해 선택된 ROW 데이터 복사.
		if ($port_arr[$i]["sid"] == $sid)
		{
			$v_type = $port_arr[$i]["svc_no"];
			$v_ip = $port_arr[$i]["ip"];
			$v_name = $port_arr[$i]["name"];
			$v_link_port = $port_arr[$i]["link_port"];
			$v_port = $pidx;
		}

		// 28 은 장비중에 최대 포트의 숫자.
		if ($pidx <= 28)
		{
			for (; $idx<$pidx; $idx++)
			{
?>
	<tr bgcolor="white" align="center">
		<td><?=$idx?></td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
	</tr>
<?			}
		}
?>
	<tr bgcolor="white" align="center">
<?
		// LINK 포트는 출력 형태를 다르게 표기.
		if ($port_arr[$i]["svc_no"] == "up" OR $port_arr[$i]["svc_no"] == "down")
		{
?>
		<td><a href="switch_work.php?ip=<?=$_GET["ip"]?>&sid=<?=$port_arr[$i]["sid"]?>&typecolor=<?=$_GET["typecolor"]?>"><?=$idx?></a></td>
		<td><?=$port_arr[$i]["svc_no"]?></td>
		<td align="left" colspan="3">
			<?=$port_arr[$i]["ip"]?>:<?=$port_arr[$i]["link_port"]?> (<?=$port_arr[$i]["name"]?>)
		</td>
<?		} else { ?>
		<td><?=$idx?></td>
		<td><?=$port_arr[$i]["svc_no"]?></td>
		<td align="left"><?=$port_arr[$i]["name"]?></td>
		<td><?=$port_arr[$i]["ip"]?></td>
<?		} ?>
	</tr>
<?		$idx++;
	}

	for (; $idx<=$port_no; $idx++)
	{
?>
	<tr bgcolor="white" align="center">
		<td><?=$idx?></td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
	</tr>
<?	}
?>
<form method="post" action="switch_work.php?ip=<?=$ip?>&typecolor=<?=$_GET["typecolor"]?>" OnSubmit="return submit_check()">
	<tr bgcolor="white" align="center">
		<td>
			<input type="hidden" name="sid" value="<?=$sid?>">
			<input type="text" size="2" name="port" maxlength="2" value="<?=$v_port?>">
		</td>
		<td colspan="3" align="left">
		UP <input type="radio" name="linktype" value="up" <?=($v_type=="up"?"checked":"")?>>
		DOWN <input type="radio" name="linktype" value="down" <?=($v_type=="down"?"checked":"")?>></br>
		IP: <select name="myip">
<?  for ($i=0; $i<count($hub_arr); $i++) { ?>
			<option value="<?=$hub_arr[$i]["hostname"]?>" <?=($hub_arr[$i]["hostname"]==$v_ip?"selected":"")?>><?=$hub_arr[$i]["hostname"]?></option>
<?	}	?>
			<option value="" <?=($v_ip?"":"selected")?>>NULL</option>
		</select> /
		PORT: <select name="link_port">
<?  for ($i=0; $i<26; $i++) { ?>
			<option value="<?=$i?>" <?=($i==$v_link_port?"selected":"")?>><?=$i?></option>
<?	}	?>
			<option value="" <?=($v_link_port?"":"selected")?>>NULL</option>
		</select><br>
메모: <input type="text" name="name" size="38" maxlength="250" value="<?=$v_name?>">
		</td>
	</tr>
	<tr bgcolor="white" align="center">
		<td colspan="4">
		<input type="submit" name="submit" value="수정">
		<input type="submit" name="submit" value="추가">
		<input type="submit" name="submit" value="삭제">
		<input type="button" name="close" value="닫기" OnClick="self.close()">
		</td>
	</tr>
</form>
</table>
</div>
<br>
<div>
포트의 추가/수정/삭제는 up / downlink 의 디바이스만 가능합니다. 고객용 정보는 HSM 에서 변경가능하며, 다음날 동기화 프로그램
에 의해서 갱신됩니다. 해당 포트번호를 클릭하면 수정/삭제 할수 있습니다.
</div>
</body>
