<?php

//require_once($_SERVER["DOCUMNET_ROOT"] . "/DIRECTLIB/adodb/adodb.inc.php");
require_once("/home/httpd/DIRECTLIB/adodb/adodb.inc.php");

class domainSrv {
	
	private $db;
/*
	private $qsrv_ip = "211.239.157.14";
	private $qsrv_id = "domain";
	private $qsrv_pw = "ehapdlstjqltm";
	private $qsrv_db = "sdsDS";
*/
	public $ErrMsg;


	public function __construct($db) {
		$this->db = $db;
	}


	public function dtype ($user_no, $domain) {

		$query = "SELECT `domain_kind` 
				  FROM `domain_list`
				  WHERE	`user_no` = '".$user_no."'
					AND `d_name` = '".$domain."'
				  LIMIT 1";

		$rs = $this->db->Execute($query);

		if ($rs != FALSE && $rs->RecordCount() > 0) {
			$type = trim($rs->Fields("domain_kind"));
		} else {
			$type = "fail";
		}

		switch ($type) {

			case "com" :
				$ret_type = "onlinenic";
				break;

			case "kor" :
				$ret_type = "dotname";
				break;

			case "nida" :
				$ret_type = "nida";
				break;

			default :
				$ret_type = null;
				break;

		}

		return $ret_type;
		
	}


	public function dlist ($user_no, $domain = "") {

		if ($user_no != "" && $domain == "") {

			$query = "SELECT `d_name`, 
					 `reg_date`, 
					 `mod_date`, 
					 `end_date`, 
					 `dpf` 
				  FROM `domain_list`
				  WHERE `user_no` = '".$user_no."'";

		} else if ($user_no != "" && $domain != "") {

			$query = "SELECT `d_name`, 
					 `reg_date`, 
					 `mod_date`, 
					 `end_date`, 
					 `dpf` 
				  FROM `domain_list`
				  WHERE `user_no` = '".$user_no."'
					AND `d_name` = '".$domain."'
				  LIMIT 1";
		}

		$rs = $this->db->Execute($query);

		if ($rs != FALSE && $rs->RecordCount() > 0) {
			$domain_list = $rs->GetArray();
		} else {
			$domain_list = null;
		}

		return $domain_list;

	}


	public function dinfo ($domain_type, $user_no, $domain) {

		if($domain_type != null || $domain_type != "") {

			if ($domain_type == "onlinenic") {

				$query = "SELECT `period`, 
								 `passwd`, 
								 `ns1`, 
								 `ns2`, 
								 `reg_date`, 
								 `mod_date`, 
								 `end_date`
						  FROM `".$domain_type."_domain`
						  WHERE `user_no` = '".$user_no."'
							AND `d_name` = '".$domain."'
						  LIMIT 1";

				$rs = $this->db->Execute($query);

				if ($rs != FALSE && $rs->RecordCount() > 0) {

					$period = trim($rs->Fields("period"));
					$passwd = trim($rs->Fields("passwd"));
					$ns1 = trim($rs->Fields("ns1"));
					$ns2 = trim($rs->Fields("ns2"));
					$reg_date = trim($rs->Fields("reg_date"));
					$mod_date = trim($rs->Fields("mod_date"));
					$end_date = trim($rs->Fields("end_date"));

				}

				$query = "SELECT `name`, 
								 `org`, 
								 `street1`, 
								 `street2`, 
								 `city`, 
								 `state`, 
								 `post_code`, 
								 `country_code`,
								 `telephone`,
								 `fax`,
								 `email`
						  FROM `".$domain_type."_contact`
						  WHERE `user_no` = '".$user_no."'
							AND `d_name` = '".$domain."'
							AND `contact_type` = 'reg'
						  LIMIT 1";

				$rs = $this->db->Execute($query);

				if ($rs != FALSE && $rs->RecordCount() > 0) {
					$reg_name = trim($rs->Fields("name"));
					$reg_org = trim($rs->Fields("org"));
					$reg_adr1 = trim($rs->Fields("street1"));
					$reg_adr2 = trim($rs->Fields("street2"));
					$reg_city = trim($rs->Fields("city"));
					$reg_state = trim($rs->Fields("state"));
					$reg_zip = trim($rs->Fields("post_code"));
					$reg_country = trim($rs->Fields("country_code"));
					$reg_phone = trim($rs->Fields("telephone"));
					$reg_fax = trim($rs->Fields("fax"));
					$reg_email = trim($rs->Fields("email"));	
				}
				
				$query = "SELECT `name`, 
								 `org`, 
								 `street1`, 
								 `street2`, 
								 `city`, 
								 `state`, 
								 `post_code`, 
								 `country_code`,
								 `telephone`,
								 `fax`,
								 `email`
						  FROM `".$domain_type."_contact`
						  WHERE `user_no` = '".$user_no."'
							AND `d_name` = '".$domain."'
							AND `contact_type` = 'admin'
						  LIMIT 1";

				$rs = $this->db->Execute($query);
				
				if ($rs != FALSE && $rs->RecordCount() > 0) {
					$admin_name = trim($rs->Fields("name"));
					$admin_org = trim($rs->Fields("org"));
					$admin_adr1 = trim($rs->Fields("street1"));
					$admin_adr2 = trim($rs->Fields("street2"));
					$admin_city = trim($rs->Fields("city"));
					$admin_state = trim($rs->Fields("state"));
					$admin_zip = trim($rs->Fields("post_code"));
					$admin_country = trim($rs->Fields("country_code"));
					$admin_phone = trim($rs->Fields("telephone"));
					$admin_fax = trim($rs->Fields("fax"));
					$admin_email = trim($rs->Fields("email"));
				}

				$domain_info = array (

					"user_no" => $user_no,
					"domain" => $domain,
					"reg_date" => $reg_date,
					"mod_date" => $mod_date,
					"end_date" => $end_date,
					"ns1" => $ns1,
					"ns2" => $ns2,

					"reg_name" => $reg_name,
					"reg_org" => $reg_org,
					"reg_adr1" => $reg_adr1,
					"reg_adr2" => $reg_adr2,
					"reg_city" => $reg_city,
					"reg_state" => $reg_state,
					"reg_zip" => $reg_zip,
					"reg_country" => $reg_country,
					"reg_phone" => $reg_phone,
					"reg_fax" => $reg_fax,
					"reg_email" => $reg_email,

					"admin_name" => $admin_name,
					"admin_org" => $admin_org,
					"admin_adr1" => $admin_adr1,
					"admin_adr2" => $admin_adr2,
					"admin_city" => $admin_city,
					"admin_state" => $admin_state,
					"admin_zip" => $admin_zip,
					"admin_country" => $admin_country,
					"admin_phone" => $admin_phone,
					"admin_fax" => $admin_fax,
					"admin_email" => $admin_email

				);

			} else {
				
				$query = "SELECT *
						  FROM `".$domain_type."_domain`
						  WHERE `user_no` = '".$user_no."'
							AND `d_name` = '".$domain."'
						  LIMIT 1";

				$rs = $this->db->Execute($query);

				if ($rs != FALSE && $rs->RecordCount() > 0) {

					$domain_info = array (

						"user_no" => $user_no,
						"domain" => $domain,
						"reg_date" => trim($rs->Fields("reg_date")),
						"mod_date" => trim($rs->Fields("mod_date")),
						"end_date" => trim($rs->Fields("end_date")),

						"ns1" => trim($rs->Fields("ns1")),
						"ns1_ip" => trim($rs->Fields("ns1_ip")),
						"ns2" => trim($rs->Fields("ns2")),
						"ns2_ip" => trim($rs->Fields("ns2_ip")),

						"sms_use" => trim($rs->Fields("sms_use")),
						"info_open" => trim($rs->Fields("info_open")),

						"owner" => trim($rs->Fields("owner")),
						"owner_e" => trim($rs->Fields("owner_e")),
						"reg_kind" => trim($rs->Fields("reg_kind")),
						"reg_no" => trim($rs->Fields("reg_no")),
						"admin" => trim($rs->Fields("admin")),
						"admin_e" => trim($rs->Fields("admin_e")),

						"adr_zip" => trim($rs->Fields("adr_zip")),
						"adr_1" => trim($rs->Fields("adr_1")),
						"adr_2" => trim($rs->Fields("adr_2")),
						"adr_1_e" => trim($rs->Fields("adr_1_e")),
						"adr_2_e" => trim($rs->Fields("adr_2_e")),

						"phone" => trim($rs->Fields("phone")),
						"mphone" => trim($rs->Fields("mobile_phone")),
						"email" => trim($rs->Fields("email"))

					);

				}

			}
			
		} else {
			$domain_info = null;
		}

		return $domain_info;

	}


	public function dwhois ($domain) {

		$ret_str = "";
		$srv_type = strrchr($domain, ".");

		switch($srv_type) {

			case ".kr" :
				$srv = "whois.nida.or.kr";
				break;

			case ".org" :
				$srv = "whois.publicinterestregistry.net";
				break;

			case ".biz" :
				$srv = "whois.neulevel.biz";
				break;

			case ".info" :
				$srv = "whois.afilias.info";
				break;

			case ".in" :
				$srv = "whois.inregistry.net";
				break;
	
			default :
				$srv = "whois.internic.com";
				break;
		}

		$fp = fsockopen($srv, 43, &$err_no, &$err_str, 30);
		fputs ($fp, $domain."\r\n");

		while (!feof($fp)) {
			$ret_str .= fgets($fp, 128);
		}

		fclose($fp);

		return $ret_str;

	}
}

?>
