<?php
/*
	    DB ϴ κ

	 XML  ǰ   DB      ۾ óϰ
	ó ¸ Ʈ Ѵ.
	HSC Ajax ̿Ͽ ֱ DB о ó  ǥѴ.

	Ʒ Ǵ ̺ Ű ̴.

		create table directcmd (
			sid bigint(20) not null auto_increment,			--  Ű
			svc_no char(6) not null,										--  ȣ
			cmd_key varchar(30) not null,								--  Ű (   )
			ask_time datetime,													-- û ð	
			svr_ip varchar(15),													--  IP
			svr_port varchar(5),												--  PORT
			empno char(6),															--  ȣ
			svr_cmd text,																--  ɾ
			state_qry text,															--  Ʈ 
			prog_time datetime,													-- ó ð
			prog_gubn char(1),													-- ó  (1:û, 2:ó , 3:Ϸ)
			msg text,																		--  ޽
			primary key (sid)																	
		) ENGINE=MyISAM

	
*/

class HSCMakeCmd
{
	
	public $conn;
	public $hsc_conn;
	public $svc_no;
	public $web_ip;
	public $sms_count;
	public $vhost_restart;
	public $copy_dfltdoc;
	public $cmd_key;
	public $emp_no;
	public $standby;

	public $err_msg;

	// 쿡 ϴ ÷ 
	private $UF_SCRIPT                    = 0x0001;
	private $UF_PASSWD_CANT_CHANGE        = 0x0040;
	private $UF_NORMAL_ACCOUNT            = 0x0200;
	private $UF_DONT_EXPIRE_PASSWD        = 0x10000;

	private $cmd_run_cnt = 0;

	public function __construct($conn, $hsc_conn)
	{
		$this->conn = $conn;
		$this->hsc_conn = $hsc_conn;
	}

	public function hsc_stop_svc($svc_no, $cmd_key, $emp_no)
	{
		$proc_arr['svcno'] = $svc_no;
		$proc_arr['webip'] = "";
		$proc_arr['smscount'] = "";
		$proc_arr['vhost'] = "";
		$proc_arr['dfltdoc'] = "";
		$proc_arr['proc'] = "proc_sms:sxx,proc_log:sxx,proc_counter:sxx,proc_chargebd:sxx,proc_freebd:sxx,proc_mail:sxx,proc_www:ssx,proc_ftp:ssx,proc_folder:sxx,proc_os:ssx";
		$proc_arr['cmdkey'] = $cmd_key;
		$proc_arr['empno'] = $emp_no;

		$ret = $this->hsc_cmd_run($proc_arr);
		
		if (strstr($ret, "<ret>OK</ret>")) {
			return true;
		} else {
			return false;
		}
	}


	public function hsc_start_svc($svc_no, $cmd_key, $emp_no)
	{
		$proc_arr['svcno'] = $svc_no;
		$proc_arr['webip'] = "";
		$proc_arr['smscount'] = "";
		$proc_arr['vhost'] = "";
		$proc_arr['dfltdoc'] = "";
		$proc_arr['proc'] = "proc_sms:rxx,proc_log:rxx,proc_counter:rxx,proc_chargebd:rxx,proc_freebd:rxx,proc_mail:rxx,proc_www:ssx,proc_ftp:rsx,proc_folder:rxx,proc_os:ssx";
		$proc_arr['cmdkey'] = $cmd_key;
		$proc_arr['empno'] = $emp_no;

		$ret = $this->hsc_cmd_run($proc_arr);
		
		if (strstr($ret, "<ret>OK</ret>")) {
			return true;
		} else {
			return false;
		}
	}

	public function hsc_cmd_run($post)
	{
		if (!isset($post['svcno']) || !isset($post['proc'])) {
			$ret = "<ret>FAIL</ret> \r\n <count>0</count> \r\n <msg> μ ùٸ ʽϴ.</msg> \r\n";
		} else {
			$svc_no = $post['svcno'];
			$web_ip = $post['webip'];
			$sms_count = $post['smscount'];
			$vhost_restart = $post['vhost'];
			$copy_dfltdoc = $post['dfltdoc'];
			$proc_cmd = $post['proc'];
			$cmd_key = $post['cmdkey'];
			$emp_no = $post['empno'];

			if ($post['active_status'] == 'S')
				$this->standby = true;
			else
				$this->standby = false;

			//  ȣ
			$this->svc_no = $svc_no;
			// ⺻   IP ̿ܿ  IP ϱ  IP   Է    Ѿ ´.
			$this->web_ip = $web_ip;
			//  SMS   SMS   Է   Ѿ ´.
			$this->sms_count = $sms_count;
			//  ȣƮ       Ѿ ´.
			$this->vhost_restart = $vhost_restart;
			// NT ⺻  縦     Ѿ ´.
			$this->copy_dfltdoc = $copy_dfltdoc;
			//      Ű  Ѿ ´.(    DB  ǰ ó  ȸ   ȴ.)
			$this->cmd_key = $cmd_key;
			//    ȣ Ѿ ´. ( 970128 Ǿ  HSM   Cookie  ʿ)
			$this->emp_no = $emp_no;

			$arr_proc_cmd = explode(',', $proc_cmd);

			$cmd_count = 0;

			foreach ($arr_proc_cmd as $cmd_item) {
				$cmd = explode(':', $cmd_item);
				$cmd_name = $cmd[0];
				$cmd_type = substr($cmd[1], 0, 1);
				$cmd_status = substr($cmd[1], 1, 1);
				$cmd_mail = substr($cmd[1], 2, 1);

				if ($cmd_name == 'proc_os') {
					// OS   
					$ret = $this->fn_os_proc($cmd_type,$cmd_status,$cmd_mail);
					if ($ret === false) {
						$ret_msg .= "OS  ۾   \r\n";
					} else {
						$cmd_count++;
					}
				} else if ($cmd_name == 'proc_folder') {
					//   
					$ret = $this->fn_folder_proc($cmd_type,$cmd_status,$cmd_mail);
					if ($ret === false) {
						$ret_msg .= " ۾   \r\n";
					} else {
						$cmd_count++;
					}
				} else if ($cmd_name == 'proc_ftp') {
					// FTP  
					$ret = $this->fn_ftp_proc($cmd_type,$cmd_status,$cmd_mail);
					if ($ret === false) {
						$ret_msg .= "FTP ۾   \r\n";
					} else {
						$cmd_count++;
					}
				} else if ($cmd_name == 'proc_www') {
					// WWW  
					$ret = $this->fn_www_proc($cmd_type,$cmd_status,$cmd_mail);
					if ($ret === false) {
						$ret_msg .= "WWW ۾   \r\n";
					} else {
						$cmd_count++;
					}
				} else if ($cmd_name == 'proc_db') {
					// DB  
					$ret = $this->fn_db_proc($cmd_type,$cmd_status,$cmd_mail);
					if ($ret === false) {
						$ret_msg .= "DB ۾   \r\n";
					} else {
						$cmd_count++;
					}
				} else if ($cmd_name == 'proc_mail') {
					//   
					$ret = $this->fn_mail_proc($cmd_type,$cmd_status,$cmd_mail);
					if ($ret === false) {
						$ret_msg .= " ۾   : ".$this->err_msg."\r\n";
					} else {
						$cmd_count++;
					}
				} else if ($cmd_name == 'proc_freebd') {
					//  Խ  
					$ret = $this->fn_freebd_proc($cmd_type,$cmd_status,$cmd_mail);
					if ($ret === false) {
						$ret_msg .= " Խ ۾   \r\n";
					} else {
						$cmd_count++;
					}
				} else if ($cmd_name == 'proc_chargebd') {
					//  Խ  
					$ret = $this->fn_chargebd_proc($cmd_type,$cmd_status,$cmd_mail);
					if ($ret === false) {
						$ret_msg .= " Խ ۾   \r\n";
					} else {
						$cmd_count++;
					}
				} else if ($cmd_name == 'proc_counter') {
					// ī  
					$ret = $this->fn_counter_proc($cmd_type,$cmd_status,$cmd_mail);
					if ($ret === false) {
						$ret_msg .= "ī ۾   \r\n";
					} else {
						$cmd_count++;
					}
				} else if ($cmd_name == 'proc_log') {
					// α׺м  
					$ret = $this->fn_log_proc($cmd_type,$cmd_status,$cmd_mail);
					if ($ret === false) {
						$ret_msg .= "α м ۾   \r\n";
					} else {
						$cmd_count++;
					}
				} else if ($cmd_name == 'proc_sms') {
					// SMS  
					$ret = $this->fn_sms_proc($cmd_type,$cmd_status,$cmd_mail);
					if ($ret === false) {
						$ret_msg .= "SMS ۾   \r\n";
					} else {
						$cmd_count++;
					}
				} else if ($cmd_name == 'proc_iisvirdir') {
					// IIS   ͸  
					$ret = $this->fn_iisvirdir_proc();
					if ($ret === false) {
						$ret_msg .= "IIS  ͸ ۾   \r\n";
					} else {
						$cmd_count++;
					}
				} else if ($cmd_name == 'proc_iiswrite') {
					// IIS     
					$ret = $this->fn_iiswrite_proc();
					if ($ret === false) {
						$ret_msg .= "IIS   ۾   \r\n";
					} else {
						$cmd_count++;
					}			
				} else if ($cmd_name == 'proc_iisdoc') {
					// IIS  ⺻   
					$ret = $this->fn_iisdoc_proc();
					if ($ret === false) {
						$ret_msg .= "IIS ⺻  ۾   \r\n";
					} else {
						$cmd_count++;
					}
				} else if ($cmd_name == 'proc_vhost') {
					// vhost  
					$ret = $this->fn_vhost_proc();
					if ($ret === false) {
						$ret_msg .= "vhost ۾   \r\n";
					} else {
						$cmd_count++;
					}
				} else if ($cmd_name == 'proc_cpfile') {
					// NT  
					$ret = $this->fn_cpfile_proc();
					if ($ret === false) {
						$ret_msg .= "NT    \r\n";
					} else {
						$cmd_count++;
					}
				}
			}

			if (trim($ret_msg) != "") {
				$ret = "<ret>OK</ret> \r\n <count>".$this->cmd_run_cnt."</count> \r\n <msg>".$ret_msg."</msg> \r\n";
			} else {
				$ret = "<ret>OK</ret> \r\n <count>".$this->cmd_run_cnt."</count> \r\n <msg> Ϸ Ǿϴ.</msg> \r\n";
			}
		}

		//  
		// header ("Content-type: text/xml; charset=euc-kr");
		$cmd_ret = "<?xml version=\"1.0\" encoding=\"euc-kr\"?>";
		$cmd_ret .= "<HSCMSG>\r\n";
		$cmd_ret .= $ret;
		$cmd_ret .= "</HSCMSG>\r\n";

		return $cmd_ret;
	}

	//
	//  μ ޾Ƽ XML · ȯ Ѵ.
	//  XML Ģ 
	// <SDSMNG>
	//	<CMD>ɾ ̸</CMD>
	//	<PARAM NAME="μ ̸"><![CDATA[μ ]]></PARAM>
	// <SDSMNG>
	public function create_cmd($cmd_name, $arr_parm=false)
	{
		if (!empty($cmd_name)) {
			$ret = "<?xml version=\"1.0\"?> \r\n";
			
			$ret .= "<SDSMNG> \r\n";
			$ret .= "<CMD>".$cmd_name."</CMD> \r\n";

			if (!empty($arr_parm) && is_array($arr_parm)) {
				foreach($arr_parm as $parm) {
					$ret .= "<PARAM NAME=\"".$parm[0]."\"><![CDATA[".$parm[1]."]]></PARAM> \r\n";
				}
			}

			$ret .= "</SDSMNG> \r\n";
		}

		return $ret;
	}

	//
	// ɾ DB Ѵ.
	//
	public function insert_cmd($svr_ip, $svr_port, $svr_cmd, $mail_code="", $state_qry="", $svcopt_code = "")
	{
		if (!empty($svr_cmd) || !empty($mail_code)) {
			$qry_act = "
				select
					owner_id
				from
					svc
				where
					svc_no=?
			";

			$parm_act[] = $this->svc_no;

			$ret_act = get_records($this->conn, $qry_act, $parm_act);
			

			if ($ret_act) {
				$act_id = $ret_act['owner_id'];
			} else {
				return false;
			}

			
			$qry = "
				insert into directcmd 
				(
					act_id,
					svc_no,
					cmd_key,
					ask_time,
					svr_ip,
					svr_port,
					empno,
					svr_cmd,
					state_qry,
					prog_gubn,
					mail_code,
					svcopt_code
				)
				values
				(
					?,
					?,
					?,
					now(),
					?,
					?,
					?,
					?,
					?,
					?,
					?,
					?
				)
			";
			
			$parm[] = $act_id;
			$parm[] = $this->svc_no;
			$parm[] = $this->cmd_key;
			$parm[] = $svr_ip;
			$parm[] = $svr_port;
			$parm[] = $this->emp_no;
			$parm[] = $svr_cmd;
			$parm[] = $state_qry;
			$parm[] = "1";
			$parm[] = $mail_code;
			$parm[] = $svcopt_code;
			
			$ret = $this->hsc_conn->Execute($qry, $parm);
			

			if ($ret) {
				$this->cmd_run_cnt++;
				return true;
			} else {
				$this->err_msg = "directcmd Ʈ ";
				return false;
			}
		}
	}



	//
	//   ȣ  OS  о ´.
	//
	public function get_os_type($mst_code)
	{
		if (substr($mst_code,0,5) == 'WHWIN' || substr($mst_code,0,5) == 'WHNET' || substr($mst_code,0,2) == 'SH') {
			return "WIN";
		} else if (substr($mst_code,0,5) == 'WHLNX' || substr($mst_code,0,5) == 'FL001') {
			return "LNX";
		} else {
			return "NONE";
		}
	}

	//
	//    о ´.
	//
	public function get_svc_info()
	{
		$qry = "
			select
				svc.svcmst_code,
				svc.adm_id,
				svc.adm_pwd,
				svc.svr_drv,
				svc.owner_name,
				(
					select 
						svr_ip 
					from 
						svrlst 
					where 
				";
		if ($this->standby == true)
		{
			$qry .= " svr_code=svc.svr_code_s ";
		}
		else
		{
			$qry .= " svr_code=svc.svr_code_a ";
		}

		$qry .= "
				) as svr_ip,
				svc.ftp_port,
				svc.webdoc_default
			from
				svc
			where
				svc.svc_no=?
		";

		$parm[] = $this->svc_no;
		
		$ret = get_records($this->conn, $qry, $parm);
		

		if ($ret) {
			return $ret;
		} else {
			return false;
		}
	}

	//
	// DB ó  Ǵ DB   о ´.
	//
	public function get_db_info($mst_code)
	{
		$qry = "
			select 
				svrlst.dblogin_id,
				svrlst.dblogin_pwd,
		";
		
		if (substr($mst_code, 0, 9) == 'WHLNXPREM') {
			$qry .= "svrlst.dom_name as 'svr_ip', ";
		} else {
			$qry .= "svrlst.svr_ip, ";
		}

		$qry .= "
				
				svcopt.adm_pwd,
				svcopt.order_cnt,
				svcopt.svr_drv,
				svcdetslv.inst_mail_code
			from 
				svrlst, svcopt, svcdetslv
			where 
				svrlst.svr_code=svcopt.svr_code_a and 
				svcopt.svcopt_code=svcdetslv.svcopt_code and
				svcopt.svc_no=? and 
				left(svcopt.svcopt_code,6) in ('000003','000004','000016','000029','000030', '000042') 
			limit 1
		";

		$parm[] = $this->svc_no;
		
		$ret = get_records($this->conn, $qry, $parm);
		

		if ($ret) {
			return $ret;
		} else {
			return false;
		}
	}

	//
	// WWW   о ´.
	//    ȣƮ ̸  Ͱ     о 迭 ȯѴ.
	//  ) [0] direct.co.kr [1] www.direct.co.kr [2] sds.co.kr [3] www.sds.co.kr
	public function get_www_dom()
	{
		$qry = "
			select 
				dom_gubn, 
				dom.dom_url, 
				ifnull(dht.host_name,'') as host_name,
				ifnull(dht.host_gubn,'') as host_gubn
			from 
				dom join dht on dom.svc_no=dht.svc_no and dom.dom_url=dht.dom_url 
			where 
				dom.svc_no=? and
				dht.host_gubn='1'
			order by
				dom_gubn asc
		";

		$parm[] = $this->svc_no;

		$ret = get_array($this->conn, $qry, $parm);
		

		if ($ret) {
			$dom_ret = array();

			foreach ($ret as $dom) {
				if ($dom['dom_gubn'] == '1' || $dom['dom_gubn'] == '3' || $dom['dom_gubn'] == '4') {
					// ⺻, ߰, 
					$dom_ret[] = $dom['dom_url'];
					if (!empty($dom['host_name']) && $dom['host_gubn'] == '1') {
						$dom_ret[] = $dom['host_name'].'.'.$dom['dom_url'];
					}
				} else if ($dom['dom_gubn'] == '2' || $dom['dom_gubn'] == '5') {
					// ӽ, 
					if (!empty($dom['host_name']) && $dom['host_gubn'] == '1') {
						$dom_ret[] = $dom['host_name'].'.'.$dom['dom_url'];
					}
				}
			}

			return $dom_ret;
		} else {
			return false;
		}
	}
	
	//
	// ̳ α     Ͽ 
	// ⺻ ΰ ߰   о ´.
	//   ȣƮ   ȴ.
	// 
	public function get_dom_info()
	{
		$qry = "
			select
				dom_url,
				dom_gubn
			from
				dom
			where
				svc_no=? and
				dom_gubn in ('1','3')
		";

		$parm[] = $this->svc_no;

		$ret = get_array($this->conn, $qry, $parm);
		

		if ($ret) {
			$arr_dom = array();

			foreach ($ret as $dom_item) {
				if ($dom_item['dom_gubn'] == '1') {
					// ⺻ 
					$arr_dom['basic_dom'] = $dom_item['dom_url'];
				} else {
					// ߰ 
					$arr_dom['add_dom'][] = $dom_item['dom_url'];
				}
			}

			return $arr_dom;
		} else {
			return false;
		}
	}

	//
	// û Ʈ  о ´.
	//  ȣ ̳  ũ   ش Ʈ  Ѱ ش.
	//
	public function get_traffic_size()
	{
		$qry = "
			select
				ifnull(svcopt.order_cnt,1) as order_cnt
			from
				svcopt
			where
				svcopt.svc_no=? and
				left(svcopt.svcopt_code,6)='000028'
		";

		$parm[] = $this->svc_no;

		$ret = get_records($this->conn, $qry, $parm);
		

		if ($ret) {
			return $ret['order_cnt'];
		} else {
			return '1';
		}
	}

	//
	//     Ǵ  о ´.
	//
	public function get_mail_info()
	{
		$qry = "
			select
				ifnull(svcopt.order_cnt,0) as order_cnt,
				svrlst.svr_ip,
				svcdetslv.inst_mail_code
			from
				svcopt, svrlst, svcdetslv
			where
				svcopt.svr_code_a=svrlst.svr_code and
				svcopt.svcopt_code=svcdetslv.svcopt_code and
				svcopt.svc_no=? and
				left(svcopt.svcopt_code,6) in ('000006','000007')
			order by
				svcopt.order_cnt desc
			limit 1
		";

		$parm[] = $this->svc_no;

		$ret = get_records($this->conn, $qry, $parm);

		if ($ret) {
			return $ret;
		} else {
			$this->err_msg = "  ϵǾ  ʽϴ.";
			return false;
		}
	}

	//
	// α    Ǵ  о ´.
	//
	public function get_log_info()
	{
		$qry = "
			select
				ifnull(svcopt.order_num,0) as order_num
			from
				svcopt
			where
				svcopt.svc_no=? and
				left(svcopt.svcopt_code,6)='000025'
		";

		$parm[] = $this->svc_no;

		$ret = get_records($this->conn, $qry, $parm);
		

		if ($ret) {
			return $ret;
		} else {
			return false;
		}
	}

	//
	//  Խ   Ǵ  о ´.
	//
	public function get_cboard_info()
	{
		$qry = "
			select
				ifnull(svcopt.order_cnt,0) as order_cnt,
				ifnull(svcopt.order_num,0) as order_num,
				svcopt.svcopt_code
			from
				svcopt
			where
				svcopt.svc_no=? and
				left(svcopt.svcopt_code,6)='000018'
		";

		$parm[] = $this->svc_no;

		$ret = get_records($this->conn, $qry, $parm);
		

		if ($ret) {
			return $ret;
		} else {
			return false;
		}
	}


	//
	// SMS   Ǵ  о ´.
	//
	public function get_sms_info()
	{
		$qry = "
			select
				svc.unique_key,
				svcopt.svcopt_code,
				(svcopt.order_cnt + svcopt.order_num) as 'order_num',
				(case left(svcopt.svcopt_code, 6) when '000011' then 'fixed' when '000024' then 'coin' end) as 'sms_type'
			from
				svc, svcopt
			where
				svc.svc_no=svcopt.svc_no and
				left(svcopt.svcopt_code,6) in ('000011', '000024') and
				svc.svc_no=?
		";

		$parm[] = $this->svc_no;

		$ret = get_records($this->conn, $qry, $parm);
		

		if ($ret) {
			return $ret;
		} else {
			return false;
		}
	}

	//
	// IIS  Ѱ  ͸   Ǵ  о ´.
	//
	public function get_iis_info()
	{
		$qry = "
			select 
				iis_dir, 
				ifnull(write_yn, 'N') as 'write_yn',
				ifnull(vir_yn, 'N') as 'vir_yn' 
			from 
				svcwebdirinf 
			where 
				svc_no=? and 
				(write_yn = 'Y' or vir_yn = 'Y')
			order by 
				iis_dir
		";

		$parm[] = $this->svc_no;

		$ret = get_array($this->conn, $qry, $parm);
		

		if ($ret) {
			return $ret;
		} else {
			return false;
		}
	}

	//
	// ش ΰ 񽺿  ġ  ڵ ȯ
	//
	public function get_svc_mail_code($svc_code)
	{
		$qry = "
			select 
				svcdetslv.inst_mail_code
			from
				svcopt, svcdetslv
			where
				svcopt.svcopt_code=svcdetslv.svcopt_code and
				svcopt.svc_no=? and
				left(svcopt.svcopt_code,6) in ('%s')
			limit 1
		";

		$parm[] = $this->svc_no;
		
		$qry = sprintf($qry, $svc_code);

		$ret = get_records($this->conn, $qry, $parm);
		

		if ($ret) {
			return $ret['inst_mail_code'];
		} else {
			return false;
		}
	}

	/*
		OS   κ
			c : , s : , r : ǻ츮, d : 
	*/
	public function fn_os_proc($type, $status, $mail)
	{
		$cmd = "";
		$parm = array();

		$svc_info = $this->get_svc_info();
		$os_type = $this->get_os_type($svc_info['svcmst_code']);

		if (!$svc_info) {
			return false;
		}
		
		if ($os_type == "WIN") {
			$s_ip = $svc_info['svr_ip'];
			$s_port = SOCKET_WINDOWS_PORT;
		} else if ($os_type == "LNX") {
			$s_ip = $svc_info['svr_ip'];
			$s_port = SOCKET_LINUX_PORT;
		} else {
			return false;
		}
		
		/*
			1:
			2:
			3:
		*/
		if ($type != 'x' && $status == 's') {
			$status_qry = "update svc set osid_end='%s' where svc_no='".$this->svc_no."'"; 
		}

		//
		// 
		//
		if ($type == 'c') {
			if ($os_type == "WIN") {
				$cmd = "window";
				$parm[] = array('request', 'MakeNtUser');
				$parm[] = array('u_id', $svc_info['adm_id']);
				$parm[] = array('u_pwd', $svc_info['adm_pwd']);
				$parm[] = array('site_desc', $svc_info['owner_name']);
				$parm[] = array('site_fullname', $this->svc_no." ".$svc_info['owner_name']);
				$parm[] = array('site_flag', $this->UF_SCRIPT + $this->UF_NORMAL_ACCOUNT + $this->UF_DONT_EXPIRE_PASSWD + $this->UF_PASSWD_CANT_CHANGE);

				$status_qry = sprintf($status_qry, "1");
			} else if ($os_type == "LNX") {
				$cmd = "user";
				$parm[] = array('request', 'add');
				$parm[] = array('u_id', $svc_info['adm_id']);
				$parm[] = array('u_pwd', $svc_info['adm_pwd']);
				$parm[] = array('dir', '/'.$svc_info['svr_drv']);

				$status_qry = sprintf($status_qry, "1");
			} else {
				return false;
			}
		}
		//
		// 
		//
		else if ($type == 's') {
			if ($os_type == "WIN") {
				$cmd = "window";
				$parm[] = array('request', 'StopNtUser');
				$parm[] = array('u_id', $svc_info['adm_id']);

				$status_qry = sprintf($status_qry, "2");
			} else if ($os_type == "LNX") {
				$cmd = "user";
				$parm[] = array('request', 'setpass');
				$parm[] = array('u_id', $svc_info['adm_id']);
				$parm[] = array('u_pwd', "logasp@sds");
				
				$status_qry = sprintf($status_qry, "2");
			} else {
				return false;
			}
		} 
		//
		// 
		//
		else if ($type == 'r') {
			if ($os_type == "WIN") {
				$cmd = "window";
				$parm[] = array('request', 'StartNtUser');
				$parm[] = array('u_id', $svc_info['adm_id']);

				$status_qry = sprintf($status_qry, "1");
			} else if ($os_type == "LNX") {
				$cmd = "user";
				$parm[] = array('request', 'setpass');
				$parm[] = array('u_id', $svc_info['adm_id']);
				$parm[] = array('u_pwd', $svc_info['adm_pwd']);

				$status_qry = sprintf($status_qry, "1");
			} else {
				return false;
			}
		}
		//
		// 
		//
		else if ($type == 'd') {
			if ($os_type == "WIN") {
				$cmd = "window";
				$parm[] = array('request', 'DelNtUser');
				$parm[] = array('u_id', $svc_info['adm_id']);

				$status_qry = sprintf($status_qry, "3");
			} else if ($os_type == "LNX") {
				$cmd = "user";
				$parm[] = array('request', 'del');
				$parm[] = array('u_id', $svc_info['adm_id']);
				$parm[] = array('dir', '/'.$svc_info['svr_drv']);

				$status_qry = sprintf($status_qry, "3");
			} else {
				return false;
			}
		}

		if ($type != 'x') {
			$cmd_txt = $this->create_cmd ($cmd, $parm);
			return $this->insert_cmd($s_ip, $s_port, $cmd_txt, $mail_code, $status_qry);
		} else {
			return true;
		}
	}

	/*
		Folder  κ (Windows)
			c : , s : , r : ǻ츮, d : 
	*/
	public function fn_folder_proc($type, $chk_dflt=false)
	{
		$cmd = "";
		$parm = array();

		$svc_info = $this->get_svc_info();
		$os_type = $this->get_os_type($svc_info['svcmst_code']);

		if (!$svc_info) {
			return false;
		}

		if ($os_type != "WIN") {
			return false;
		}
		
		$s_ip = $svc_info['svr_ip'];
		$s_port = SOCKET_WINDOWS_PORT;

		//
		// 
		//
		if ($type == 'c') {
			$cmd = "window";
			$parm[] = array('request', 'MakeNtFolder');
			$parm[] = array('u_id', $svc_info['adm_id']);
			$parm[] = array('dir', $svc_info['svr_drv'].':\w'.$this->svc_no);
			$parm[] = array('ads_mask', '268435456');
			$parm[] = array('ace_type', '0');
			$parm[] = array('ace_flag', '19');
			$parm[] = array('chk_dflt', ($chk_dflt?'true':'false'));
			$parm[] = array('dflt_file', 'c:\direct.htm');
		}
		//
		// 
		//
		else if ($type == 'd') {
			$cmd = "window";
			$parm[] = array('request', 'DelNtFolder');
			$parm[] = array('dir', $svc_info['svr_drv'].':\w'.$this->svc_no);
		}

		if ($type != 'x') {		
			$cmd_txt = $this->create_cmd ($cmd, $parm);
			return $this->insert_cmd($s_ip, $s_port, $cmd_txt, $mail_code, $status_qry);
		} else {
			return true;
		}
	}

	/*
		FTP  κ (Windows)
			c : , s : , r : ǻ츮, d : 
	*/
	public function fn_ftp_proc($type, $status, $mail)
	{
		$cmd = "";
		$parm = array();

		$svc_info = $this->get_svc_info();
		$os_type = $this->get_os_type($svc_info['svcmst_code']);

		if (!$svc_info) {
			return false;
		}

		if ($os_type != "WIN") {
			return false;
		}
		
		$s_ip = $svc_info['svr_ip'];
		$s_port = SOCKET_WINDOWS_PORT;

		/*
			1:
			2:
			3:
		*/
		if ($type != 'x' && $status == 's') {
			$status_qry = "update svc set ftp_end='%s' where svc_no='".$this->svc_no."'"; 
		}

		//
		// 
		//
		if ($type == 'c') {
			$cmd = "window";
			$parm[] = array('request', 'MakeNtFtpSite');
			$parm[] = array('ftp_name', $this->svc_no." ".$svc_info['owner_name']);
			if (isset($this->web_ip) && !empty($this->web_ip)) {
				$parm[] = array('web_ip', $this->web_ip);
			} else {
				$parm[] = array('web_ip', $s_ip);
			}
			$parm[] = array('dir', $svc_info['svr_drv'].':\w'.$this->svc_no);
			$parm[] = array('ftp_port', $svc_info['ftp_port']);

			$status_qry = sprintf($status_qry, "1");
		}
		//
		// 
		//
		else if ($type == 's') {
			$cmd = "window";
			$parm[] = array('request', 'StopNtFtpSiteByComment');
			$parm[] = array('svc_no', $this->svc_no);

			$status_qry = sprintf($status_qry, "2");
		}
		//
		// 
		//
		else if ($type == 'r') {
			$cmd = "window";
			$parm[] = array('request', 'StartNtFtpSiteByComment');
			$parm[] = array('svc_no', $this->svc_no);

			$status_qry = sprintf($status_qry, "1");
		}
		//
		// 
		//
		else if ($type == 'd') {
			$cmd = "window";
			$parm[] = array('request', 'DelNtFtpSiteByComment');
			$parm[] = array('svc_no', $this->svc_no);

			$status_qry = sprintf($status_qry, "3");
		}

		if ($type != 'x') {		
			$cmd_txt = $this->create_cmd ($cmd, $parm);
			return $this->insert_cmd($s_ip, $s_port, $cmd_txt, $mail_code, $status_qry);
		} else {
			return true;
		}
	}

	/*
		WWW  κ
			c : , s : , r : ǻ츮, d : 
	*/
	public function fn_www_proc($type, $status, $mail)
	{
		$cmd = "";
		$parm = array();

		$svc_info = $this->get_svc_info();
		$os_type = $this->get_os_type($svc_info['svcmst_code']);

		if (!$svc_info) {
			return false;
		}
		
		if ($os_type == "WIN") {
			$s_ip = $svc_info['svr_ip'];
			$s_port = SOCKET_WINDOWS_PORT;
		} else if ($os_type == "LNX") {
			$s_ip = $svc_info['svr_ip'];
			$s_port = SOCKET_LINUX_PORT;
		} else {
			return false;
		}

		/*
			1:
			2:
			3:
		*/
		if ($type != 'x' && $status == 's') {
			$status_qry = "update svc set web_end='%s' where svc_no='".$this->svc_no."'"; 
		}
		
		//
		// 
		//
		if ($type == 'c') {
			if ($os_type == "WIN") {
				$www_dom = $this->get_www_dom();

				if ($www_dom === false) {
					return false;
				}

				$cmd = "window";
				$parm[] = array('request', 'MakeNtWwwSite');
				$parm[] = array('w3c_dom', implode(',', $www_dom));
				$parm[] = array('w3c_name', $this->svc_no." ".$svc_info['owner_name']);
				if (isset($this->web_ip) && !empty($this->web_ip)) {
					$parm[] = array('web_ip', $this->web_ip);
				} else {
					$parm[] = array('web_ip', $s_ip);
				}
				$parm[] = array('root_dir', $svc_info['svr_drv'].':\w'.$this->svc_no.'\www');
				$parm[] = array('www_port', '80');
				$parm[] = array('u_id', $svc_info['adm_id']);
				$parm[] = array('u_pwd', $svc_info['adm_pwd']);
				
				//  ⺻  簡 üũǾ  ⺻   ش.
				if ($copy_dfltdoc) {
					$this->fn_iisdoc_proc();
				}

				$status_qry = sprintf($status_qry, "1");
			} else if ($os_type == "LNX") {
				$www_dom = $this->get_www_dom();

				if ($www_dom === false) {
					return false;
				}

				$cmd = "vhost";
				$parm[] = array('request', 'set');
				$parm[] = array('u_id', $svc_info['adm_id']);
				$parm[] = array('root_dir', '/'.$svc_info['svr_drv'].'/'.$svc_info['adm_id'].'/wwwhome');
				$parm[] = array('traffic_size', $this->get_traffic_size());
				$parm[] = array('w3c_dom', implode(' ', $www_dom));
				
				if ($vhost_restart) {
					$this->fn_vhost_proc();
				}
				
				$status_qry = sprintf($status_qry, "1");
			} else {
				return false;
			}
		}
		//
		// 
		//
		else if ($type == 's') {
			if ($os_type == "WIN") {
				$cmd = "window";
				$parm[] = array('request', 'StopNtWwwSiteByComment');
				$parm[] = array('svc_no', $this->svc_no);

				$status_qry = sprintf($status_qry, "2");
			} else if ($os_type == "LNX") {
				//   ɼ
				$cmd = "vhost";
				$parm[] = array('request', 'del');
				$parm[] = array('u_id', $svc_info['adm_id']);

				if ($vhost_restart) {
					$this->fn_vhost_proc();
				}

				$status_qry = sprintf($status_qry, "2");
			} else {
				return false;
			}
		}
		//
		// 
		//
		else if ($type == 'r') {
			if ($os_type == "WIN") {
				$cmd = "window";
				$parm[] = array('request', 'StartNtWwwSiteByComment');
				$parm[] = array('svc_no', $this->svc_no);

				$status_qry = sprintf($status_qry, "1");
			} else if ($os_type == "LNX") {
				//   ɼ
				$www_dom = $this->get_www_dom();

				if ($www_dom === false) {
					return false;
				}

				$cmd = "vhost";
				$parm[] = array('request', 'set');
				$parm[] = array('u_id', $svc_info['adm_id']);
				$parm[] = array('root_dir', '/'.$svc_info['svr_drv'].'/'.$svc_info['adm_id'].'/wwwhome');
				$parm[] = array('traffic_size', $this->get_traffic_size());
				$parm[] = array('w3c_dom', implode(' ', $www_dom));

				if ($vhost_restart) {
					$this->fn_vhost_proc();
				}

				$status_qry = sprintf($status_qry, "1");
			} else {
				return false;
			}
		}
		//
		// 
		//
		else if ($type == 'd') {
			if ($os_type == "WIN") {
				$cmd = "window";
				$parm[] = array('request', 'DelNtWwwSiteByComment');
				$parm[] = array('svc_no', $this->svc_no);

				$status_qry = sprintf($status_qry, "3");
			} else if ($os_type == "LNX") {
				$cmd = "vhost";
				$parm[] = array('request', 'del');
				$parm[] = array('u_id', $svc_info['adm_id']);

				if ($vhost_restart) {
					$this->fn_vhost_proc();
				}

				$status_qry = sprintf($status_qry, "3");
			} else {
				return false;
			}
		}

		if ($type != 'x') {
			$cmd_txt = $this->create_cmd ($cmd, $parm);
			return $this->insert_cmd($s_ip, $s_port, $cmd_txt, $mail_code, $status_qry);
		}
	}

	/*
		DB  κ
			c : , s : , r : ǻ츮, d : 
	*/
	public function fn_db_proc($type, $status, $mail)
	{
		$cmd = "";
		$parm = array();

		$svc_info = $this->get_svc_info();
		$db_info = $this->get_db_info($svc_info['svcmst_code']);
		$os_type = $this->get_os_type($svc_info['svcmst_code']);

		if (!$svc_info || !$db_info) {
			return false;
		}
		
		//
		//   DB   MS-SQL DB  ϰ
		//   DB      Ѵ.
		//
		if ($os_type == "WIN") {
			if (!empty($db_info['svr_ip'])) {
				$s_ip = $db_info['svr_ip'];
				$s_port = SOCKET_WINDOWS_PORT;
			} else {
				return false;
			}
		} else if ($os_type == "LNX") {
			$s_ip = $svc_info['svr_ip'];
			$s_port = SOCKET_LINUX_PORT;
		} else {
			return false;
		}
		
		if ($mail == 'm') {
			$mail_code = $db_info['inst_mail_code'];
		}
		
		//
		// 
		//
		if ($type == 'c') {
			if ($os_type == "WIN") {
				$cmd = "window";
				$parm[] = array('request', 'MakeSqlDb');
				$parm[] = array('db_admid', $db_info['dblogin_id']);
				$parm[] = array('db_admpwd', $db_info['dblogin_pwd']);
				$parm[] = array('db_name', 'db'.$this->svc_no);
				$parm[] = array('db_dir', $db_info['svr_drv'].':\sqldata');
				$parm[] = array('db_size', $db_info['order_cnt']);
				$parm[] = array('db_id', 'u'.$this->svc_no);
				$parm[] = array('db_pwd', $db_info['adm_pwd']);
			} else if ($os_type == "LNX") {
				$cmd = "db";
				$parm[] = array('request', 'add');
				$parm[] = array('db_ip', $db_info['svr_ip']);
				$parm[] = array('db_id', $svc_info['adm_id']);
				$parm[] = array('db_pwd', $db_info['adm_pwd']);
				$parm[] = array('db_name', 'db'.$this->svc_no);
			}
		}
		//
		// 
		//
		else if ($type == 's') {
			if ($os_type == "WIN") {
				$cmd = "window";
				$parm[] = array('request', 'StopSqlDb');
				$parm[] = array('db_admid', $db_info['dblogin_id']);
				$parm[] = array('db_admpwd', $db_info['dblogin_pwd']);
				$parm[] = array('db_id', 'u'.$this->svc_no);
				$parm[] = array('db_pwd', $db_info['adm_pwd']);
			} else if ($os_type == "LNX") {
				$cmd = "db";
				$parm[] = array('request', 'setpass');
				$parm[] = array('db_ip', $db_info['svr_ip']);
				$parm[] = array('db_id', $svc_info['adm_id']);
				$parm[] = array('db_pwd', 'pwd@hosting');
			}
		}
		//
		// 
		//
		else if ($type == 'r') {
			if ($os_type == "WIN") {
				$cmd = "window";
				$parm[] = array('request', 'StartSqlDb');
				$parm[] = array('db_admid', $db_info['dblogin_id']);
				$parm[] = array('db_admpwd', $db_info['dblogin_pwd']);
				$parm[] = array('db_id', 'u'.$this->svc_no);
				$parm[] = array('db_pwd', $db_info['adm_pwd']);
			} else if ($os_type == "LNX") {
				$cmd = "db";
				$parm[] = array('request', 'setpass');
				$parm[] = array('db_ip', $db_info['svr_ip']);
				$parm[] = array('db_id', $svc_info['adm_id']);
				$parm[] = array('db_pwd', $db_info['adm_pwd']);
			}
		}
		//
		// 
		//
		else if ($type == 'd') {
			if ($os_type == "WIN") {
				$cmd = "window";
				$parm[] = array('request', 'DelSqlDb');
				$parm[] = array('db_admid', $db_info['dblogin_id']);
				$parm[] = array('db_admpwd', $db_info['dblogin_pwd']);
				$parm[] = array('db_name', 'db'.$this->svc_no);
				$parm[] = array('db_id', 'u'.$this->svc_no);
			} else if ($os_type == "LNX") {
				$cmd = "db";
				$parm[] = array('request', 'del');
				$parm[] = array('db_ip', $db_info['svr_ip']);
				$parm[] = array('db_id', $svc_info['adm_id']);
				$parm[] = array('db_name', 'db'.$this->svc_no);
			}
		}

		if ($type != 'x' || !empty($mail_code)) {
			$cmd_txt = $this->create_cmd ($cmd, $parm);
			return $this->insert_cmd($s_ip, $s_port, $cmd_txt, $mail_code, $status_qry);
		} else {
			return true;
		}
	}

	/*
		  κ
			c : , s : , r : ǻ츮, d : 
	*/
	public function fn_mail_proc($type, $status, $mail)
	{
		$cmd = "";
		$parm = array();

		$svc_info = $this->get_svc_info();
		$mail_info = $this->get_mail_info();

		if (!$svc_info || !$mail_info) {
			$this->err_msg = "⺻  Query ";
			return false;
		}
		
		$s_ip = $mail_info['svr_ip'];
		$s_port = SOCKET_WEBMAIL_PORT;

		if ($mail == 'm') {
			$mail_code = $mail_info['inst_mail_code'];
		}

		//
		// 
		//
		if ($type == 'c') {
			if (intval($mail_info['order_cnt']) == 0) {
				$this->err_msg = " 뷮 ";
				return false;
			}

			$dom_info = $this->get_dom_info();

			if (!$dom_info) {
				$this->err_msg = "  б ";
				return false;
			}

			$cmd = "webmail";
			$parm[] = array('request', 'insert');
			$parm[] = array('svc_no', $this->svc_no);
			$parm[] = array('u_name', $svc_info['owner_name']);
			$parm[] = array('mail_size', $mail_info['order_cnt']);

			$domain = $dom_info['basic_dom'];
			if (isset($dom_info['add_dom']) && is_array($dom_info['add_dom'])) {
				$domain .= ':'.implode(':', $dom_info['add_dom']);
			}

			$parm[] = array('domain', $domain);
		}
		//
		// 
		//
		else if ($type == 's') {
			$cmd = "webmail";
			$parm[] = array('request', 'stop');
			$parm[] = array('svc_no', $this->svc_no);
		}
		//
		// 
		//
		else if ($type == 'r') {
			$cmd = "webmail";
			$parm[] = array('request', 'start');
			$parm[] = array('svc_no', $this->svc_no);
		}
		//
		// 
		//
		else if ($type == 'd') {
			$cmd = "webmail";
			$parm[] = array('request', 'delete');
			$parm[] = array('svc_no', $this->svc_no);
		}

		if ($type != 'x' || !empty($mail_code)) {
			$cmd_txt = $this->create_cmd ($cmd, $parm);
			return $this->insert_cmd($s_ip, $s_port, $cmd_txt, $mail_code, $status_qry);
		} else {
			return true;
		}
	}


	/*
		 Խ  κ
			c : , s : , r : ǻ츮, d : 
	*/
	public function fn_freebd_proc($type, $status, $mail)
	{
		$cmd = "";
		$parm = array();

		$svc_info = $this->get_svc_info();

		if (!$svc_info) {
			return false;
		}
		
		$s_ip = SOCKET_DBOARD_IP;
		$s_port = SOCKET_DBOARD_PORT;

		if ($mail == 'm') {
			$mail_code = $this->get_svc_mail_code('000017');
		}


		//
		// 
		//
		if ($type == 'c') {
			$cmd = "freeboard";
			$parm[] = array('request', 'add');
			$parm[] = array('svc_no', $this->svc_no);
			$parm[] = array('board_name', 'b'.$this->svc_no);
			$parm[] = array('u_pwd', $svc_info['adm_pwd']);
		}
		//
		// 
		//
		else if ($type == 's') {
			$cmd = "freeboard";
			$parm[] = array('request', 'stop');
			$parm[] = array('svc_no', $this->svc_no);
		}
		//
		// 
		//
		else if ($type == 'r') {
			$cmd = "freeboard";
			$parm[] = array('request', 'start');
			$parm[] = array('svc_no', $this->svc_no);
		}
		//
		// 
		//
		else if ($type == 'd') {
			$cmd = "freeboard";
			$parm[] = array('request', 'del');
			$parm[] = array('svc_no', $this->svc_no);
		} else if ($type == 'x') {
			//    ʾҴ ϸ  ߼  ϱ⶧  ó   Է Ѵ.	
		}

		if ($type != 'x' || !empty($mail_code)) {
			$cmd_txt = $this->create_cmd ($cmd, $parm);
			return $this->insert_cmd($s_ip, $s_port, $cmd_txt, $mail_code, $status_qry, "000017000001");
		} else {
			return true;
		}
	}

	/*
		 Խ  κ
			c : , s : , r : ǻ츮, d : 
	*/
	public function fn_chargebd_proc($type, $status, $mail)
	{
		$cmd = "";
		$parm = array();

		$svc_info = $this->get_svc_info();

		if (!$svc_info) {
			return false;
		}
		
		$s_ip = SOCKET_DBOARD_IP;
		$s_port = SOCKET_DBOARD_PORT;

		if ($mail == 'm') {
			$mail_code = $this->get_svc_mail_code('000018');
		}

		$cboard_info = $this->get_cboard_info();

		//
		// 
		//
		if ($type == 'c') {
			if (!$cboard_info) {
				return false;
			}

			$cmd = "chargeboard";
			$parm[] = array('request', 'add');
			$parm[] = array('svc_no', $this->svc_no);
			$parm[] = array('board_name', 'b'.$this->svc_no);
			$parm[] = array('u_pwd', $svc_info['adm_pwd']);
			$parm[] = array('board_size', $cboard_info['order_cnt']);
			$parm[] = array('board_count', $cboard_info['order_num']);
		}
		//
		// 
		//
		else if ($type == 's') {
			$cmd = "chargeboard";
			$parm[] = array('request', 'stop');
			$parm[] = array('svc_no', $this->svc_no);
		}
		//
		// 
		//
		else if ($type == 'r') {
			$cmd = "chargeboard";
			$parm[] = array('request', 'start');
			$parm[] = array('svc_no', $this->svc_no);
		}
		//
		// 
		//
		else if ($type == 'd') {
			$cmd = "chargeboard";
			$parm[] = array('request', 'del');
			$parm[] = array('svc_no', $this->svc_no);
		}

		if ($type != 'x' || !empty($mail_code)) {
			$cmd_txt = $this->create_cmd ($cmd, $parm);
			return $this->insert_cmd($s_ip, $s_port, $cmd_txt, $mail_code, $status_qry, $cboard_info['svcopt_code']);
		} else {
			return true;
		}
	}

	/*
		ī  κ
			c : , s : , r : ǻ츮, d : 
	*/
	public function fn_counter_proc($type, $status, $mail)
	{
		$cmd = "";
		$parm = array();

		$svc_info = $this->get_svc_info();

		if (!$svc_info) {
			return false;
		}

		$s_ip = SOCKET_LOG_IP;
		$s_port = SOCKET_COUNTER_PORT;

		if ($mail == 'm') {
			$mail_code = $this->get_svc_mail_code('000026');
		}

		//
		// 
		//
		if ($type == 'c') {
			$dom_info = $this->get_dom_info();

			if (!$dom_info) {
				return false;
			}

			$dom_url = $dom_info['basic_dom'];

			if (isset($dom_info['add_dom']) && is_array($dom_info['add_dom'])) {
				$dom_url .= ' ';
				$dom_url .= implode(' ', $dom_info['add_dom']);
			}

			$cmd = "counter";
			$parm[] = array('request', 'add');
			$parm[] = array('svc_no', $this->svc_no);
			$parm[] = array('domain', $dom_url);
		}
		//
		// 
		//
		else if ($type == 's') {
			$cmd = "counter";
			$parm[] = array('request', 'stop');
			$parm[] = array('svc_no', $this->svc_no);
		}
		//
		// 
		//
		else if ($type == 'r') {
			$dom_info = $this->get_dom_info();

			if (!$dom_info) {
				return false;
			}

			$dom_url = $dom_info['basic_dom'];

			if (isset($dom_info['add_dom']) && is_array($dom_info['add_dom'])) {
				$dom_url .= ' ';
				$dom_url .= implode(' ', $dom_info['add_dom']);
			}
			
			$cmd = "counter";
			$parm[] = array('request', 'start');
			$parm[] = array('svc_no', $this->svc_no);
			$parm[] = array('domain', $dom_url);
		}
		//
		// 
		//
		else if ($type == 'd') {
			$cmd = "counter";
			$parm[] = array('request', 'del');
			$parm[] = array('svc_no', $this->svc_no);
		}

		if ($type != 'x' || !empty($mail_code)) {
			$cmd_txt = $this->create_cmd ($cmd, $parm);
			return $this->insert_cmd($s_ip, $s_port, $cmd_txt, $mail_code, $status_qry);
		} else {
			return true;
		}
	}

	/*
		α׺м  κ
			c : , s : , r : ǻ츮, d : 
	*/
	public function fn_log_proc($type, $status, $mail)
	{
		$cmd = "";
		$parm = array();

		$svc_info = $this->get_svc_info();

		if (!$svc_info) {
			return false;
		}

		$s_ip = SOCKET_LOG_IP;
		$s_port = SOCKET_LOG_PORT;

		if ($mail == 'm') {
			$mail_code = $this->get_svc_mail_code('000025');
		}

		//
		// 
		//
		if ($type == 'c') {
			$dom_info = $this->get_dom_info();

			if (!$dom_info) {
				return false;
			}

			$log_info = $this->get_log_info();

			if (!$log_info) {
				return false;
			}

			$dom_url = $dom_info['basic_dom'];

			if (isset($dom_info['add_dom']) && is_array($dom_info['add_dom'])) {
				$dom_url .= ' ';
				$dom_url .= implode(' ', $dom_info['add_dom']);
			}

			$cmd = "log";
			$parm[] = array('request', 'add');
			$parm[] = array('svc_no', $this->svc_no);
			$parm[] = array('log_size', $log_info['order_num']);
			$parm[] = array('dom_url', $dom_url);
		}
		//
		// 
		//
		else if ($type == 's') {
			$cmd = "log";
			$parm[] = array('request', 'stop');
			$parm[] = array('svc_no', $this->svc_no);
		}
		//
		// 
		//
		else if ($type == 'r') {
			$dom_info = $this->get_dom_info();

			if (!$dom_info) {
				return false;
			}

			$log_info = $this->get_log_info();

			if (!$log_info) {
				return false;
			}

			$dom_url = $dom_info['basic_dom'];

			if (isset($dom_info['add_dom']) && is_array($dom_info['add_dom'])) {
				$dom_url .= ' ';
				$dom_url .= implode(' ', $dom_info['add_dom']);
			}

			$cmd = "log";
			$parm[] = array('request', 'start');
			$parm[] = array('svc_no', $this->svc_no);
			$parm[] = array('log_size', $log_info['order_num']);
			$parm[] = array('dom_url', $dom_url);
		}
		//
		// 
		//
		else if ($type == 'd') {
			$cmd = "log";
			$parm[] = array('request', 'del');
			$parm[] = array('svc_no', $this->svc_no);
		}

		if ($type != 'x' || !empty($mail_code)) {
			$cmd_txt = $this->create_cmd ($cmd, $parm);
			return $this->insert_cmd($s_ip, $s_port, $cmd_txt, $mail_code, $status_qry);
		} else {
			return true;
		}
	}

	/*
		SMS  κ
			c : , s : , r : ǻ츮, d : 
	*/
	public function fn_sms_proc($type, $status, $mail)
	{
		$cmd = "";
		$parm = array();

		$svc_info = $this->get_svc_info();

		if (!$svc_info) {
			return false;
		}

		$s_ip = SOCKET_SMS_IP;
		$s_port = SOCKET_SMS_PORT;

		if ($mail == 'm') {
			$mail_code = $this->get_svc_mail_code('000024,000011');
		}

		//
		//  / 
		//
		if ($type == 'c') {
			if (!empty($sms_count) && intval($sms_count) > 0) {
				// SMS 
				$cmd = "sms";
				$parm[] = array('request', 'charge');
				$parm[] = array('svc_no', $this->svc_no);
				$parm[] = array('sms_size', $sms_count);
				$parm[] = array('client_ip', $_SERVER['REMOTE_ADDR']);
			} else {
				// SMS 
				$sms_info = $this->get_sms_info();

				if (!$sms_info) {
					return false;
				}

				$cmd = "sms";
				$parm[] = array('request', 'add');
				$parm[] = array('svc_no', $this->svc_no);
				$parm[] = array('unique_key', $sms_info['unique_key']);
				$parm[] = array('sms_type', $sms_info['sms_type']);
				$parm[] = array('sms_size', $sms_info['order_num']);
			}
		}
		//
		// 
		//
		else if ($type == 's') {
			$cmd = "sms";
			$parm[] = array('request', 'stop');
			$parm[] = array('svc_no', $this->svc_no);
		}
		//
		// 
		//
		else if ($type == 'r') {
			$sms_info = $this->get_sms_info();

			if (!$sms_info) {
				return false;
			}

			$cmd = "sms";
			$parm[] = array('request', 'start');
			$parm[] = array('svc_no', $this->svc_no);
			$parm[] = array('unique_key', $sms_info['unique_key']);
			$parm[] = array('sms_type', $sms_info['sms_type']);
		}
		//
		// 
		//
		else if ($type == 'd') {
			$cmd = "sms";
			$parm[] = array('request', 'del');
			$parm[] = array('svc_no', $this->svc_no);
		}

		if ($type != 'x' || !empty($mail_code)) {
			$cmd_txt = $this->create_cmd ($cmd, $parm);
			return $this->insert_cmd($s_ip, $s_port, $cmd_txt, $mail_code, $status_qry);
		} else {
			return true;
		}
	}


	/*
		IIS    κ (windows)
	*/
	public function fn_iiswrite_proc()
	{
		$cmd = "";
		$parm = array();

		$svc_info = $this->get_svc_info();
		$iis_info = $this->get_iis_info();
		$os_type = $this->get_os_type($svc_info['svcmst_code']);

		if (!$svc_info || !$iis_info) {
			return false;
		}
		
		if ($os_type == "WIN") {
			$s_ip = $svc_info['svr_ip'];
			$s_port = SOCKET_WINDOWS_PORT;
		} else {
			return false;
		}

		foreach ($iis_info as $iis_item) {
			unset($parm);

			$cmd = "window";
			$parm[] = array('request', 'UpdateNtWwwSiteWrite');
			$parm[] = array('svc_no', $this->svc_no);
			// $parm[] = array('root_dir', $svc_info['svr_drv'].':\w'.$this->svc_no.'\www');
			$parm[] = array('iis_dir', $iis_item['iis_dir']);
			if ($iis_item['write_yn'] == 'Y') {
				$parm[] = array('flag', 'true');
			} else {
				$parm[] = array('flag', 'false');
			}
			
			$cmd_txt = $this->create_cmd ($cmd, $parm);
			$this->insert_cmd($s_ip, $s_port, $cmd_txt, $mail_code, $status_qry);
		}

		return true;
	}

	/*
		IIS ͸  κ (windows)
	*/
	public function fn_iisvirdir_proc()
	{
		$cmd = "";
		$parm = array();

		$svc_info = $this->get_svc_info();
		$iis_info = $this->get_iis_info();
		$os_type = $this->get_os_type($svc_info['svcmst_code']);

		if (!$svc_info || !$iis_info) {
			return false;
		}
		
		if ($os_type == "WIN") {
			$s_ip = $svc_info['svr_ip'];
			$s_port = SOCKET_WINDOWS_PORT;
		} else {
			return false;
		}



		foreach ($iis_info as $iis_item) {
			unset($parm);

			$cmd = "window";
			$parm[] = array('request', 'UpdateNtWwwVirtual');
			$parm[] = array('svc_no', $this->svc_no);
			$parm[] = array('root_dir', $svc_info['svr_drv'].':\w'.$this->svc_no.'\www');
			$parm[] = array('iis_dir', $iis_item['iis_dir']);
			if ($iis_item['vir_yn'] == 'Y') {
				$parm[] = array('flag', 'true');
			} else {
				$parm[] = array('flag', 'false');
			}

			$cmd_txt = $this->create_cmd ($cmd, $parm);
			$this->insert_cmd($s_ip, $s_port, $cmd_txt, $mail_code, $status_qry);
		}		

		return true;
	}

	/*
		IIS  ⺻  κ (windows)
	*/
	public function fn_iisdoc_proc()
	{
		$cmd = "";
		$parm = array();

		$svc_info = $this->get_svc_info();
		$os_type = $this->get_os_type($svc_info['svcmst_code']);

		if (!$svc_info) {
			return false;
		}

		if ($os_type != "WIN") {
			return false;
		}

		$s_ip = $svc_info['svr_ip'];
		$s_port = SOCKET_WINDOWS_PORT;

		if (!empty($svc_info['webdoc_default'])) {
			$cmd = "window";
			$parm[] = array('request', 'UpdateNtWwwDefaultDoc');
			$parm[] = array('svc_no', $this->svc_no);
			$parm[] = array('default_doc', $svc_info['webdoc_default']);

			$cmd_txt = $this->create_cmd ($cmd, $parm);
			$this->insert_cmd($s_ip, $s_port, $cmd_txt, $mail_code, $status_qry);
		}

		return true;
	}

	/*
		vhost  κ (linux)
	*/
	public function fn_vhost_proc()
	{
		$cmd = "";
		$parm = array();

		$svc_info = $this->get_svc_info();
		$os_type = $this->get_os_type($svc_info['svcmst_code']);

		if (!$svc_info) {
			return false;
		}

		if ($os_type != "LNX") {
			return false;
		}

		$s_ip = $svc_info['svr_ip'];
		$s_port = SOCKET_LINUX_PORT;

		$cmd = "vhost";
		$parm[] = array('request', 'restart');

		$cmd_txt = $this->create_cmd ($cmd, $parm);
		return $this->insert_cmd($s_ip, $s_port, $cmd_txt, $mail_code, $status_qry);
	}

	/*
		  
	*/
	public function fn_cpfile_proc()
	{
		$cmd = "";
		$parm = array();

		$svc_info = $this->get_svc_info();
		$os_type = $this->get_os_type($svc_info['svcmst_code']);

		if (!$svc_info) {
			return false;
		}

		if ($os_type != "WIN") {
			return false;
		}

		$s_ip = $svc_info['svr_ip'];
		$s_port = SOCKET_WINDOWS_PORT;

		if (!empty($svc_info['webdoc_default'])) {
			$cmd = "window";
			$parm[] = array('request', 'ExecShellCmd');
			$parm[] = array('command', 'cmd');
			$parm[] = array('param', '/C copy /Y c:\direct.htm '.$svc_info['svr_drv'].':\w'.$this->svc_no.'\www');

			$cmd_txt = $this->create_cmd ($cmd, $parm);
			$this->insert_cmd($s_ip, $s_port, $cmd_txt, $mail_code, $status_qry);
		}

		return true;
	}
}
?>
