<?php

/**********************************************************************************************************
 * $Id: macro.class.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
 *
 * Description:
 * Ͽ ϴ ġ(ũ)  ϰ  Ϳ  óϴ Ŭ
 *
 * Reference: Database(msg) / Table(macrodet)
 **********************************************************************************************************/


///////////////////////////////////////////////
// ũ ±  
///////////////////////////////////////////////
define("MACRO_PATTERN", "/[\$][\$]M[0-9]+__/");
define("MACRO_PATTERN_STRING", "S__[a-zA-Z0-9]+__[a-zA-Z0-9_]+[\$][\$]");
define("MACRO_PATTERN_TABLE", "T__[a-zA-Z0-9_]+[\$][\$]");


///////////////////////////////////////////////
// ũ Ŭ 
///////////////////////////////////////////////
class Macro {

	// MySQL ͺ̽  ü
	//   ܺο óϰ  Ŭ  ̿
	private $db;

	//  ũ ó   
	private $id = "";      // ȸ̵
	private $svc_no = "";  // 񽺹ȣ
	private $etc = "";     // Ÿڵ (ڵ Ǵ ޴ڵ)
	private $userdefine = "";

	// DEBUG  
	private $DEBUG = false;

	// ޽
	public $ErrMsg;

	/**************************************************************************
	 * 
	 **************************************************************************/
	public function __construct($db) {
		$this->db = $db;
	}


	/*****************************************************************************
	 * function setDebug($on_off)
	 *
	 * Visibility: public
	 * Parameters:
     *   - $on_off : Boolean (true: Debug Mode On, false: Debug Mode Off)
	 * Return Values: None
	 *
	 *   
	 *****************************************************************************/

	public function setDebug($on_off) {
		$this->DEBUG = $on_off;
	}


	/*****************************************************************************
	 * function insert_macro($data)
	 *
	 * Visibility: public
	 * Parameters:
     *   - $_POST(迭)
	 * Return Values: Boolean
     *   - : true, : false
	 *
	 *  ũ Ǹ ͺ̽ Է
	 *****************************************************************************/

	public function insert_macro($data) {

		$query = "INSERT INTO `msg`.`macrodetmst`
					(macro_name,sqlstr)
				  VALUES (
					'" . addslashes(trim($data["macro_name"])) . "',
					'" . addslashes(trim($data["sqlstr"])) . "')";
		
		$result = $this->db->Execute($query);

		if ( $result == FALSE ) {

			$this->ErrMsg = $this->db->ErrorMsg();
			if ( $this->DEBUG == true ) {
				$this->ErrMsg .= "[QUERY => " . $query . "]";
			}
			return false;
		
		} else {

			return true;
		}

	}


	public function insert_macro_tag($data) {

		$query = "INSERT INTO `msg`.`macrodetslv`
					(macro_sid,tag_name,tag_desc,dat_format,extra_cond,design,tag_type)
				  VALUES (
					'" . addslashes(trim($data["macro_sid"])) . "',
					'" . addslashes(trim($data["tag_name"])) . "',
					'" . addslashes(trim($data["tag_desc"])) . "',
					'" . addslashes(trim($data["dat_format"])) . "',
					'" . addslashes(trim($data["extra_cond"])) . "',
					'" . addslashes(trim($data["design"])) . "',
					'" . addslashes(trim($data["tag_type"])) . "')";
			
		$result = $this->db->Execute($query);

		if ( $result == FALSE ) {

			$this->ErrMsg = $this->db->ErrorMsg();
			if ( $this->DEBUG == true ) {
				$this->ErrMsg .= "[QUERY => " . $query . "]";
			}
			return false;
		
		} else {

			return true;
		}

	}


	/*****************************************************************************
	 * function update_macro($data)
	 *
	 * Visibility: public
	 * Parameters:
     *   - $_POST(迭)
	 * Return Values: Boolean
     *   - : true, : false
	 *
	 * õ Ű($data["sid"]) شϴ ũ  ͺ̽ 
	 *****************************************************************************/

	public function update_macro($data) {

		$sid	= addslashes(unescape(trim($data["sid"])));
		$macro_name	= addslashes(unescape(trim($data["macro_name"])));
		$sqlstr		= addslashes(unescape(trim($data["sqlstr"])));

		$query = "
			UPDATE `msg`.`macrodetmst`
				SET
					macro_name = '" . $macro_name . "',
					sqlstr = '" . $sqlstr . "'
			WHERE sid = " . $sid;

		$result = $this->db->Execute($query);

		if ( $result == FALSE ) {

			$this->ErrMsg = $this->db->ErrorMsg();
			if ( $this->DEBUG == true ) {
				$this->ErrMsg .= "[QUERY => " . $query . "]";
			}
			return false;

		} else {

			return true;
		}
	}


	public function update_macro_tag($data) {

		$sid		= addslashes(unescape(trim($data["sid"])));
		$macro_sid	= addslashes(unescape(trim($data["macro_sid"])));
		$tag_name	= addslashes(unescape(trim($data["tag_name"])));
		$tag_desc	= addslashes(unescape(trim($data["tag_desc"])));
		$dat_format	= addslashes(unescape(trim($data["dat_format"])));
		$extra_cond	= addslashes(unescape(trim($data["extra_cond"])));
		$design		= addslashes(unescape(trim($data["design"])));
		$tag_type	= addslashes(unescape(trim($data["tag_type"])));

		$query = "
			UPDATE `msg`.`macrodetslv`
				SET
					macro_sid = '" . $macro_sid . "',
					tag_name = '" . $tag_name . "',
					tag_desc = '" . $tag_desc . "',
					dat_format = '" . $dat_format . "',
					extra_cond = '" . $extra_cond . "',
					design = '" . $design . "',
					tag_type = '" . $tag_type . "'
			WHERE sid = " . $sid;

		$result = $this->db->Execute($query);

		if ( $result == FALSE ) {

			$this->ErrMsg = $this->db->ErrorMsg();
			if ( $this->DEBUG == true ) {
				$this->ErrMsg .= "[QUERY => " . $query . "]";
			}
			return false;

		} else {

			return true;
		}
	}


	/*****************************************************************************
	 * function delete_macro($sid)
	 *
	 * Visibility: public
	 * Parameters:
     *   - $sid: ũ Ű
	 * Return Values: Boolean
     *   - : true, : false
	 *
	 * õ Ű($sid) شϴ ũ  ͺ̽κ 
	 *****************************************************************************/

	public function delete_macro($sid) {

		$query = "DELETE FROM `msg`.`macrodetslv` WHERE macro_sid = " . $sid;

		$result = $this->db->Execute($query);

		$query = "DELETE FROM `msg`.`macrodet` WHERE sid = " . $sid;

		$result = $this->db->Execute($query);

		if ( $result == FALSE ) {

			$this->ErrMsg = $this->db->ErrorMsg();
			if ( $this->DEBUG == true ) {
				$this->ErrMsg .= "[QUERY => " . $query . "]";
			}
			return false;

		} else {

			return true;
		}
	}

	public function delete_macro_tag($sid) {

		$query = "DELETE FROM `msg`.`macrodetslv` WHERE sid = " . $sid;

		$result = $this->db->Execute($query);

		if ( $result == FALSE ) {

			$this->ErrMsg = $this->db->ErrorMsg();
			if ( $this->DEBUG == true ) {
				$this->ErrMsg .= "[QUERY => " . $query . "]";
			}
			return false;

		} else {

			return true;
		}
	}

	/*****************************************************************************
	 * function get_macro_info($sid, $ret_type)
	 *
	 * Visibility: public
	 * Parameters:
     *   - $sid: ũ Ű
	 *   - $ret_type:   .   迭 ȯ.
	 *     ['ARRAY'(Ʈ) | 'XML']
	 * Return Values: Mixed
     *   - 迭(   null) Ǵ XML 
	 *
	 * õ Ű($sid) شϴ ũ  ͺ̽κ ȸϿ
	 *  (迭 Ǵ XML) ° Ͽ  ȯ
	 *****************************************************************************/

	public function get_macro_info($sid, $ret_type="ARRAY") {

		// ũ  ˻  
		$query = "
			SELECT 
				sid,macro_name,sqlstr
			FROM `msg`.`macrodetmst` 
			WHERE sid = '" . $sid . "'";

		$rs = $this->db->Execute($query);

		if ( $rs != FALSE && $rs->RecordCount() > 0 ) {
		//  ִ 

			$macroinfo = array(
								"sid" => $rs->Fields("sid"),
								"macro_name" => stripslashes(trim($rs->Fields("macro_name"))),
								"sqlstr" => stripslashes(trim($rs->Fields("sqlstr")))
							);

		} else {
		//  ų   

			$macroinfo = null;
		}

		if ( $ret_type == "XML" ) {
		////////////////////////////////////////////////////////////
		// XML ·  ȯմϴ.
		////////////////////////////////////////////////////////////

			header("Content-Type: text/xml; charset: euc-kr");

			echo "<?xml version=\"1.0\" encoding=\"euc-kr\"?>\n";
			echo "<directadmin>\n";

			if ( $sid == "" ) {

				echo "<result><![CDATA[ȿ  Ķ]]></result>\n";

			} else if ( $macroinfo == null ) {

				echo "<result><![CDATA[ġϴ ũ  ϴ.]]></result>\n";

			} else {

				echo "<result><![CDATA[OK]]></result>\n";
				echo "<info>\n";
				echo "<sid><![CDATA[" . $macroinfo["sid"] . "]]></sid>\n";
				echo "<macro_name><![CDATA[" . $macroinfo["macro_name"] . "]]></macro_name>\n";
				echo "<sqlstr><![CDATA[" . $macroinfo["sqlstr"] . "]]></sqlstr>\n";
				echo "</info>\n";
			}

			echo "</directadmin>";

		} else {
		//////////////////////////////////////////////////////////////////
		// 迭 ·  ȯմϴ.
		//////////////////////////////////////////////////////////////////

			return $macroinfo;
		}

	}


	/*****************************************************************************
	 * function get_tag_info($sid, $ret_type)
	 *
	 * Visibility: public
	 * Parameters:
     *   - $sid: ũ Ű
	 *   - $ret_type:   .   迭 ȯ.
	 *     ['ARRAY'(Ʈ) | 'XML']
	 * Return Values: Mixed
     *   - 迭(   null) Ǵ XML 
	 *
	 * õ Ű($sid) شϴ ũ  ͺ̽κ ȸϿ
	 *  (迭 Ǵ XML) ° Ͽ  ȯ
	 *****************************************************************************/

	public function get_tag_info($sid, $ret_type="ARRAY") {

		// ũ  ˻  
		$query = "
			SELECT 
				sid,macro_sid,tag_name,tag_desc,dat_format,extra_cond,design,tag_type
			FROM `msg`.`macrodetslv` 
			WHERE sid = '" . $sid . "'";

		$rs = $this->db->Execute($query);

		if ( $rs != FALSE && $rs->RecordCount() > 0 ) {
		//  ִ 

			$macroinfo = array(
								"sid" => $rs->Fields("sid"),
								"macro_sid" => $rs->Fields("macro_sid"),
								"tag_name" => stripslashes(trim($rs->Fields("tag_name"))),
								"tag_desc" => stripslashes(trim($rs->Fields("tag_desc"))),
								"dat_format" => stripslashes(trim($rs->Fields("dat_format"))),
								"extra_cond" => stripslashes(trim($rs->Fields("extra_cond"))),
								"design" => stripslashes(trim($rs->Fields("design"))),
								"tag_type" => stripslashes(trim($rs->Fields("tag_type")))
							);

		} else {
		//  ų   

			$macroinfo = null;
		}

		if ( $ret_type == "XML" ) {
		////////////////////////////////////////////////////////////
		// XML ·  ȯմϴ.
		////////////////////////////////////////////////////////////

			header("Content-Type: text/xml; charset: euc-kr");

			echo "<?xml version=\"1.0\" encoding=\"euc-kr\"?>\n";
			echo "<directadmin>\n";

			if ( $sid == "" ) {

				echo "<result><![CDATA[ȿ  Ķ]]></result>\n";

			} else if ( $macroinfo == null ) {

				echo "<result><![CDATA[ġϴ ũ  ϴ.]]></result>\n";

			} else {

				echo "<result><![CDATA[OK]]></result>\n";
				echo "<info>\n";
				echo "<sid><![CDATA[" . $macroinfo["sid"] . "]]></sid>\n";
				echo "<macro_sid><![CDATA[" . $macroinfo["macro_sid"] . "]]></macro_sid>\n";
				echo "<tag_name><![CDATA[" . $macroinfo["tag_name"] . "]]></tag_name>\n";
				echo "<tag_desc><![CDATA[" . $macroinfo["tag_desc"] . "]]></tag_desc>\n";
				echo "<dat_format><![CDATA[" . $macroinfo["dat_format"] . "]]></dat_format>\n";
				echo "<extra_cond><![CDATA[" . $macroinfo["extra_cond"] . "]]></extra_cond>\n";
				echo "<design><![CDATA[" . $macroinfo["design"] . "]]></design>\n";
				echo "<tag_type><![CDATA[" . $macroinfo["tag_type"] . "]]></tag_type>\n";
				echo "</info>\n";
			}

			echo "</directadmin>";

		} else {
		//////////////////////////////////////////////////////////////////
		// 迭 ·  ȯմϴ.
		//////////////////////////////////////////////////////////////////

			return $macroinfo;
		}

	}


	/*****************************************************************************
	 * function get_gubn_list()
	 *
	 * Visibility: public
	 * Parameters: None
	 * Return Values: Array
	 *
	 * ũ ׷ ڵ ׷  ͺ̽κ ˻Ͽ 迭 · ȯ
	 *****************************************************************************/
	
	public function get_gubn_list() {

		// hosting ͺ̽ ڵ 뱸 '71' ǵǾ ֽϴ.
		$query = "SELECT sid,macro_name,sqlstr FROM `msg`.`macrodetmst` ORDER BY sid";
		
		$rs = $this->db->Execute($query);
		
		if ( $rs != FALSE && $rs->RecordCount() > 0 ) {
		
			$macrogubn = $rs->GetArray();
		
		} else {
		
			$macrogubn = null;
		}

		return $macrogubn;
	}


	/*****************************************************************************
	 * function get_list($macro_gubn, $ret_type)
	 *
	 * Visibility: public
	 * Parameters:
     *   - $macro_gubn: ׷ ڵ
	 *   - $ret_type:   .   迭 ȯ.
	 *     ['ARRAY'(Ʈ) | 'XML']
	 * Return Values: Mixed
     *   - 迭(   null) Ǵ XML 
	 *
	 * õ з($macro_gubn) شϴ ũ  ͺ̽κ ȸϿ
	 *  (迭 Ǵ XML) ° Ͽ  ȯ
	 *****************************************************************************/

	public function get_list($macro_sid, $ret_type="ARRAY") {

		// ũ  ˻  
		$query = "SELECT sid,tag_name,tag_desc FROM `msg`.`macrodetslv` WHERE macro_sid = '" . $macro_sid . "' ORDER BY sid";

		$rs = $this->db->Execute($query);
		if ( $rs != FALSE && $rs->RecordCount() > 0 ) {
		//  ִ 

			$macroinfo = $rs->GetArray();
		
		} else {
		//  ų  ΰ

			$macroinfo = null;
		}

		if ( $ret_type == "XML" ) {
		////////////////////////////////////////////////////////////
		// XML ·  ȯմϴ.
		////////////////////////////////////////////////////////////

			header("Content-Type: text/xml; charset: euc-kr");

			echo "<?xml version=\"1.0\" encoding=\"euc-kr\"?>\n";
			echo "<directadmin>\n";

			if ( $macro_sid == "" ) {

				echo "<result><![CDATA[ȿ  Ķ]]></result>\n";

			} else if ( $macroinfo == null ) {

				echo "<result><![CDATA[ġϴ ġ  ϴ.]]></result>\n";

			} else {

				echo "<result><![CDATA[OK]]></result>\n";
				echo "<info>\n";
				echo "<macro>\n";
		
				for ( $i = 0; $i < count($macroinfo); $i++ ) {

					echo "<item tag_name=\"" . addslashes(trim($macroinfo[$i]["tag_name"])) . "\" tag_desc=\"" . addslashes(trim($macroinfo[$i]["tag_desc"])) . "\" sid=\"" . trim($macroinfo[$i]["sid"]) . "\" />\n";

				}

				echo "</macro>\n";
				echo "</info>\n";
			}

			echo "</directadmin>";

		} else {
		//////////////////////////////////////////////////////////////////
		// 迭 ·  ȯմϴ.
		//////////////////////////////////////////////////////////////////

			return $macroinfo;
		}
	}


	/***********************************************************************************************
	 * function replace_meta_tag($id, $svc_no, $etc, $input)
	 *
	 * Visibility: public
	 * Parameters:
     *   - $id    : ȸ̵
	 *   - $svc_no: 񽺹ȣ
	 *   - $etc   : ڵ, ߰޴ڵ  Ÿ
	 *     (ũ ǿ ̳߰ ˿ '?' ǥõ κп ε˴ϴ.)
	 *   - $input : Է ޽
	 *     (, Ϻ, SMS )
	 * Return Values: STRING
     *   - $input ޽  ũ ó  ޽ ȯ
	 *
	 * Էµ ޽  ȸ̵  񽺹ȣ   ʷ
	 * ũ ó  ȯϴ Լ
	 ***********************************************************************************************/

	public function replace_meta_tag($id, $svc_no, $etc, $userdefine, $input) {

		$this->id = $id;
		$this->svc_no = $svc_no;
		$this->etc = $etc;
		$this->userdefine = $userdefine;

		$output = $input;

		$output = $this->replace_special_tag($output);
		if ( $output === false ) {
			return false;
		}

		if ( preg_match_all(MACRO_PATTERN, $output, $macro_matches)  != FALSE ) {

			// ߺ 
			$macro_array = array_unique($macro_matches[0]);

			foreach ( $macro_array as $macro ) {

				$macro_sid = str_replace( "__", "", str_replace( "\$\$M", "", $macro ) );

				$output = $this->replace_meta_s_tag( $macro_sid, $output );
				if ( $output === false ) {
					return false;
				}

				$output = $this->replace_meta_t_tag( $macro_sid, $output );
				if ( $output === false ) {
					return false;
				}
			}
		}

		return $output;
	}


	/***********************************************************************************************
	 * function replace_meta_s_tag($input)
	 *
	 * Visibility: private
	 * Parameters:
	 *   - $input : Է ޽
	 *     (, Ϻ, SMS )
	 * Return Values: STRING
     *   - $input ޽  ũ ó  ޽ ȯ
	 *
	 * Է ޽  Ϲ ڿ ũ κи óϴ Լ
	 * (ġ: $$S__̺__÷$$)
	 ***********************************************************************************************/

	private function replace_meta_s_tag( $macro_sid, $input, $extra_cond='', $tag_type='STRING' ) {

		$output = $input;

		$macroinfo = $this->get_macro_info( $macro_sid );
		$from_where = $macroinfo['sqlstr'];
		if ( $extra_cond != "" ) {
			$from_where .= " AND " . $extra_cond;
		}

		if ( preg_match_all("/[\$][\$]M" . $macro_sid . "__" . MACRO_PATTERN_STRING . "/", $output, $matches)  != FALSE ) {

			$output = $this->process_macro( $output, $matches[0], $from_where, $tag_type );
			if ( $output === false ) {
				return false;
			}
		} else {

			$output = $this->process_macro( $output, array(), $from_where, $tag_type );
			if ( $output === false ) {
				return false;
			}
		}

		return $output;
	}


	/***********************************************************************************************
	 * function replace_meta_t_tag($input)
	 *
	 * Visibility: private
	 * Parameters:
	 *   - $input : Է ޽
	 *     (, Ϻ, SMS )
	 * Return Values: STRING
     *   - $input ޽  ũ ó  ޽ ȯ
	 *
	 * Է ޽  ̺ ũ κи óϴ Լ
	 * (ġ: $$T__±׸$$)
	 ***********************************************************************************************/

	private function replace_meta_t_tag( $macro_sid, $input ) {

		$output = $input;

		if ( preg_match_all("/[\$][\$]M" . $macro_sid . "__" . MACRO_PATTERN_TABLE . "/", $output, $table_matches)  != FALSE ) {

			$matches = $table_matches[0];

			$table_macroinfo = $this->get_macro_match_collection($matches);

			for ( $i = 0; $i < count($matches); $i++ ) {

				$extra_cond = "";

                if ( $table_macroinfo != null &&
                    isset($table_macroinfo[$matches[$i]]) &&
                    $table_macroinfo[$matches[$i]]["extra_cond"] != "" ) {

                    $extra_cond = $table_macroinfo[$matches[$i]]["extra_cond"];
                }

				if ( $table_macroinfo != null &&
					isset($table_macroinfo[$matches[$i]]) &&
					$table_macroinfo[$matches[$i]]["design"] != "" ) {

					$design = $table_macroinfo[$matches[$i]]["design"];

/*
					$design = $this->replace_meta_t_tag( $macro_sid, $design);
					if ( $design === false ) {
						return false;
					}
*/

					$design = $this->replace_meta_s_tag( $macro_sid, $design, $extra_cond, 'TABLE' );
					if ( $design === false ) {
						return false;
					}

					$output = str_replace($matches[$i], $design, $output);
				}

			}

		}

		return $output;
	}


	/***********************************************************************************************
	 * function process_macro($input, $matches, $basic_where, $macro_type)
	 *
	 * Visibility: private
	 * Parameters:
     *   - $input       : Է ޽
	 *   - $matches     : ġ ũ ± 迭
	 *   - $basic_where :  ⺻ WHERE 
	 *   - $macro_type  : óϷ ũ  
	 *     (STRING / TABLE - Ʈ STRING)
	 * Return Values: STRING
     *   - $input ޽  ũ ó  ޽ ȯ
	 *
	 * Է¸޽ $matches ġǴ ũο   ó ϴ Լ
	 ***********************************************************************************************/

	private function process_macro($input, $matches, $from_where, $macro_type='STRING') {

		$output = $input;

		$from_where = $this->replace_special_tag($from_where);
		$select_clause = "";  //  SELECT 

		$mapping = array();   // ũ ±׿ εǴ   ÷  迭

		/* ߺ  */
		$matches = array_unique( array_values ( $matches ) );
		sort($matches);

		/* ũ Ÿ  ݷ  */
		$macroinfo = $this->get_macro_match_collection( $matches );


		/////////////////////////////////////////////////////////////////
		// ġ ũ ŭ ݺϸ ڵ  ۼ
		/////////////////////////////////////////////////////////////////

		foreach ( $matches as $macroname ) {

			//////////////////////////////////////////////
			// ũθκ ̺ ÷ и
			//////////////////////////////////////////////
			$tag = $this->split_macro_tag($macroname);

			////////////////////////////////////////////
			// SELECT  ۼ
			////////////////////////////////////////////

			if ( $select_clause != "" ) {
				$select_clause .= ", ";
			}

			if ( $macroinfo != null &&
				isset($macroinfo[$macroname]) &&
				$macroinfo[$macroname]["dat_format"] != "" ) {

				$select_clause .= $macroinfo[$macroname]["dat_format"] . " AS " . $tag["column"];

			} else {

				$select_clause .= $tag["table"] . "." . $tag["column"];
			}

           	////////////////////////////////////////////
           	// ߰  ۼ
           	////////////////////////////////////////////

           	if ( $macroinfo != null &&
               	isset($macroinfo[$macroname]) &&
               	$macroinfo[$macroname]["extra_cond"] != "" ) {

               	$from_where .= " AND " . $macroinfo[$macroname]["extra_cond"];
           	}

			$mapping[$tag["column"]] = $macroname;

		}

		if ( $select_clause == "" ) {
			$select_clause = "*";
		}

		/////////////////////////////////////////////////////////////////
		// ϼ   
		/////////////////////////////////////////////////////////////////

		$query = "SELECT " . $select_clause . " " . $from_where;

		$rs = $this->db->Execute($query);

		if ( $rs != FALSE && $rs->RecordCount() > 0 ) {

		//  ִ 

			if ( $macro_type == 'TABLE' ) {
			/////////////////////////////////////////
			// ũΰ ̺  
			/////////////////////////////////////////

				$item = $output;
				$output = "";

				$records = $rs->GetArray();

				for ( $r = 0; $r < count($records); $r++ ) {

					$row = $item;

					while ( list($col_name, $tag) = each($mapping) ) {

						$row = str_replace($tag, $records[$r][$col_name], $row);
					}

					$output .= $row;

					reset($mapping);

				}

			} else {
			/////////////////////////////////////////
			// ũΰ ܼ ڿ  
			/////////////////////////////////////////

				while ( list($col_name, $tag) = each($mapping) ) {

					$output = str_replace($tag, $rs->Fields($col_name), $output);
				}
			}

		} else if ( $rs == FALSE ) {

			/*       */
			if ( $this->DEBUG == true ) {
				echo "<h1>QUERY ERROR : " . $this->db->ErrorMsg() . "</h1>QUERY => <br>" . $query . "<br><br>";
				echo "TAG => <br>";
				print_r( $mapping );
				echo "<br><br>";
			}

			/*  ޽     */
			$this->ErrMsg = "ũ ó ";
			return false;

		} else {

		//  ų   

			if ( $macro_type == 'TABLE' ) {
			/////////////////////////////////////////
			// ũΰ ̺  
			/////////////////////////////////////////

				$output = "";

			} else {
			/////////////////////////////////////////
			// ũΰ ܼ ڿ  
			/////////////////////////////////////////

				foreach ( $matches as $macroname ) {

					$output = str_replace($macroname, "", $output);
				}
			}

			/*       */
			if ( $this->DEBUG == true ) {
				echo "IGNORE => <br>" . $query . "<br><br>";
			}
		}

		return $output;
	}


	/***********************************************************************************************
	 * function get_macro_match_collection($macro_tag_array)
	 *
	 * Visibility: private
	 * Parameters:
     *   - $macro_tag_array : ũ ±װ  迭
	 * Return Values: ARRAY
     *   - ũο  Ÿ  迭
	 *
	 * ũ ±׿   , ߰, ̺  
	 * Ÿ   ȯϴ Լ
	 ***********************************************************************************************/

	private function get_macro_match_collection($macro_tag_array) {

		$macro_tags = "";

		foreach ( $macro_tag_array as $tag ) {

			if ( $macro_tags != "" ) {
				$macro_tags .= ", ";
			}
			$macro_tags .= "'" . addslashes(trim($tag)) . "'";
		}

		if ( $macro_tags != "" ) {

			$query = "SELECT tag_name,dat_format,extra_cond,design FROM `msg`.`macrodetslv` WHERE tag_name in (" . $macro_tags . ")";

			$rs = $this->db->Execute($query);

			if ( $rs != FALSE && $rs->RecordCount() > 0 ) {

				$temp = $rs->GetArray();

				$macroinfo = array();

				for ( $i = 0; $i < count($temp); $i++ ) {
					$tag_name = stripslashes(trim($temp[$i]["tag_name"]));
					$dat_format = $this->replace_special_tag( stripslashes(trim($temp[$i]["dat_format"])) );
					$extra_cond = $this->replace_special_tag( stripslashes(trim($temp[$i]["extra_cond"])) );

					$design = stripslashes(trim($temp[$i]["design"]));

					$macroinfo[$tag_name] = array("dat_format" => $dat_format, "extra_cond" => $extra_cond, "design" => $design);
				}

				return $macroinfo;

			} else {

				return null;
			}

		} else {

			return null;
		}
	}


	/*****************************************************************************************************
	 * function replace_special_tag($input)
	 *
	 * Visibility: private
	 * Parameters:
     *   - $input : Է ڿ(STRING)
	 * Return Values: STRING
     *   - ϼ ڿ
	 *
	 * ̸ ǵ ±    ±׸ ȯϴ Լ
	 *
	 * <ġ>
	 *
	 *   [id]       : ũ ó Է¹ ȸ̵ $id  ġ
	 *   [svc_no]   : ũ ó Է¹ 񽺹ȣ $svc_no ġ
	 *   [?]        : ũ ó Է¹ Ÿڵ $etc  ġ ( IN ,  LIKE '%' ó)
	 *   <?>        : ũ ó Է¹ Ÿڵ $etc  ġ (Է ״ ó)
	 *    : ڰ Ƿ  ±׿  ġ
	 *****************************************************************************************************/

	private function replace_special_tag( $input ) {

		$output = $input;

		if ( $this->userdefine != "" && is_array($this->userdefine) ) {
			while( list($key, $value) = each($this->userdefine) ) {
				$output = str_replace( $key, $value, $output);
			}
		}

		$output = str_replace( "[id]", $this->id , $output);
		$output = str_replace( "[svc_no]", $this->svc_no, $output );
		$output = str_replace( "[?]", ($this->etc != "" ? "in ( " . $this->etc . " )" : "LIKE '%'"), $output );
		$output = str_replace( "<?>", $this->etc, $output );

		return $output;
	}


	/***********************************************************************************************
	 * function split_macro_tag($tag)
	 *
	 * Visibility: private
	 * Parameters:
     *   - $tag : ũ ± 
	 * Return Values: ARRAY
     *   [table]  - ̺
     *   [column] - ̺ ÷
	 *
	 * ũ ± Ͽ ̺ ÷ иϿ ȯϴ Լ
	 ***********************************************************************************************/

	private function split_macro_tag( $tag ) {

		$replace_pattern = array( "/[\$][\$]M[0-9]+__S__/", "/[\$][\$]M[0-9]+__T__/" );

		$striptag = str_replace( "\$\$", "", preg_replace($replace_pattern, "", trim($tag)) );

		$temp = spliti("__", $striptag); // $temp[0] : ̺, $temp[1] : ÷
/*
		if ( count($temp) < 2 ) {
			$temp2 = spliti("_", $striptag);

			$temp[0] = $temp2[0];
			$temp[1] = str_replace($temp[0] . "_", "", $striptag);
		}

		if ( eregi( "::", $temp[0] ) ) {
			$table = "`" . str_replace("::", "`.`", $temp[0]) . "`";
		} else {
			$table = "`hosting`.`" . $temp[0] . "`";
		}

		$column = $temp[1];

		$tag = array(
					"table" => $table,
					"column" => $column
					);
*/
		$tag = array(
						"table" => $temp[0],
						"column" => $temp[1]
					);

		return $tag;
	}

}
?>
