<?php

/**********************************************************************************************************
 * $Id: mailmsg.class.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
 *
 * Description:
 *  ޽ Ŭ( ,    1ǿ   ϰ üȭ )
 **********************************************************************************************************/

////////////////////////////////////////////////////////////////////////////
//  
////////////////////////////////////////////////////////////////////////////
//
//   DELIMITER ڸ 
//
define("EOL", "\n");

class MailMessage {

	public $title;    //  ۾

	/*  Ӽ */
	public $from;         // ߽ ̸ ּ
	public $rcptto;       //  ̸ ּ
	public $cc;           //  ̸ ּ
	public $bcc;          //  ̸ ּ
	public $header;       //  
	public $subject;      //  
	public $body;         //  
	public $mail_type;    //   
	public $completebody; // ڵ  
	public $attachment;   //  ÷ 

	/* SMS Ӽ */
	public $sms_sender;   // SMS ߽ ȣ
	public $sms_receiver; // SMS  ڵ ȣ
	public $sms_body;     // SMS ޽ 

	/*   */
	public $reserved_date; //   ð(   ߼)

	/* ޽ť    */
	public $uniquekey;
	public $sent;


    /**************************************************************************
     * 
     **************************************************************************/

	public function __construct($title='') {
		$this->title = $title;
		$this->mail_type = "HTML";
		$reserved_date = "";
		$this->sent = false;
	}


    /*****************************************************************************
     * function complete($rcptto)
     *
     * Visibility: public
     * Parameters:
     *   - $rcptto:   ̸ ּ
     * Return Values: NONE
     *
     *    ϼ
     *****************************************************************************/

	public function complete($rcptto="") {

		$is_attached = false;

		/////////////////////////////////////////////////
		// ÷ ڵ
		/////////////////////////////////////////////////
		if ( $this->attachment != '' ) {
			$fp = fopen($this->attachment, 'rb');
			if ( $fp ) {
				$attach_content	= fread($fp, filesize($this->attachment));
				$attach_content	= chunk_split(base64_encode($attach_content));
				$attach_type	= filetype($this->attachment);
				$temp = explode("/", $this->attachment);
				$attach_filename = $temp[count($temp)-1];

				fclose($fp);

				if ( $attach_content != "" ) {
					$is_attached = true;
				}
			}
		}

		$mime_boundary = md5(time());

		/////////////////////////////////////////////////
        //   ۼ
		/////////////////////////////////////////////////
		$header = "";

		//  
		if ( $rcptto != "" ) {
			$header .= "To: " . $rcptto . EOL;
		}
        $header .= "From: ̷Ʈ <" . $this->from . ">" . EOL;
        $header .= "Reply-To: " . $this->from . EOL;
		if ( $this->cc != "" ) {
			$header .= "Cc: " . $this->cc . EOL;
		}
		if ( $this->bcc != "" ) {
			$header .= "Bcc: " . $this->bcc . EOL;
		}
		$header .= "Subject: " . $this->subject . EOL;
        $header .= "X-Mailer: Direct Mailer" . EOL;
		// Boundary for marking the split & Multitype Headers
		$header .= "MIME-Version: 1.0" . EOL;
		if ( $is_attached ) {
			$header .= "Content-Type: multipart/mixed; boundary=\"" . $mime_boundary . "\"";
		} else {
			if ( $this->mail_type == "TEXT" ) {
				$header .= "Content-Type: text/plain; charset=euc-kr";
			} else {
				$header .= "Content-Type: text/html; charset=euc-kr";
			}
		}
		$header .= EOL . EOL;

		$this->header = $header;

		/////////////////////////////////////////////////
		//  ۼ
		/////////////////////////////////////////////////
		$body = "";

		if ( $is_attached ) {

			// Mixed Boundary 
			$body .= "--" . $mime_boundary . EOL;

			// Setup for text OR html
			$body .= "Content-Type: multipart/alternative; boundary=\"=0=" . $mime_boundary . "\"" . EOL . EOL;

			// TEXT Version

			$body .= "--=0=" . $mime_boundary . EOL;
        	$body .= "Content-type: text/plain; charset=euc-kr" . EOL;
			$body .= "Content-Transfer-Encoding: base64" .EOL;
			$body .= chunk_split(base64_encode(strip_tags(trim($this->body)))) . EOL . EOL;

			// HTML Version
			$body .= "--=0=" . $mime_boundary . EOL;
        	$body .= "Content-type: text/html; charset=euc-kr" . EOL;
			//$body .= "Content-Transfer-Encoding: base64" .EOL;
			//$body .= chunk_split(base64_encode(trim($message))) . EOL . EOL;
			$body .= "Content-Transfer-Encoding: 8bit" .EOL;
			$body .= str_replace("\r\n", "\n", trim($this->body)) . EOL . EOL;

			//  ħ
			$body .= "--=0=" . $mime_boundary . "--" . EOL . EOL;

			//  ÷ 
			$body .= "--" . $mime_boundary . EOL;
			$body .= "Content-Type: octet-stream; name=\"" . $attach_filename . "\"" . EOL;
			$body .= "Content-Transfer-Encoding: base64" . EOL;
			$body .= "Content-Disposition: attachment; filename=\"" . $attach_filename . "\"" . EOL . EOL;
			$body .= $attach_content . EOL . EOL;

			// Mixed Boundary ħ
			$body .= "--" . $mime_boundary . "--" . EOL . EOL;

		} else {

			$body = $this->body;
		}

		$this->completebody = $body;
	}
}
?>
