<?php
/*
====================================================
	  Լ
====================================================
*/
require_once ('post_cls.php');

// ************************************************
// ڿ ϴ   ϰų .
// ($1, $2, $3, $4)
// $1 : ϰų   
// $2 : ϰų   
// $3 : ϰų   
// $4 :  ƴ ٸڸ  (YYYY.MM.DD )
// ************************************************
function addDate($add_d=0, $add_m=0, $add_y=0, $ts_str=false)
{
	if ($ts_str)
	{
		$arr_ts = explode (".", $ts_str);
		$ts = mktime (0, 0, 0, $arr_ts[1], $arr_ts[2], $arr_ts[0]);

		return mktime (0, 0, 0, date("m", $ts) + $add_m, date("d", $ts) + $add_d, date("Y", $ts) + $add_y);		


	}
	else
	{
		return mktime (0, 0, 0, date("m") + $add_m, date("d") + $add_d, date("Y") + $add_y);		
	}
}

// ************************************************
// 迭  ڷ ģ. 迭     ڿ ȯѴ.
// ************************************************
function joinArr(&$arr_val, $sep="")
{
	if (is_array($arr_val))
	{
		$not_empty = false;

		foreach ($arr_val as $val)
		{
			if (count(trim($val)) > 0)
			{
				$not_empty = true;
				break;
			}
		}

		if ($not_empty)
		{
			$arr_val = implode($sep, $arr_val);
		}
		else
		{
			$arr_val = "";
		}
	}
}

// ************************************************
// SELECT Tag ɼ Ʈ  Ѵ.
// array(array(name,value)...)
// sel_pos : ⺻  ε (-1 ̸ õ  )
// ************************************************
function makeOptionLists($arr_val, $no_sel="", $sel_pos=-1)
{
	$str_opt = "";

	if (is_array($arr_val))
	{
		// õ   ɼ
		$str_opt .= "<option value=\"\">".$no_sel."</option> \n";

		//  ɼ Ʈ
		for ($i=0; $i < count($arr_val); $i++)
		{
			$str_opt .= "<option value=\"".$arr_val[$i][1]."\"";
			if ($i == $sel_pos)
				$str_opt .= " selected=\"true\"";
			$str_opt .= ">".$arr_val[$i][0]."</option> \n";
		}
	}

	return $str_opt;
}

// ************************************************
// ܹ ޽ XML 
// ************************************************
function shortXmlMsg($msg)
{
		global $CFG;

		header (XML_HTTP_HEAD);
		echo XML_DOC_HEAD."\n";
		echo "<info><desc><![CDATA[".$msg."]]></desc></info>";	
}

function createSimpleXml($doc_root, $body_array)
{
	$xml_str = '<'.$doc_root.'>';
	while (list($key, $val) = each($body_array))
	{
		if (!is_int($key))
		{
			$xml_str .= '<'.$key.'><![CDATA['.$val.']]></'.$key.'>'; 
		}
	}
	$xml_str .= '</'.$doc_root.'>';

	header (XML_HTTP_HEAD);
	echo XML_DOC_HEAD."\n";
	echo $xml_str;
}


// ************************************************
// JS Ѿ  escape php ϱ  κ
// ************************************************
function unescape($str)
{
	return mb_convert_encoding($str, 'EUC-KR', 'UTF-8');
	// return urldecode(preg_replace_callback('/%u([[:alnum:]]{4})/', 'unescape_func', $str));
}

function unescape_func($str)
{
	return iconv('UTF-16LE', 'UHC', chr(hexdec(substr($str[1], 2, 2))).chr(hexdec(substr($str[1],0,2))));
}

// ************************************************
// Mega Ʈ 뷮 Giga Ʈ 뷮 ȯ
// ************************************************
function convertMBtoGB($mb_size)
{
	if (is_numeric($mb_size))
	{
		$int_mb = intval($mb_size);

		if ($int_mb > 1000)
		{
			return strval($int_mb / 1000).' GB';
		}
		else
		{
			return strval($int_mb).' MB';
		}
	}
	else
	{
		return '0';
	}
}

// ************************************************
//    URL
// http://url/path/
// ************************************************
function getCurrUrl()
{
	$svr_pt_tmp = explode("/", $_SERVER["SERVER_PROTOCOL"]);
	$svr_pt = $svr_pt_tmp[0];
	
	$http_host = $_SERVER["HTTP_HOST"];

	$path_info_tmp = explode("/", $_SERVER["SCRIPT_NAME"]);
	
	$path_info = "";

	for($i = 0; $i < count($path_info_tmp)-1; $i++) 
	{
		$path_info .= $path_info_tmp[$i]."/";
	}

	$server_protocal."://".$http_host.$path_info;

	return $svr_pt."://".$http_host.$path_info;
}

// ************************************************
// ȣ ˻
// ************************************************
function getFindAddr($src_str, $zip=false)
{
	$post_find = new PostCls();
	$post_find->enc_str = 'EUC-KR';
	
	if ($zip) {
		$ret = $post_find->GetPostByZipAddEng($src_str);
	} else {
		$ret = $post_find->GetPostByDongAddEng($src_str);
	}

	return $ret;
}

// ************************************************
//  ε ó
// ************************************************
function upload_file($upload_path, $files, $overwrite=true) {

	$result = array();

	//  ͸   
	if ( !file_exists($upload_path) ) {
		if ( !mkdir( $upload_path, 0777 ) ) {
			$result['err'] = "͸  ";
			return $result;
		}
	}

	// ε  ŭ ũ 
	while ( list($var, $file) = each($files) ) {

		if ( $file['name'] != '' && $file['size'] > 0 ) {

			//   θ
			$filename = $file['name'];
			$upload_file_name = $upload_path . "/" . $filename;
			$path_info = pathinfo($upload_file_name);
			$extension = "." . $path_info["extension"];

			// ϸ ߺǴ  ڵ  ̱
			if ( !$overwrite ) {

				$i = 1;
				while ( file_exists($upload_file_name) ) {
					$pattern = "\(" . ($i-1) . "\)" . $extension;
					if ( eregi($pattern, $filename ) ) {
						$filename = eregi_replace($pattern, "(" . $i++ . ")" . $extension, $filename);
					} else {
						$filename = str_replace($extension, "(" . $i++ . ")" . $extension, $filename);
					}

					$upload_file_name = $upload_path . "/" . $filename;
				}
			}

			if ( @move_uploaded_file($file['tmp_name'], $upload_file_name) ) {
			// ε  ũ 


				$result[$var] = array(
									"name" => $filename,
									"size" => $file['size'],
									"type" => $file['type']
									);
			} else {
			// ε 

				//$result[$var]['err'] = "ũ  ";
				$result['err'] = "ũ  [" . $upload_file_name . "]";
				break;
			}

		} else {

			$result[$var] = "";
		}
	}

	return $result;
}

// ************************************************
//  ٿε ó
// ************************************************
function download_file($file_path) {

	if ( !file_exists($file_path) || !is_file($file_path) ) {
		return false;
	}

	$fp = fopen($file_path, 'rb');
	if ( !$fp ) {
		return false;
	}

	$path = explode("/", $file_path);
	$filename = $path[count($path)-1];

	header("Expires: 0");
	header("Cache-Control: must-revalidate, post-check=0,pre-check=0");
	header("Pragma: public");
	header("Content-Type: application/download");
	header("Content-Length: " .(string)(filesize($file_path)) );
	header('Content-Disposition: attachment; filename="'.$filename.'"');

	fpassthru($fp);

	fclose($fp);

	return true;
}

// ************************************************
//   ó
// ************************************************
function delete_file($file_path) {

	if ( file_exists($file_path) && is_file($file_path) ) {

		@exec("rm -f " . $file_path);
	}

	return true;
}
?>
