<?php
function db_conn($type, $ip, $id, $pwd, $db)
{
	$conn = ADONewConnection ($type);
	$ret = $conn->Connect($ip, $id, $pwd, $db);

	if (!$ret) {
		$conn = false;
	}

	return $conn;
}

function db_hosting()
{
	global $db_server, $db_user, $db_pass, $db_name;

	if ( ( !isset($db_server) || $db_server == "" ) && defined("DB_SERVER" ) ) {

		$db_server	= DB_SERVER;
		$db_user	= DB_USER;
		$db_pass	= DB_PASS;
		$db_name	= DB_NAME;
	}

	$conn = ADONewConnection ("mysqli");
	$ret = $conn->Connect($db_server, $db_user, $db_pass, $db_name);

	if (!$ret) {
		$conn = false;
	}

	return $conn;
}

function db_mssql($db_server, $db_user, $db_pass, $db_name)
{
	$conn = ADONewConnection ("mssql");
	$ret = $conn->Connect($db_server, $db_user, $db_pass, $db_name);

	if (!$ret) {
		$conn = false;
	}

	return $conn;
}



function close_db($db)
{
	if (isset($db)) {
		$db->Close();
		unset($db);
	}
}



function get_onerow($conn, $qry, $parm=false)
{
	$ret = $conn->Execute ($qry, $parm);

	if ($ret && $ret->RecordCount() > 0)
	{
		$ret_cnt = $ret->RecordCount();
		$ret_arr = $ret->GetArray(1);

		$ret->Close();
		
		return $ret_arr[0];
	} else {
		if ($ret)
			$ret->Close();

		return false;
	}
}

function get_onecol($conn, $qry, $parm=false)
{
	$ret = $conn->Execute ($qry, $parm);

	if ($ret && $ret->RecordCount() > 0)
	{
		$ret_cnt = $ret->RecordCount();
		$ret_arr = $ret->GetArray(1);

		$ret->Close();
		
		return $ret_arr[0][0];
	} else {
		if ($ret)
			$ret->Close();

		return false;
	}
}

function get_records($conn, $qry, $parm=false)
{
	$ret = $conn->Execute ($qry, $parm);

	if ($ret && $ret->RecordCount() > 0)
	{
		$ret_cnt = $ret->RecordCount();
		$ret_arr = $ret->GetArray();

		$ret->Close();
		
		if ($ret_cnt == 1) {
			return $ret_arr[0];
		} else {
			return $ret_arr;
		}
	} else {
		if ($ret)
			$ret->Close();

		return false;
	}
}

function get_array($conn, $qry, $parm=false)
{
	$ret = $conn->Execute ($qry, $parm);

	if ($ret && $ret->RecordCount() > 0) {
		$ret_arr = $ret->GetArray();

		$ret->Close();
		
		return $ret_arr;
	} else {
		if ($ret)
			$ret->Close();

		return false;
	}
}
?>
