<?
//	$Id: backbone_graph_backup.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//	NAME: grpgraph
//	ARGUMENT:
//	DESCRIPTION:
//		rrd 출력 테스트
//		실행시간은 날짜가 변경되기 직전인 마지막 SNMP 가 돌고난 직후인 23시57분에 수행해야 한다.
//
//	REFERENCE:
//
//

	define ("BASE_DIR", "/var/www/html/samjung/");

	require_once(BASE_DIR."../include/config.php");
	require_once(BASE_DIR."config.php");	// admin configure
	require_once(BASE_DIR."DIRECTLIB/adodb/adodb.inc.php");
	require_once(BASE_DIR."DIRECTLIB/include/db.php");


	$conn = db_conn("mysql", "localhost", "cactiuser", "cacti", "cacti");

	$query = "SELECT value FROM settings WHERE name='path_webroot'";
	$ret = get_array($conn, $query);
	list (,$val) = each ($ret);
	$path =  $val["value"] . "/rra";

	$query = "SELECT value FROM settings WHERE name='path_rrdtool'";
	$ret = get_array($conn, $query);
	list (,$val) = each ($ret);
	$path_rrdtool =  $val["value"];

	// 백본탭에 속한 그래프 정보 FETCH
	$query = "SELECT b.gid,a.ip,a.svc_no,a.name,a.limit_cnt,b.ov_limit
		FROM gls b LEFT JOIN account a ON a.gid=b.gid WHERE b.tab_sid='".BACKBONE_TAB."'";

	if (($ret = get_array($conn, $query)) === false)
	{
		die ("BACKBONE TAB fetch error!");
	}

	// 합산그래프 GID 모음
	$n = 0;
	$gid = array();

	for ($i=0; $i<count($ret); $i++)
	{
		if ($ret[$i]["gid"] != 0)
		{
			$gid[$n] = $ret[$i]["gid"];
			$n++;
		}
	}

	$def = array();
	$n = 0;
	for ($i=0; $i<count($gid); $i++)
	{
		$query = "SELECT data_template_rrd.data_source_name, data_template_data.data_source_path 
FROM graph_templates_item
LEFT JOIN data_template_rrd ON (graph_templates_item.task_item_id=data_template_rrd.id)
LEFT JOIN data_local ON (data_template_rrd.local_data_id=data_local.id)
LEFT JOIN data_template_data ON (data_local.id=data_template_data.local_data_id)
WHERE graph_templates_item.local_graph_id='".$gid[$i]."' 
AND (graph_templates_item.text_format = 'Inbound' OR graph_templates_item.text_format = 'Outbound')
AND data_template_rrd.data_source_name is NOT NULL";

		$ret = get_array($conn, $query);
		if ($ret !== false)
		{
			foreach ($ret as $item)
			{
				$def[$n][0] = $item['data_source_name'];
				$def[$n][1] = str_replace ("<path_rra>", $path, $item['data_source_path']);
				$n++;
			}
		}
	}
	close_db($conn);

	$def_arg = "";
	$stacka = "";
	$stackb = "";
	$i = 0;
	$sn[0] = $sn[1] = 0;
	for ($i=0; $i<$n; $i++)
	{
		$obj = chr (97 + ($i / 26)) . chr (97 + ($i % 26));
		$def_arg .= "DEF:$obj=\"".$def[$i][1]."\":".$def[$i][0].":AVERAGE ";
		if ($def[$i][0] == "traffic_in")
		{
			$stacka .= $obj.",";
			if ($sn[0] > 0) $stacka .= "+,";
			$sn[0]++;
		}
		if ($def[$i][0] == "traffic_out")
		{
			$stackb .= $obj.",";
			if ($sn[1] > 0) $stackb .= "+,";
			$sn[1]++;
		}
	}
	$stacka .= "8,*";
	$stackb .= "8,*";

	// 저장할 디렉토리 확인 및 생성

	// 년도
	$store_path = BACKBONE_GRAPH_DAILY_PATH."/".date("Y");

	if (file_exists ($store_path) === false)
	{
		if (mkdir ($store_path, 0755) === false) die ("make directory '$store_path' faild.");
	}

	// 월
	$store_path .= "/".date("m");

	if (file_exists ($store_path) === false)
	{
		if (mkdir ($store_path, 0755) === false) die ("make directory '$store_path' faild.");
	}

	$today = date("Y-m-d");

	// 일 합계 그래프
	$ct = time();
	$pt = $ct - (3600*24);

	$cmd = $path_rrdtool . " graph - ".
"--imgformat=PNG ".
"--start=$pt --end=$ct ".
"--title=\"Backbone Total $today\" ".
"--slope-mode ".
$def_arg." CDEF:cdefa=".$stacka." CDEF:cdefb=".$stackb." ".
"LINE1:cdefa#FF0000:\"In\" ".
"GPRINT:cdefa:LAST:\" Current\:%8.2lf%s\"  ".
"GPRINT:cdefa:AVERAGE:\"Average\:%8.2lf%s\"  ".
"GPRINT:cdefa:MAX:\"Maximum\:%8.2lf%s\\n\"  ".
"LINE1:cdefb#0000FF:\"Out\" ".
"GPRINT:cdefb:LAST:\"Current\:%8.2lf%s\"  ".
"GPRINT:cdefb:AVERAGE:\"Average\:%8.2lf%s\"  ".
"GPRINT:cdefb:MAX:\"Maximum\:%8.2lf%s\" ";

//echo "[$cmd]"; exit;

	// 실행시간은 날짜가 변경되기 직전인 마지막 SNMP 가 돌고난 직후인 23시57분에 수행해야 한다.
	$store_path .= "/".date("d").".png";
//echo "PATH=[$store_path]\n";
	if (($fpw = fopen ($store_path, "w+b")) == false) die ("open faild '$store_path'");

	if (($fp = popen ($cmd, "r")) === false)
		die("Open failed: ${php_errormsg}\n");
	while (!feof($fp)) {
		$buffer = fgets($fp, 4096);
		fwrite ($fpw, $buffer);
	}
	pclose ($fp);
	fclose ($fpw);

	// 주 합계 그래프
	$pt = $ct - (3600*24*7);
	$cmd = $path_rrdtool . " graph - ".
"--imgformat=PNG ".
"--start=$pt --end=$ct ".
"--title=\"Backbone Total $today\" ".
"--slope-mode ".
$def_arg." CDEF:cdefa=".$stacka." CDEF:cdefb=".$stackb." ".
"LINE1:cdefa#FF0000:\"In\" ".
"GPRINT:cdefa:LAST:\" Current\:%8.2lf%s\"  ".
"GPRINT:cdefa:AVERAGE:\"Average\:%8.2lf%s\"  ".
"GPRINT:cdefa:MAX:\"Maximum\:%8.2lf%s\\n\"  ".
"LINE1:cdefb#0000FF:\"Out\" ".
"GPRINT:cdefb:LAST:\"Current\:%8.2lf%s\"  ".
"GPRINT:cdefb:AVERAGE:\"Average\:%8.2lf%s\"  ".
"GPRINT:cdefb:MAX:\"Maximum\:%8.2lf%s\" ";

//echo "[$cmd]"; exit;

	// weekly 디렉토리 확인 및 생성
	$store_path = BACKBONE_GRAPH_DAILY_PATH."/".date("Y")."/".date("m")."/WEEKLY";
	if (file_exists ($store_path) === false)
	{
		if (mkdir ($store_path, 0755) === false) die ("make directory '$store_path' faild.");
	}

	$store_path .= "/".date("d").".png";
//echo "PATH=[$store_path]\n";
	if (($fpw = fopen ($store_path, "w+b")) == false) die ("open faild '$store_path'");

	if (($fp = popen ($cmd, "r")) === false)
		die("Open failed: ${php_errormsg}\n");
	while (!feof($fp)) {
		$buffer = fgets($fp, 4096);
		fwrite ($fpw, $buffer);
	}
	pclose ($fp);
	fclose ($fpw);

?>
