<?
//
//	$Id: dup_list.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//	NAME: arp_put
//	ARGUMENT:
//	DESCRIPTION:
//		MAC 중복 LIST.
//
//	REFERENCE:
//		mysql> desc L3host;
//		+----------+-------------+------+-----+---------+-------+
//		| Field    | Type        | Null | Key | Default | Extra |
//		+----------+-------------+------+-----+---------+-------+
//		| ip       | varchar(20) | NO   | PRI |         |       |
//		| name     | varchar(32) | YES  |     | NULL    |       |
//		| host_id  | int(11)     | YES  |     | NULL    |       |
//		| comunity | varchar(16) | YES  |     | NULL    |       |
//		| ts       | datetime    | YES  |     | NULL    |       |
//		+----------+-------------+------+-----+---------+-------+
//		5 rows in set (0.01 sec)
//		
//		mysql> desc dup_mac;
//		+-------+-------------+------+-----+---------+-------+
//		| Field | Type        | Null | Key | Default | Extra |
//		+-------+-------------+------+-----+---------+-------+
//		| mac   | varchar(32) | NO   | PRI |         |       |
//		| l3ip  | varchar(20) | NO   |     |         |       |
//		| ip    | varchar(20) | YES  |     | NULL    |       |
//		| vlan  | varchar(10) | NO   |     |         |       |
//		| memo  | tinytext    | YES  |     | NULL    |       |
//		| ts    | datetime    | YES  |     | NULL    |       |
//		+-------+-------------+------+-----+---------+-------+
//		6 rows in set (0.00 sec)
//
//		mysql> desc sj_mac_ip;
//		+---------+---------------------------+------+-----+---------+----------------+
//		| Field   | Type                      | Null | Key | Default | Extra          |
//		+---------+---------------------------+------+-----+---------+----------------+
//		| sid     | int(11)                   | NO   | PRI | NULL    | auto_increment |
//		| mac     | varchar(32)               | NO   |     |         |                |
//		| ip      | varchar(16)               | NO   |     |         |                |
//		| status  | enum('N','U','E','D','A') | NO   |     |         |                |
//		| idx_sid | int(11)                   | NO   |     |         |                |
//		| L3_ip   | varchar(16)               | NO   |     |         |                |
//		| vlan    | int(11)                   | NO   |     |         |                |
//		+---------+---------------------------+------+-----+---------+----------------+
//		7 rows in set (0.00 sec)
//
//		mysql> desc account;
//		+-----------+---------------+------+-----+---------------------+----------------+
//		| Field     | Type          | Null | Key | Default             | Extra          |
//		+-----------+---------------+------+-----+---------------------+----------------+
//		| sid       | int(11)       | NO   | PRI | NULL                | auto_increment |
//		| gid       | int(11)       | NO   | UNI |                     |                |
//		| ip        | varchar(16)   | NO   | MUL |                     |                |
//		| svc_no    | varchar(6)    | NO   |     |                     |                |
//		| name      | tinytext      | YES  |     | NULL                |                |
//		| wkid      | varchar(6)    | NO   |     |                     |                |
//		| ts        | datetime      | NO   |     | 0000-00-00 00:00:00 |                |
//		| limit_cnt | int(11)       | YES  |     | NULL                |                |
//		| pause     | enum('Y','N') | YES  |     | N                   |                |
//		+-----------+---------------+------+-----+---------------------+----------------+
//		9 rows in set (0.00 sec)
//

	require_once("./config.php");
	require_once("../include/config.php");
	require_once("DIRECTLIB/adodb/adodb.inc.php");
	require_once("DIRECTLIB/include/db.php");

	$db = db_conn ($database_type, $database_hostname, $database_username, $database_password, $database_default);
	if ($db === false)
	{
		die ("connect faild");
	}

	// for gr_open()
	$et=time(); $st=$et-(3600*24);

	$ts = time() - (3600 * 24 * 3);	// 3일전 TIMESTAMP
	$bf3_date = date ("Y-m-d H:i:s", $ts);

	$query = "SELECT sid FROM sj_mac_ip_idx WHERE ts='$bf3_date'";
	$bf3_idx = "";
	if (($dup_arr = get_array($db, $query)) !== false) $bf3_idx = $dup_arr[0]["sid"];

print_r ($dup_arr);
?>
<html>
<head>
<title>MAC DUPLICATE List - Samjung Data Service Network Admin</title>
<link rel="stylesheet" type="text/css" href="style.css" />
<!--script type="text/javascript" src="./utils_lib.js"></script>
<script type="text/javascript" src="./ajax_lib.js"></script>
<script type="text/javascript" src="./xml_lib.js"></script-->
<script language="javascript">
<!--

function gr_open (gid)
{
	window.open("../graph_image.php?local_graph_id="+gid+"&rra_id=0&view_type=tree&graph_start=<?=$st?>&graph_end=<?=$et?>",
	"graph", "width=500,height=240");
}

-->
</script>
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<? require_once ("cacti_head.php") ?>
<br>
<div align="left" style="margin-left:10px;">
<table width="90%" border=0>
 <tr>
  <td align="left">
    <font size="3"><b>DUP MAC LIST</b></font>
  </td>
 </tr>
</table>
<?
	// 중복된 MAC 목록.
	$query = "SELECT distinct mac,ip FROM sj_mac_ip WHERE status='D'".($bf3_idx?" AND idx_sid>'$bf3_idx'":"");
echo $query;
	if (($dup_arr = get_array($db, $query)) === false) $dup_arr = array ();
print_r ($dup_arr);
?>
<table width="98%" border="0" bgcolor="#EFEFEF">
  <tr bgcolor="#3154a5" height="24" align="center">
    <td width="32"><font color="white">NO</font></td>
    <td width="150"><font color="white">MAC</font></td>
    <td width="100"><font color="white">IP</font></td>
    <td width="100"><font color="white">ACCOUNT</font></td>
    <td width="*"><font color="white">DURATION</font></td>
  </tr>
<?
	for ($i=0; $i<count($dup_arr); $i++)
	{
		$mac = $dup_arr[$i]["mac"];
		$ip = $dup_arr[$i]["ip"];

		$max_ts = "";
		$min_ts = "";
		$query = "SELECT MAX(idx_sid) AS max_sid, MIN(idx_sid) AS min_sid FROM sj_mac_ip WHERE mac='$mac'";
		if (($temp_arr = get_array($db, $query)) !== false)
		{
			$max_sid = $temp_arr[0]["max_sid"];
			$min_sid = $temp_arr[0]["min_sid"];
			$query = "SELECT ts FROM sj_mac_ip_idx WHERE sid='$max_sid'";
			if (($temp_arr = get_array($db, $query)) !== false) $max_ts = $temp_arr[0]["ts"];

			$query = "SELECT ts FROM sj_mac_ip_idx WHERE sid='$min_sid'";
			if (($temp_arr = get_array($db, $query)) !== false) $min_ts = $temp_arr[0]["ts"];
		}

		$svc_no = $account_name = "";
		$query = "SELECT svc_no,name FROM account WHERE ip='$ip'";
		if (($temp_arr = get_array($db, $query)) !== false)
		{
			$svc_no = $temp_arr[0]["svc_no"];
			$account_name = $temp_arr[0]["name"];
		}

?>
  <tr bgcolor="white">
	<td align="center"><?=($i+1)?></td>
	<td align="center"><a href="dmac_list.php?mac=<?=$dup_arr[$i]["mac"]?>"><?=$dup_arr[$i]["mac"]?></a></td>
	<td align="center"><?=$dup_arr[$i]["ip"]?></td>
	<td align="left">&nbsp;<?=($svc_no?"$account_name ($svc_no)":"")?></td>
	<td align="left">&nbsp;<?=$min_ts?> ~ <?=$max_ts?></td>
  </tr>
<?
	}
?>
</table>
<br>
<table width="90%" border=0>
 <tr>
  <td align="left">
    <font size="3"><b>EDIT MAC LIST</b></font>
  </td>
 </tr>
</table>
<?
	// 변경된 MAC 목록.
	$query = "SELECT distinct mac,ip FROM sj_mac_ip WHERE status='E'".($bf3_idx?" AND idx_sid>'$bf3_idx'":"");
	if (($dup_arr = get_array($db, $query)) === false) $dup_arr = array ();
?>
<table width="98%" border="0" bgcolor="#EFEFEF">
  <tr bgcolor="#3154a5" height="24" align="center">
    <td width="32"><font color="white">NO</font></td>
    <td width="150"><font color="white">MAC</font></td>
    <td width="100"><font color="white">IP</font></td>
    <td width="100"><font color="white">ACCOUNT</font></td>
    <td width="*"><font color="white">DURATION</font></td>
  </tr>
<?
	for ($i=0; $i<count($dup_arr); $i++)
	{
		$mac = $dup_arr[$i]["mac"];
		$ip = $dup_arr[$i]["ip"];

		$ts = "";
		$query = "SELECT ts FROM sj_mac_ip_idx WHERE sid='$max_sid'";
		if (($temp_arr = get_array($db, $query)) !== false) $ts = $temp_arr[0]["ts"];

		$svc_no = $account_name = "";
		$query = "SELECT svc_no,name FROM account WHERE ip='$ip'";
		if (($temp_arr = get_array($db, $query)) !== false)
		{
			$svc_no = $temp_arr[0]["svc_no"];
			$account_name = $temp_arr[0]["name"];
		}

?>
  <tr bgcolor="white">
	<td align="center"><?=($i+1)?></td>
	<td align="center"><a href="dmac_list.php?mac=<?=$dup_arr[$i]["mac"]?>"><?=$dup_arr[$i]["mac"]?></a></td>
	<td align="center"><?=$dup_arr[$i]["ip"]?></td>
	<td align="left">&nbsp;<?=($svc_no?"$account_name ($svc_no)":"")?></td>
	<td align="left">&nbsp;<?=$ts?></td>
  </tr>
<?
	}
?>
</table>
<br>
<? /*
<table width="90%" border=0>
 <tr>
  <td align="left">
    <font size="3"><b>NEW MAC LIST</b></font>
  </td>
 </tr>
</table>
<?
	// 신규 MAC 목록.
	$query = "SELECT distinct mac,ip FROM sj_mac_ip WHERE status='N'".($bf3_idx?" AND idx_sid>'$bf3_idx'":"");
	if (($dup_arr = get_array($db, $query)) === false) $dup_arr = array ();
?>
<table width="98%" border="0" bgcolor="#EFEFEF">
  <tr bgcolor="#3154a5" height="24" align="center">
    <td width="32"><font color="white">NO</font></td>
    <td width="150"><font color="white">MAC</font></td>
    <td width="100"><font color="white">IP</font></td>
    <td width="100"><font color="white">ACCOUNT</font></td>
    <td width="*"><font color="white">DURATION</font></td>
  </tr>
<?
	for ($i=0; $i<count($dup_arr); $i++)
	{
		$mac = $dup_arr[$i]["mac"];
		$ip = $dup_arr[$i]["ip"];

		$ts = "";
		$query = "SELECT ts FROM sj_mac_ip_idx WHERE sid='$max_sid'";
		if (($temp_arr = get_array($db, $query)) !== false) $ts = $temp_arr[0]["ts"];

		$svc_no = $account_name = "";
		$query = "SELECT svc_no,name FROM account WHERE ip='$ip'";
		if (($temp_arr = get_array($db, $query)) !== false)
		{
			$svc_no = $temp_arr[0]["svc_no"];
			$account_name = $temp_arr[0]["name"];
		}

?>
  <tr bgcolor="white">
	<td align="center"><?=($i+1)?></td>
	<td align="center"><a href="dmac_list.php?mac=<?=$dup_arr[$i]["mac"]?>"><?=$dup_arr[$i]["mac"]?></a></td>
	<td align="center"><?=$dup_arr[$i]["ip"]?></td>
	<td align="left">&nbsp;<?=($svc_no?"$account_name ($svc_no)":"")?></td>
	<td align="left">&nbsp;<?=$ts?></td>
  </tr>
<?
	}
?>
</table>
*/ ?>
</p>
<b>(주) 3일전부터 지금까지의 데이터 임.</b>

</div>
</body>
</html>

<?
/////////////// FUNCTION /////////////////

?>
