<?php
////////////////////////////////////////////
// 메시지를 보여줍니다.
////////////////////////////////////////////
function alert($msg) {
	print "<script language='javascript'>\n";
	print "<!--\n";
	print "  alert('" . $msg . "');\n";
	print "//-->\n";
	print "</script>";
}

/////////////////////////////////////////////////
// 메시지 출력 후 이전 히스토리로 이동합니다.
/////////////////////////////////////////////////
function goback($msg=null, $depth=-1) {
	print "<script language='javascript'>\n";
	print "<!--\n";

	if($msg != null) {
		print "  alert('" . $msg . "');\n";
	}

	print "history.go(" . $depth . ");\n";

	print "//-->\n";
	print "</script>";

	exit;
}

/////////////////////////////////////////////////
// 메시지 출력 후 지정한 URL로 이동합니다.
/////////////////////////////////////////////////
function gotourl($url, $msg=null) {
	print "<script language='javascript'>\n";
	print "<!--\n";

	if($msg != null) {
		print "  alert('" . $msg . "');\n";
	}

	print "document.location.replace('" . $url . "');\n";

	print "//-->\n";
	print "</script>";

	exit;
}

////////////////////////////////////////////////
// 메시지 출력 후 창을 닫음
////////////////////////////////////////////////
function closewin($msg=null) {
	print "<script language='javascript'>\n";
	print "<!--\n";

	if($msg != null) {
		print "  alert('" . $msg . "');\n";
	}

	print "self.close();\n";

	print "//-->\n";
	print "</script>";

	exit;
}

//////////////////////////////////////////////
// 부모창의 URL을 이동한 후 창을 닫음
/////////////////////////////////////////////
function redirect_opener($url, $msg=null) {
	print "<script language='javascript'>\n";
	print "<!--\n";

	if($msg != null) {
		print "  alert('" . $msg . "');\n";
	}

	print "if(opener) {\n";
	print "  opener.document.location = \"" . $url . "\";\n";
	print "}\n";

	print "self.close();\n";

	print "//-->\n";
	print "</script>";

	exit;
}

//////////////////////////////////////////////
// 부모창을 Reload 한 후 창을 닫음
//////////////////////////////////////////////
function reload_opener($msg=null) {
	print "<script language='javascript'>\n";
	print "<!--\n";

	if($msg != null) {
		print "  alert('" . $msg . "');\n";
	}

//	print "if(opener) {\n";
//	print "  opener.document.location = opener.document.location;\n";
//	print "}\n";
	print "opener.location.reload();\n";

	print "self.close();\n";

	print "//-->\n";
	print "</script>";

	exit;
}

//////////////////////////////////////////////
// SMS 전송
//////////////////////////////////////////////
function sendsms($phone, $msg) {
	$xml_file = "http://webservice.direct.co.kr/directsms1.x/directsms.asmx/".
				  "SendSmsPrivate?stran_phone=".$phone.
				  "&stran_callback=".
				  "&stran_date=".
				  "&stran_msg=".urlencode($msg);

	$dom = domxml_open_file($xml_file);
	$root = $dom->document_element();
	$nodes = $root->child_nodes();
	$ret = $nodes[count($nodes)-1]->get_content();

	if($ret == "OK") {
		return true;
	} else {
		return false;
	}
}

////////////////////////////////////////
// 메일 발송
////////////////////////////////////////
/*
function sendmail($rcptto, $subject, $message) {
	// 메일 헤더 작성
	$mail_header = "FROM: 온에어솔루션 <support@onairsolution.co.kr>\r\n";
	$mail_header .= "Reply-To: 온에어솔루션 <support#onairsolution.co.kr>\r\n";
	$mail_header .= "Content-Type: text/html; charset=euc-kr";

	// 메일 발송
	mail($rcptto, $subject, $message, $mail_header);
}
*/

////////////////////////////////////////
// 페이지 네비게이션 출력
////////////////////////////////////////
function showNavigation($total, $limit=20, $pg=1) {
	
	if($total == 0) {
		return;
	}

	if($pg == "" || $pg == "0") {
		$pg = 1;
	}

	$path_info_tmp = explode("/", $_SERVER["SCRIPT_NAME"]);
	$url = $path_info_tmp[count($path_info_tmp) - 1];

	$pg_count = ceil($total / $limit);
	$start_pg = floor(($pg-1) / 10) * 10;
	$end_pg = $start_pg + 10;
	if($end_pg > $pg_count) {
		$end_pg = $pg_count;
	}

	if($pg > 1) {
		print "<a href=\"javascript:movePage(1)\"><IMG src=\"/images/qna/bbs_prev_end.gif\" width=11 height=11 align=absMiddle border=0></a>&nbsp;";
		print "<a href=\"javascript:movePage(" . ($start_pg - 9) . ")\"><IMG src=\"/images/qna/bbs_prev.gif\" width=10 height=11 align=absMiddle border=0></a>&nbsp;";
	}

	for($i = $start_pg; $i < $end_pg; $i++) {
		if(($i+1) == $pg) {
			print "<FONT color=\"#f17533\"><strong>" . ($i+1) . "</strong></font>";
		} else {
			print "<a href=\"javascript:movePage(" . ($i+1) . ")\">" . ($i + 1) . "</a>";
		}

		if($i < $end_pg-1) {
			print " | ";
		}
	}

	if($end_pg < $pg_count) {
		print "&nbsp;<a href=\"javascript:movePage(" . ($start_pg + 11) . ")\"><IMG src=\"/images/qna/bbs_next.gif\" width=10 height=11 align=absMiddle border=0></A>";  
		print "&nbsp;<a href=\"javascript:movePage(" . $pg_count . ")\"><IMG src=\"/images/qna/bbs_next_end.gif\" width=11 height=11 border=0 align=absmiddle></a>";
	}
}


/* ORIGINAL from cacti_log - logs a string to Cacti's log file or optionally to the browser
   @arg $string - the string to append to the log file
   @arg $output - (bool) whether to output the log line to the browser using pring() or not */
function PutLog ($file, $line, $level, $string, $output = false)
{

	// 메세지 생성
	$message = date("Y-m-d H:i:s").":$file($line) :".$string."\n";

	/* Log to Logfile */
//	if (level <= LOG_LEVEL)
//	{
		$logfile = LOG_PATH . "/". date ("Ymd"). ".txt";

		/* echo the data to the log (append) */
		$fp = @fopen($logfile, "a");
		if ($fp)
		{
			@fwrite($fp, $message);
			fclose($fp);
		}
//	}

/* syslog() 에 넣는것은  나중에 ACTIVE ...
	// Log to Syslog/Eventlog
	// Syslog is currently Unstable in Win32
	if (($level =< ERROR)
	{
		$log_type = "";
		if (substr_count($string,"ERROR:"))
			$log_type = "err";
		else if (substr_count($string,"WARNING:"))
			$log_type = "warn";
		else if (substr_count($string,"STATS:"))
			$log_type = "stat";
		else if (substr_count($string,"NOTICE:"))
			$log_type = "note";

		if (strlen($log_type)) {
			define_syslog_variables();

			if ($config["cacti_server_os"] == "win32")
				openlog("Cacti Logging", LOG_NDELAY | LOG_PID, LOG_USER);
			else
				openlog("Cacti Logging", LOG_NDELAY | LOG_PID, LOG_SYSLOG);

			if (($log_type == "err") && (read_config_option("log_perror"))) {
				syslog(LOG_CRIT, $environ . ": " . $string);
			}

			if (($log_type == "warn") && (read_config_option("log_pwarn"))) {
				syslog(LOG_WARNING, $environ . ": " . $string);
			}

			if ((($log_type == "stat") || ($log_type == "note")) && (read_config_option("log_pstats"))) {
				syslog(LOG_INFO, $environ . ": " . $string);
			}

			closelog();
		}
   }
*/

	// print output to standard out if required
	if ($output == true) {
		print $message."<br>\n";
	}
}


function ChkHoliday()
{
	//오늘날짜가 휴일인지 검사한다. 국가 공휴일은 년도로 직접 지정
	$weekday = getdate("weekday");
	if($weekday == "Saturday" or $week_day == "Sunday")
	{
		return true;
	}
	else
	{
		$weekday = date("Y.m.d");
		if($weekday == "2005.09.19" or $weekday == "2005.10.03" or  $weekday == "2006.01.30" or
			$weekday == "2006.03.01" or  $weekday == "2006.04.05" or $weekday == "2006.05.05" or    
			$weekday == "2006.06.06" or $weekday == "2006.07.17" or $weekday == "2006.08.15" or      
			$weekday == "2006.10.03" or $weekday == "2006.10.05" or $weekday == "2006.10.06" or $weekday == "2006.12.25") 
		{
			return true;
		}
		else
		{
			return false;
		}
	}
}

function contentAddBr ($str)
{
	$str = str_replace ("\r\n", "<br>", trim($str));

	return $str;
}

// 스트링을 바이트 수 만큼 자르기
//	2005-09-29 by potato
//
function str_cut_byte ($str, $len)
{
	$ret = "";

	for ($i=0; $i < strlen($str); $i++)
	{
		if (ord($str[$i]) > 127)
		{
			// 2 Byte 문자
			if (($i + 1) < $len)
				$ret .= $str[$i].$str[++$i];
			else
				break;
		}
		else
		{
			// 1 Byte 문자
			if ($i == $len)
				break;
			else
				$ret .= $str[$i];
		}
	}

	return $ret;
}

// 스트링을 글자수 만큼 자르기
//	2005-09-29 by potato
//
function str_cut_char ($str, $len)
{
	$ret = "";
	$cnt = 0;

	for ($i=0; $i < strlen($str); $i++)
	{
		if (ord($str[$i]) > 127)
		{
			// 2 Byte 문자
			$ret .= $str[$i].$str[++$i];
		}
		else
		{
			// 1 Byte 문자
			$ret .= $str[$i];
		}

		++$cnt;

		if ($cnt == $len) break;
	}

	return $ret;
}

//
//	상태에 따른 메시지와 백그라운드컬러 리턴
//
function retMsgNbgColor ($stat, &$stat_str, &$bgcolor)
{

	switch($stat)
	{
	case PLAN: // Plan(계획)
		$stat_str = "계획";
		$bgcolor = "#C0E0FF";
		break;
	case ACTION: // Action(실행)
		$stat_str = "실행";
		$bgcolor = "#FFFFFF";
		break;
	case WAIT: // Wait(대기)
		$stat_str = "대기";
		//$bgcolor = "#FFFFD6";
		$bgcolor = "#FFFFFF";
		break;
	case CANCEL: // Cancel(취소)
		$stat_str = "취소";
		$bgcolor = "#FFFFFF";
		//$bgcolor = "#FFC0C0";
		break;
	case TRANSFER: // Transfer(이관)
		$stat_str = "이관";
		//$bgcolor = "#80C0C0";
		$bgcolor = "#FFFFFF";
		break;
	case FINITE: // Final(종료)
		$stat_str = "종료";
		//$bgcolor = "#E0E0E0";
		$bgcolor = "#FFE0E0";
		break;
	case EXTEND: // Extend(연장)
		$stat_str = "연장";
		//$bgcolor = "#F4D0FF";
		$bgcolor = "#FFFFFF";
		break;
	default:
		$stat_str = "-";
		$bgcolor = "#FFFFFF";
		break;
	}
}

//
// 출/퇴근 시간에 따른 백그라운드 컬러와 메세지 설정
//
// $st_ts_sec = 현재 출근시간
// $st_tm_sec = 원래 출근시간
// $end_ts_sec = 현재 퇴근시간
// $end_tm_sec = 원래 퇴근시간
// $over_allow_time = 허용여유시간
// $prov_flag = 승인/허가 여부
//
// $bg_color = 백그라운드 컬러
// return 1 = 승인요, 0=승인불필요
//
function SetBgColorMsg($st_ts_sec, $st_tm_sec, $end_ts_sec, $end_tm_sec, $over_allow_time, $prov_flag, &$bg_color)
{

	// 승인/허가 했으면 색갈표시 변경
	if ($prov_flag == PERMIT)
	{
		$bg_color = "#A8CFFA";
		return 0;
	}
	if ($prov_flag == CONFIRM)
	{
		$bg_color = "#CFFAA8";
		return 0;
	}

	// 연차나 휴가등 다른 이유
	if ($st_ts_sec == 0)
	{
		$bg_color = "#FAD3A8";
		return 1;
	}

	// 지각체크
	if ($st_ts_sec <= $st_tm_sec)
	{
		$bg_color = "#EEF1F5";
		return 0;
	}

	// 규정시간 이후에 출근했는데, 허용시간내에 출근한 경우.
	if ($st_ts_sec > $st_tm_sec+OVER_ALLOW_TIME)
	{
		// 지각
		$bg_color = "#FAD3A8";
		return 1;
	}
	$bg_color = "#FFFACD";
	return 0;
}

?>
