<?php
//
//    $Id: ip_add.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//    NAME: IP등록
//    ARGUMENT:
//
//    DESCRIPTION:
//			새로운 IP를 추가한다.
//
//			IP 추가 버튼을 클릭하면 팝업창에 새로 등록할 이미 등록된 IP 그룹 내에서 IP에 대한 정보를 입력할 수 있다.
//
//    TO DO:
//
//    REFERENCE:
//

	require_once("include/config.php");
	require_once("include/mysql.php");
	require_once("include/util.php");

	$mysql = new DB_Sql();
  	if ($mysql->connect("book") == 0)
	{
		PutLog (__FILE__,__LINE__,ERROR,"'book' DB Connect Faild:".$mysql->Error,TRUE);
		exit;
	}

	$gid = $_GET["gid"];
	$query = "	SELECT	ip_grp, start_ip, end_ip
				FROM ip_grp 
				WHERE	grid = '" . $gid  . "'
			 ";
	if (!$mysql->query($query)) {
		$mysql->close();
		goback("IP 등록 도중 오류가 발생하였습니다.");
	}

	if ($mysql->nf() > 0) {
		$mysql->next_record();
		$ip_grp		= $mysql->f("ip_grp");
		$start_ip	= $mysql->f("start_ip");
		$end_ip		= $mysql->f("end_ip");

	} else {
		reload_opener("해당 IP 대역이 없습니다. 다시 확인하시고 등록하세요. ");
	}
	
	if (isset($_POST["act"]) && $_POST["act"] == "Y") {
		/***************************
		 * 데이터 유효성 검사
		 ***************************/
		if (!isset($_POST["ip_4"]) || $_POST["ip_4"] == "" || strlen($_POST["ip_4"]) > 3) {
			goback("IP명을 정확하게 입력해 주십시오.");
		}

		$reg_id			= trim($_POST["reg_id"]);
		$ip				= trim($_POST["ip"]);
		$domain			= trim($_POST["domain"]);
		$expire_date	= trim($_POST["expire_date"]);
		$customer_num	= trim($_POST["customer_num"]);
		$category		= trim($_POST["category"]);
		$status			= trim($_POST["status"]);
		$title			= trim($_POST["title"]);
		$memo			= trim($_POST["memo"]);
		$wk_id			= $_SERVER["PHP_AUTH_USER"];
		$use_id			= trim($_POST["use_id"]);

		$ip_4			= trim($_POST["ip_4"]);
		$sub_mask		= trim($_POST["sub_mask"]);
		$gateway		= trim($_POST["gateway"]);

		if ( !(($ip_4 >= $start_ip) && ($ip_4 <= $end_ip)) ) {
			goback("해당 IP 대역 내에 포함된 IP가 아닙니다. 다시 확인하시고 등록하세요. ");
		}

		$ip = $ip_grp.".".$ip_4;

		$query = " SELECT ip FROM ip_manager WHERE ip = '" . $ip  . "'";
		if (!$mysql->query($query)) {
			$mysql->close();
			goback("IP 등록 도중 오류가 발생하였습니다.");
		}

		if ($mysql->nf() > 0) {
			$mysql->close();
			closewin("이미 등록된 IP와 중복되어 IP를 등록하지 않고 현재 창을 닫습니다");
		}

		/**************************
		* INSERT INTO TABLE       *
		**************************/

		$query = "
				INSERT INTO ip_manager (
							gid, reg_id, ip, sub_mask, gateway, domain, expire_date, title, category, memo, ts, wk_id, use_id, ip_idx
				) VALUES (
							'" . $gid . "',
							'" . $reg_id . "',
							'" . $ip . "', 
							'" . $sub_mask . "', 
							'" . $gateway . "', 
							'" . $domain . "',
							'" . $expire_date . "',
							'" . $title . "',
							'" . $category . "',
							'" . $memo . "',
							now(),
							'" . $wk_id . "',
							'" . $use_id . "',
							SUBSTRING_INDEX('" . $ip . "','.',-1)
				)";

		if (!$mysql->query($query)) {
			$mysql->close();
			goback("IP 등록 도중 오류가 발생하였습니다.");
		}

		$mysql->close();
		reload_opener("새 IP가 등록되었습니다.");

	} else {
/*
		$query = "SELECT name 
				  FROM   intranet.t_user 
				  WHERE  id = '" . $_SERVER["PHP_AUTH_USER"] . "'";

		if (!$mysql->query($query)) {
			$mysql->close();
			closewin("세션 사용자 정보 조회 도중 오류가 발생하였습니다.");
		}

		if ($mysql->nf() == 0) {
			$mysql->close();
			closewin("세션 사용자 정보를 찾을 수 없습니다.");
		}

		$mysql->next_record();
		$worker      = $_SERVER["PHP_AUTH_USER"];
		$worker_name = $mysql->f("name");
*/

		$query = "SELECT distinct sub_mask, gateway, category
				  FROM   book.ip_manager
				  WHERE  gid = '" . $gid . "'";

		if (!$mysql->query($query)) {
			$mysql->close();
			closewin("세션 사용자 정보 조회 도중 오류가 발생하였습니다.");
		}

		if ($mysql->nf() == 0) {
			$mysql->close();
			closewin("세션 사용자 정보를 찾을 수 없습니다.");
		}

		$mysql->next_record();
		$sub_mask	= $mysql->f("sub_mask");
		$gateway	= $mysql->f("gateway");
		$category	= $mysql->f("category");
	}
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>IP 등록</title>
<link rel="stylesheet" type="text/css" href="include/css.css">
<script language="javascript" src="include/script.js"></script>
<script language="javascript">

	function init_document(form) {
			form.ip_4.focus();
	}

	function check_data(form) {

		if (form.ip_4.value == "" || form.ip_4.value >= 256 || form.ip_4.value < 0) {
			alert("IP를 정확하게 입력해 주십시오.");
			form.ip_4.focus();
			return false;
		}

		return true;
	}
</script>
</head>


<body bgcolor="#f8f8f8" onload="javascript:init_document(document.forms[0])">

<form name="book_add" method="post" onsubmit="javascript:return check_data(this)">
<input type="hidden" name="act"		value="Y">

<table width="90%" border="0" cellpadding="3" cellspacing="0" align="center">
	<tr>
		<td colspan="3"><b>:: IP 등록 ::</b></td>
	</tr>
	<tr>
		<td colspan="3" height="5">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="3" style="border-top-style:dashed; border-top-width:1px; border-top-color:#c8c8c8">&nbsp;</td>
	</tr>
	<tr>
		<td align="right">IP</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><?=$ip_grp?>.  <input type="text" name="ip_4" size="3" class="box">&nbsp;( <?=$start_ip?> &nbsp;~&nbsp;<?=$end_ip?> 사이 )</td>
	</tr>
	<tr>
		<td align="right">서브넷 마스크</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><?=$sub_mask?></td>
	</tr>
	<tr>
		<td align="right">게이트웨이</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><?=$gateway?></td>
	</tr>

<?php
/*
			$query = "SELECT id, name 
					  FROM   intranet.t_user 
					  ORDER  BY name ASC";

			if (!$mysql->query($query)) {
				$mysql->close();
				closewin("사용자 목록 구성 중 오류가 발생하였습니다.");
			}

			if ($mysql->nf() > 0) {
				for ( $i = 0; $mysql->next_record(); $i++ ) {
					$tmp_name[$i] = $mysql->f("name");
				}
			}
*/
?>
	<tr>
		<td align="right">사용자</td>
		<td><font color="#c8c8c8">|</font></td>
		<td>
			<select name="use_id" >
			<option value=""></option>
<?php
		for ( $j = 0; $j < $i; $j++ ) {
?>
			<option value="<?=$tmp_name[$j]?>"><?=$tmp_name[$j]?></option>
<?php
		}
?>
			</select>
		</td>
	</tr>

	<tr>
		<td align="right">도메인</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><input type="text" name="domain" size="40" class="box"></td>
	</tr>

<?php
			$query = "SELECT cat_name, CASE cat_name WHEN '기타' THEN 'A'  END C
					  FROM   book.ip_category ORDER BY C, cat_name;
					  ";

			if (!$mysql->query($query)) {
				$mysql->close();
				closewin("카테고리 목록 구성 중 오류가 발생하였습니다.");
			}

			if ($mysql->nf() > 0) {
				for ( $k = 0; $mysql->next_record(); $k++ ) {
					$cat_name[$k] = $mysql->f("cat_name");
				}
			}
?>
	<tr>
		<td align="right">사용목적</td>
		<td><font color="#c8c8c8">|</font></td>
		<td>
			<select name="category" >
			<option value=""></option>
<?php
		for ( $j = 0; $j < $k; $j++ ) {
?>
			<option value="<?=$cat_name[$j]?>"<?=($cat_name[$j] == $category ? "selected":"")?>><?=$cat_name[$j]?></option>
<?php
		}
?>
			</select>
		</td>
	</tr>

	<tr>
		<td align="right">사용용도</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><input type="text" name="title" size="40" class="box"></td>
	</tr>

	<tr>
		<td align="right">상태</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><input type="text" name="status" size="40" class="box"></td>
	</tr>

	<tr>
		<td align="right">메모</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><textarea name="memo" cols="40" rows="3" class="box"></textarea></td>
	</tr>

	<tr>
		<td align="right">만료일</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><input type="text" name="expire_date" value="" size="10" maxlength="10" class="box"> <a 
		href="javascript:open_Calendar(document.forms[0].expire_date)"><img
		src="../intranet/Calendar/icon_cal.gif" border="0" align="absmiddle"></a> (입력예: YYYY-MM-DD)</td>
	</tr>

	<tr>
		<td align="right">등록자</td>
		<td><font color="#c8c8c8">|</font></td>
		<td>
			<select name="reg_id" >
			<option value=""></option>
<?php
		for ( $j = 0; $j < $i; $j++ ) {
?>
			<option value="<?=$tmp_name[$j]?>"><?=$tmp_name[$j]?></option>
<?php
		}
?>
			</select>
		</td>
	</tr>

	<tr>
		<td colspan="3" height="5">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="3" style="border-top-style:dashed; border-top-width:1px; border-top-color:#c8c8c8">&nbsp;</td>
	</tr>

	<tr>
		<td colspan="3" align="center"><input type="submit" value="등록" class="bttn">&nbsp;<input 
		type="button" value="닫기" class="bttn" onclick="self.close()"></td>
	</tr>
</table>
</form>
</body>
</html>
<?php
	$mysql->close();
?>

