<?php
//
//    $Id: ip_delete.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//    NAME: IP 정보 삭제
//    ARGUMENT:
//
//    DESCRIPTION:
//			IP 정보를 삭제한다.
//
//			IP 목록 창에서 IP를 클릭하면 팝업창이 뜨며, 이 창에서 해당 IP에 대한 정보를 수정하거나 삭제할 수 있다. 
//			수정 시에는 수정이 용이하도록 전에 저장해 둔 정보가 출력되며, 수정 버튼을 누르면 즉시 반영된다. 
//			삭제 버튼을 누르면 삭제 여부를 재확인하고 해당 IP의 IP 정보를 삭제한다. 
//			이 때 모든 IP 정보가 삭제된다. 
//
//    TO DO:
//
//    REFERENCE:
//

	require_once("include/config.php");
	require_once("include/mysql.php");
	require_once("include/util.php");

?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="expires" content="">
<title>▒ 삼정데이타서비스(주) ▒</title>
<link rel="stylesheet" type="text/css" href="include/css.css">
<script language="javascript" src="include/script.js"></script>
<script language="javascript" src="include/calendar_g.js"></script>
<script language="javascript" src="include/calendar-kor.js"></script>
<script language="javascript" src="include/calendar-setup.js"></script>
</head>
<body leftmargin=0 topmargin=0>
<?
	if (!isset($_POST["sid"]) || $_POST["sid"] == "") {
		goback("잘못된 링크입니다.");
	}

	$mysql = new DB_Sql();
  	if ($mysql->connect("book") == 0)
	{
		PutLog (__FILE__,__LINE__,ERROR,"'book' DB Connect Faild:".$mysql->Error,TRUE);
		exit;
	}

	$query = "SELECT ip, wk_id 
			  FROM   ip_manager 
			  WHERE  sid = '".$_POST["sid"]."'";

	if (!$mysql->query($query)) {
		$mysql->close();
		goback("삭제할 IP 정보를 조회하는 도중 오류가 발생하였습니다.");
	}

	if ($mysql->nf() == 0) {
		$mysql->close();
		goback("이미 삭제되었거나 등록되지 않은 IP 정보입니다.");
	}

	// IP 삭제
	$query = "DELETE 
			  FROM   ip_manager 
			  WHERE  sid = '" . $_POST["sid"]."'";

	if (!$mysql->query($query)) {
		$mysql->close();
		goback("IP를 삭제하는 도중 오류가 발생하였습니다.");
	}

	$mysql->close();
	reload_opener("IP 정보가 삭제되었습니다.");

?>
</body>
</html>

