<?php
//
//    $Id: ip_excel.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//    NAME: IP 목록
//    ARGUMENT:
//
//    DESCRIPTION:
//			EXCEL로 다운받기
//			사용자가 선택한 IP 그룹에 다한 내용을 엑셀로 다운로드
//
//
//    TO DO:
//
//    REFERENCE:
//

	require_once("include/config.php");
	require_once("include/mysql.php");
	require_once("include/util.php");

	$mysql = new DB_Sql();
  	if ($mysql->connect("book") == 0)
	{
		PutLog (__FILE__,__LINE__,ERROR,"'book' DB Connect Faild:".$mysql->Error,TRUE);
		exit;
	}

	$sel_count = count ($_POST["sel"]);

	if ( $sel_count == 0 ) {
		goback("다운로드할 IP 대역을 선택하세요");
	} else {
		$file_name = date("Y-m-d");
		header( "Content-type: application/vnd.ms-excel" ); 
		header( "Content-Disposition: attachment; filename=ip_$file_name.xls" ); 
		header( "Content-Description: PHP4 Generated Data" ); 
		header( "Content-charset=euc-kr" ); 

		for ( $i = 0; $i < $sel_count; $i++ ) {
			if ( $i == 0 ) {
				$condition = " WHERE gid = '".$_POST["sel"][$i]."'";
			} else {
				$condition .= " OR gid = '".$_POST["sel"][$i]."'";
			}
			$query = "SELECT ip_grp, start_ip, end_ip, mode FROM ip_grp WHERE grid = '".$_POST["sel"][$i]."'";
			if (!$mysql->query($query)) {
				$mysql->close();
				goback("IP 그룹 목록을 조회하는 도중 오류가 발생하였습니다.");
			}
			if($mysql->nf() > 0){
				$mysql->next_record();
				$ip_grp[$i]		= $mysql->f("ip_grp");
				$start_ip[$i]	= $mysql->f("start_ip");
				$end_ip[$i]		= $mysql->f("end_ip");
				$mode[$i]		= $mysql->f("mode");
			}
		}
	}

	$orderby = " ORDER BY sid ASC";

	$query = "
			SELECT	sid, 
					gid, 
					reg_id, 
					ip, 
					domain, 
					expire_date, 
					customer_num,  
					category,  
					title,  
					status,  
					memo,
					use_id
			FROM	ip_manager 
					" . $condition . " 
					" . $orderby;

	if (!$mysql->query($query)) {
		$mysql->close();
		goback("IP 목록을 조회하는 도중 오류가 발생하였습니다.");
	}

// 이것은 excel 출력이므로 euc-kr 을 사용한다.
?>

<!-- start list -->
<table width="100%" border="1" cellpadding="3" cellspacing="1" >
		<tr height="22">
			<td align="center" colspan="3"> IP 대역 : <?=$ip_grp[0]?>.<?=$start_ip[0]?> ~ <?=$end_ip[0]?></td>
		</tr>
		<tr height="22" align="center" >

				<!-- IP -->
			<td width="10%" class="title">IP</td>

				<!-- 서비스번호 -->
			<td width="10%" class="title">서비스번호</td>

				<!-- 사용고객명 -->
			<td width="10%" class="title">사용고객명</td>
<?php
			if ( $mode[0] == 'COMPANY' ) {
				$pc_detail	= 'ON';
?>
					<!-- PC 사양 -->
				<td width="10%" class="title">PC 사양</td>
<?php
			}
?>

		</tr>
<?php
	if($mysql->nf() > 0) {
		$index		= 0;
		$grp_count	= 1;
		while($mysql->next_record()) {

			if ( $index == 0 ) {
				$gid = $mysql->f("gid");
			} else {
				if ( $gid != $mysql->f("gid") ) {
					$gid = $mysql->f("gid");
?>
					<tr height="22">
						<td colspan="2"></td>
					</tr>
					<tr height="22">
						<td align="center" colspan="3"> IP 대역 : <?=$ip_grp[$grp_count]?>.<?=$start_ip[$grp_count]?> ~ <?=$end_ip[$grp_count]?></td>
					</tr>
					<tr height="22" align="center" >

							<!-- IP -->
						<td width="10%" class="title">IP</td>

							<!-- 서비스번호 -->
						<td width="10%" class="title">서비스번호</td>

							<!-- 사용고객명 -->
						<td width="10%" class="title">사용고객명</td>
<?php
					if ( $mode[$grp_count] == 'COMPANY' ) {
						$pc_detail	= 'ON';
?>
							<!-- PC 사양 -->
						<td width="10%" class="title">PC 사양</td>
<?php
					}
?>

					</tr>
<?php
					$grp_count++;
				}
			}

?>
			<tr height="22">
				<td align="center"><?=($mysql->f("ip"))?></a></td>
				<td align="center"><?=($mysql->f("customer_num"))?></td>
				<td align="center"><?=($mysql->f("use_id"))?></td>
<?php
				if ( $pc_detail == 'ON' ) {

					$item_mysql = new DB_Sql();

					$item_query = " SELECT item.item_code, item.item_name
									FROM  computer
									LEFT OUTER JOIN item ON computer.item_sid = item.sid
									WHERE computer.pc_ip = '" . $mysql->f("ip") . "'
									ORDER BY computer.sid;
								  ";
					if (!$item_mysql->query($item_query)) {
						$item_mysql->close();
						goback("IP 그룹을 조회하는 도중 오류가 발생하였습니다.");
					}
					if ( $mysql->f("use_id") ) {
						if($item_mysql->nf() > 0) {
?>
							<td align="center" >
							<table  width="80%" border="0" cellpadding="0" cellspacing="0">
<?php
							while($item_mysql->next_record()) {
								switch ( $item_mysql->f("item_code") ) {
									case CPU_ :
?>
										<tr><td>
										CPU : <?=($item_mysql->f("item_name"))?></td></tr> <?php
										break;

									case MEM_ :
?>
										<tr><td>
										RAM : <?=($item_mysql->f("item_name"))?></td></tr> <?php
										break;

									case HDD_ :
?>
										<tr><td>
										HDD : <?=($item_mysql->f("item_name"))?></td></tr> <?php
										break;

									case ODD_ :
?>
										<tr><td>
										ODD : <?=($item_mysql->f("item_name"))?></td></tr> <?php
										break;

									case MON1 :
?>
										<tr><td>
										MONITOR1: <?=($item_mysql->f("item_name"))?></td></tr> <?php
										break;

									case MON2 :
?>
										<tr><td>
										MONITOR2: <?=($item_mysql->f("item_name"))?></td></tr> <?php
										break;

									default :
										break;
								}
							} /* while */
?>
							</table>
<?php
						}
					}
					$item_mysql->close();
?>
					</td>
<?php
				}
?>
			</tr>
<?php
			$index++;
		}
	} else {
		if( isset($_GET["ip"]) && $_GET["ip"] == "all" ) {
?>
			<tr height="22">
				<td colspan="3" align="center">등록된 IP가 없습니다.</td> 
			</tr>
<?php
		} else {
?>
			<tr height="22">
				<td colspan="3" align="center">검색된 IP가 없습니다.</td> 
			</tr>
<?php
		}
	}
?>

</table><br>
<!--// end list -->

<?php
	$mysql->close();
?>
