<?php
//
//    $Id: ip_modify.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//    NAME: IP 수정
//    ARGUMENT:
//
//    DESCRIPTION:
//			새로운 IP를 수정한다.
//
//          IP 목록 창에서 IP를 클릭하면 팝업창이 뜨며, 이 창에서 해당 IP에 대한 정보를 수정하거나 삭제할 수 있다.
//          수정 시에는 수정이 용이하도록 전에 저장해 둔 정보가 출력되며, 수정 버튼을 누르면 즉시 반영된다.
//          삭제 버튼을 누르면 삭제 여부를 재확인하고 해당 IP의 IP 정보를 삭제한다.
//          이 때 모든 IP 정보가 삭제된다.
//
//    TO DO:
//
//    REFERENCE:
//

	require_once("include/config.php");
	require_once("include/mysql.php");
	require_once("include/util.php");

	$mysql = new DB_Sql();
  	if ($mysql->connect("book") == 0)
	{
		PutLog (__FILE__,__LINE__,ERROR,"'book' DB Connect Faild:".$mysql->Error,TRUE);
		exit;
	}


	if (isset($_POST["act"]) && $_POST["act"] == "Y") {
		/***************************
		 * 데이터 유효성 검사
		 ***************************/
		/*
		if (!isset($_POST["ip_1"]) || $_POST["ip_1"] == "" || strlen($_POST["ip_1"]) > 3) {
			goback("IP명을 정확하게 입력해 주십시오.");
		}
		*/

		/***************************
		* 데이터 수정
		****************************/
		$sid			= trim($_POST["sid"]);
		$reg_id			= trim($_POST["reg_id"]);
		$ip				= trim($_POST["ip"]);
		$domain			= trim($_POST["domain"]);
		$expire_date	= trim($_POST["expire_date"]);
		$customer_num	= trim($_POST["customer_num"]);
		$category		= trim($_POST["category"]);
		$status			= trim($_POST["status"]);
		$title			= trim($_POST["title"]);
		$memo			= trim($_POST["memo"]);
		$use_id			= trim($_POST["use_id"]);

		$sub_mask_1     = trim($_POST["sub_mask_1"]);
		$sub_mask_2     = trim($_POST["sub_mask_2"]);
		$sub_mask_3     = trim($_POST["sub_mask_3"]);
		$sub_mask_4     = trim($_POST["sub_mask_4"]);
		$sub_mask       = $sub_mask_1.".".$sub_mask_2.".".$sub_mask_3.".".$sub_mask_4;

		$gateway_1      = trim($_POST["gateway_1"]);
		$gateway_2      = trim($_POST["gateway_2"]);
		$gateway_3      = trim($_POST["gateway_3"]);
		$gateway_4      = trim($_POST["gateway_4"]);
		$gateway        = $gateway_1.".".$gateway_2.".".$gateway_3.".".$gateway_4;

		/***************************
		* UPDATE DATA
		****************************/
		$query = "
				  UPDATE	book.ip_manager SET
							reg_id		= '" . $reg_id . "',
							ip			= '" . $ip . "', 
							sub_mask	= '" . $sub_mask . "', 
							gateway		= '" . $gateway . "', 
							domain		= '" . $domain . "',
							expire_date	= '" . $expire_date . "',
							customer_num= '" . $customer_num . "',
							category	= '" . $category . "',
							title		= '" . $title . "',
							memo		= '" . $memo . "',
							ts			= now(),
							wk_id		= '" . $_SERVER["PHP_AUTH_USER"] . "',
							use_id		= '" . $use_id . "'
				  WHERE sid = ". $sid;
							
		if (!$mysql->query($query)) {
			$mysql->close();
			goback("IP 정보 수정 도중 오류가 발생하였습니다.");
		}

		$mysql->close();
		reload_opener("IP정보가 수정되었습니다.");

	} else {
		$sid = trim($_GET["sid"]);
/*
		$query = "SELECT name 
				  FROM   intranet.t_user 
				  WHERE  id = '" . $_SERVER["PHP_AUTH_USER"] . "'";

		if (!$mysql->query($query)) {
			$mysql->close();
			closewin("세션 사용자 정보 조회 도중 오류가 발생하였습니다.");
		}

		if ($mysql->nf() == 0) {
			$mysql->close();
			closewin("세션 사용자 정보를 찾을 수 없습니다.");
		}

		$mysql->next_record();
		$worker      = $_SERVER["PHP_AUTH_USER"];
		$worker_name = $mysql->f("name");
*/

		if (isset($sid) && $sid != "" && $sid != "0") {
			$query = "SELECT
							reg_id,
							ip,
							sub_mask,
							gateway,
							domain,
							expire_date,
							customer_num,
							category,
							status,
							title,
							memo,
							use_id
					  FROM	book.ip_manager 
					  WHERE	sid = " . $sid;

			if (!$mysql->query($query)) {
				$mysql->close();
				closewin("IP 정보 조회 도중 오류가 발생하였습니다.");
			}

			if ($mysql->nf() == 0) {
				$mysql->close();
				closewin("IP 정보를 찾을 수 없습니다.");
			}

			$mysql->next_record();
			$reg_id			= $mysql->f("reg_id");
			$ip				= $mysql->f("ip");
			$sub_mask		= $mysql->f("sub_mask");
			$gateway		= $mysql->f("gateway");
			$domain			= $mysql->f("domain");
			$expire_date	= $mysql->f("expire_date");
			$customer_num	= $mysql->f("customer_num");
			$category		= $mysql->f("category");
			$status			= $mysql->f("status");
			$title			= $mysql->f("title");
			$memo			= $mysql->f("memo");
			$use_id			= $mysql->f("use_id");

		}
	}
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>IP 수정</title>
<link rel="stylesheet" type="text/css" href="include/css.css">
<script language="javascript" src="include/script.js"></script>
</head>


<body bgcolor="#f8f8f8">

<form name="book_add" method="post">
<input type="hidden" name="act"	value="Y">
<input type="hidden" name="ip"	value="<?=$ip?>">
<input type="hidden" name="sid"	value="<?=$sid?>">

<table width="90%" border="0" cellpadding="3" cellspacing="0" align="center">
	<tr>
		<td colspan="3"><b>:: IP 수정 ::</b></td>
	</tr>
	<tr>
		<td colspan="3" height="5">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="3" style="border-top-style:dashed; border-top-width:1px; border-top-color:#c8c8c8">&nbsp;</td>
	</tr>
	<tr>
		<td align="right">IP</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><?=$ip?></td>
	</tr>
<?php
	if ( (isset($sub_mask)) && ($sub_mask != "") ) {
		$tmp_mask = explode (".", $sub_mask);
	}
?>
	<tr>
		<td align="right">서브넷마스크</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><input type="text" name="sub_mask_1" value="<?=$tmp_mask[0]?>" size="3" class="box">.
			<input type="text" name="sub_mask_2" value="<?=$tmp_mask[1]?>" size="3" class="box">.
			<input type="text" name="sub_mask_3" value="<?=$tmp_mask[2]?>" size="3" class="box">.
			<input type="text" name="sub_mask_4" value="<?=$tmp_mask[3]?>" size="3" class="box"></td>
	</tr>
<?php
	if ( (isset($gateway)) && ($gateway != "") ) {
		$tmp_gate = explode (".", $gateway);
	}
?>
	<tr>
		<td align="right">게이트웨이</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><input type="text" name="gateway_1" value="<?=$tmp_gate[0]?>" size="3" class="box">.
			<input type="text" name="gateway_2" value="<?=$tmp_gate[1]?>" size="3" class="box">.
			<input type="text" name="gateway_3" value="<?=$tmp_gate[2]?>" size="3" class="box">.
			<input type="text" name="gateway_4" value="<?=$tmp_gate[3]?>" size="3" class="box"></td>
	</tr>

	<tr>
		<td align="right">도메인</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><input type="text" name="domain" value="<?=$domain?>" size="20" class="box"></td>
	</tr>

<?php
/*
	$query = "SELECT id, name 
			  FROM   intranet.t_user WHERE disable=0
			  ORDER  BY name ASC";

	if (!$mysql->query($query)) {
		$mysql->close();
		closewin("사용자 목록 구성 중 오류가 발생하였습니다.");
	}

	if ($mysql->nf() > 0) {

		for ( $i = 0; $mysql->next_record(); $i++ ) {
			$tmp_name[$i] = $mysql->f("name");
		}
	}
*/
?>

	<tr>
		<td align="right">서비스번호</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><input type="text" name="customer_num" value="<?=$customer_num?>" size="10" class="box"></td>
	</tr>

	<tr>
		<td align="right">사용자</td>
		<td><font color="#c8c8c8">|</font></td>
		<td>
			<select name="use_id" >
			<option value=""></option>
<?php
		for ( $j = 0; $j < $i; $j++ ) {
?>
			<option value="<?=$tmp_name[$j]?>"<?php if($tmp_name[$j] == $use_id) { ?> selected<?php } ?>><?=$tmp_name[$j]?></option>
<?php
		}
?>
			</select>
		</td>
	</tr>

	<tr>
		<td align="right">사용목적</td>
		<td><font color="#c8c8c8">|</font></td>
		<td>
			<select name="category" >
			<option value=""></option>
<?php
			$query = "SELECT distinct cat_name, CASE cat_name WHEN '기타' THEN 'A'  END C
					  FROM   book.ip_category ORDER BY C, cat_name;
					 ";


			if (!$mysql->query($query)) {
				$mysql->close();
				closewin("카테고리 목록 구성 중 오류가 발생하였습니다.");
			}
			if ($mysql->nf() > 0) {
				for ( $k = 0; $mysql->next_record(); $k++ ) {
					$tmp_cat = $mysql->f("cat_name");
?>
					<option value="<?=$tmp_cat?>"<?=($tmp_cat == $category ? "selected":"")?>><?=$tmp_cat?></option>
<?php
				}
			}
?>
			</select>
		</td>
	</tr>

	<tr>
		<td align="right">사용용도</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><input type="text" name="title" value="<?=$title?>" size="20" class="box"></td>
	</tr>

	<tr>
		<td align="right">상태</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><input type="text" name="status" value="<?=$status?>" size="16" class="box"> "사용중/사용예약/휴지" 중 선택하여 작성</td>
	</tr>

	<tr>
		<td align="right">메모</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><textarea name="memo" cols="40" rows="3" class="box"><?=$memo?></textarea></td>
	</tr>

	<tr>
		<td align="right">만료일</td>
		<td><font color="#c8c8c8">|</font></td>
		<td><input type="text" name="expire_date" value="<?=($expire_date == '0000-00-00'? "":($expire_date))?>" size="10" maxlength="10" class="box"> <a 
		href="javascript:open_Calendar(document.forms[0].expire_date)"><img
		src="../intranet/Calendar/icon_cal.gif" border="0" align="absmiddle"></a> (입력예: YYYY-MM-DD)</td>
	</tr>

	<tr>
		<td align="right">등록자</td>
		<td><font color="#c8c8c8">|</font></td>
		<td>
			<select name="reg_id" >
			<option value=""></option>
<?php
		for ( $j = 0; $j < $i; $j++ ) {
?>
			<option value="<?=$tmp_name[$j]?>"<?php if($tmp_name[$j] == $reg_id) { ?> selected<?php } ?>><?=$tmp_name[$j]?></option>
<?php
		}
?>
			</select>
		</td>
	</tr>

	<tr>
		<td colspan="3" height="5">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="3" style="border-top-style:dashed; border-top-width:1px; border-top-color:#c8c8c8">&nbsp;</td>
	</tr>

	<tr>
		<td colspan="3" align="center"><input type="submit" value="수정" class="bttn">&nbsp;<input
		type="button" value="삭제" class="bttn" onclick="javascript:delete_ip(document.forms[0], <?=($sid)?>)">&nbsp;<input 
		type="button" value="닫기" class="bttn" onclick="self.close()"></td>
	</tr>
</table>
</form>
</body>
</html>
<?php
	$mysql->close();
?>

