<?
//
//	$Id: mac_history.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//	NAME: arp_put
//	ARGUMENT:
//	DESCRIPTION:
//		MAC 변경 이력목록
//
//	REFERENCE:
//
//		mysql> desc ipmac_history;
//		+--------+---------------------------+------+-----+---------+----------------+
//		| Field  | Type                      | Null | Key | Default | Extra          |
//		+--------+---------------------------+------+-----+---------+----------------+
//		| sid    | int(11)                   | NO   | PRI | NULL    | auto_increment |
//		| mac    | varchar(32)               | NO   |     |         |                |
//		| ip     | varchar(16)               | NO   |     |         |                |
//		| status | enum('N','U','E','D','A') | NO   |     |         |                |
//		| ts     | datetime                  | YES  |     | NULL    |                |
//		+--------+---------------------------+------+-----+---------+----------------+
//		5 rows in set (0.01 sec)
//

	require_once("./config.php");
	require_once("../include/config.php");
	require_once("DIRECTLIB/adodb/adodb.inc.php");
	require_once("DIRECTLIB/include/db.php");


	$db = db_conn ($database_type, $database_hostname, $database_username, $database_password, $database_default);
	if ($db === false)
	{
		die ("DB connect faild");
	}

	// for gr_open()
	$et=time(); $st=$et-(3600*24);

	$ts = time() - (3600 * 24 * 2);	// n일전 TIMESTAMP
	$bf3_date = date ("Y-m-d H:i:s", $ts);
//echo __LINE__."BF3DATE=$bf3_date<br>\n";

	$query = "SELECT mac, status, ts FROM ipmac_history WHERE ip='".$_GET["ip"]."' ORDER BY ts DESC";
	if (($mac_arr = get_array($db, $query)) === false) $mac_arr = array();
//echo __LINE__.":SQL=[$query]<br>\n";

?>
<html>
<head>
<title>MAC HISTORY - Samjung Data Service Network Admin</title>
<link rel="stylesheet" type="text/css" href="style.css" />
</script>
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div align="left" style="margin-left:10px;">
<table width="90%" border=0>
 <tr>
  <td align="left">
    <font size="3"><b>MAC HISTORY LIST</b></font>
  </td>
 </tr>
</table>
<table width="98%" border="0" bgcolor="#EFEFEF">
  <tr bgcolor="#3154a5" height="24" align="center">
    <td width="32"><font color="white">NO</font></td>
    <td width="120"><font color="white">MAC</font></td>
    <td width="80"><font color="white">STATUS</font></td>
    <td width="*"><font color="white">TS</font></td>
  </tr>
<?
	for ($i=0; $i<count($mac_arr); $i++)
	{
?>
  <tr bgcolor="<?=(($mac_arr[$i]["ts"]>$bf3_date)?"yellow":"white")?>">
	<td align="center"><?=($i+1)?></td>
	<td align="center"><a href="javascrip:mac_history('<?=$mac_arr[$i]["ip"]?>')"><?=$mac_arr[$i]["mac"]?></a></td>
	<td align="center"><a href="javascrip:mac_history('<?=$mac_arr[$i]["ip"]?>')"><?=$status_msg[$mac_arr[$i]["status"]]?></a></td>
	<td align="center"><?=$mac_arr[$i]["ts"]?></td>
  </tr>
<?
	}
?>
</table>
<br>
</body>
</html>

<?
/////////////// FUNCTION /////////////////

?>
