<?
//
//	$Id: mac_list.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//	NAME: arp_put
//	ARGUMENT:
//	DESCRIPTION:
//		MAC 변경 이력목록
//
//	REFERENCE:
//
//		mysql> desc ip_table;
//		+--------+---------------------------+------+-----+---------+----------------+
//		| Field  | Type                      | Null | Key | Default | Extra          |
//		+--------+---------------------------+------+-----+---------+----------------+
//		| sid    | int(11)                   | NO   | PRI | NULL    | auto_increment |
//		| mac    | varchar(32)               | NO   |     |         |                |
//		| ip     | varchar(16)               | NO   | UNI |         |                |
//		| status | enum('N','U','E','D','A') | NO   |     |         |                |
//		| L3_ip  | varchar(16)               | YES  |     | NULL    |                |
//		| vlan   | varchar(16)               | YES  |     | NULL    |                |
//		| eip    | varchar(16)               | YES  |     | NULL    |                |
//		| ts     | datetime                  | YES  |     | NULL    |                |
//		+--------+---------------------------+------+-----+---------+----------------+
//		8 rows in set (0.00 sec)
//		
//		mysql> desc ipmac_history;
//		+--------+---------------------------+------+-----+---------+----------------+
//		| Field  | Type                      | Null | Key | Default | Extra          |
//		+--------+---------------------------+------+-----+---------+----------------+
//		| sid    | int(11)                   | NO   | PRI | NULL    | auto_increment |
//		| mac    | varchar(32)               | NO   |     |         |                |
//		| ip     | varchar(16)               | NO   |     |         |                |
//		| status | enum('N','U','E','D','A') | NO   |     |         |                |
//		| ts     | datetime                  | YES  |     | NULL    |                |
//		+--------+---------------------------+------+-----+---------+----------------+
//		5 rows in set (0.01 sec)
//
//		mysql> desc account;
//		+-----------+---------------+------+-----+---------------------+----------------+
//		| Field     | Type          | Null | Key | Default             | Extra          |
//		+-----------+---------------+------+-----+---------------------+----------------+
//		| sid       | int(11)       | NO   | PRI | NULL                | auto_increment |
//		| gid       | int(11)       | NO   | UNI |                     |                |
//		| ip        | varchar(16)   | NO   | MUL |                     |                |
//		| svc_no    | varchar(6)    | NO   |     |                     |                |
//		| name      | tinytext      | YES  |     | NULL                |                |
//		| wkid      | varchar(6)    | NO   |     |                     |                |
//		| ts        | datetime      | NO   |     | 0000-00-00 00:00:00 |                |
//		| limit_cnt | int(11)       | YES  |     | NULL                |                |
//		| pause     | enum('Y','N') | YES  |     | N                   |                |
//		+-----------+---------------+------+-----+---------------------+----------------+
//		9 rows in set (0.00 sec)
//

	require_once("./config.php");
	require_once("../include/config.php");
	require_once("DIRECTLIB/adodb/adodb.inc.php");
	require_once("DIRECTLIB/include/db.php");

	$db = db_conn ($database_type, $database_hostname, $database_username, $database_password, $database_default);
	if ($db === false)
	{
		die ("connect faild");
	}

	// for gr_open()
	$et=time(); $st=$et-(3600*24);

	$ts = time() - (3600 * 24 * 2);	// 3일전 TIMESTAMP
	$bf3_date = date ("Y-m-d H:i:s", $ts);
//echo __LINE__."BF3DATE=$bf3_date<br>\n";

?>
<html>
<head>
<title>MAC LIST - Samjung Data Service Network Admin</title>
<link rel="stylesheet" type="text/css" href="style.css" />
<!--script type="text/javascript" src="./utils_lib.js"></script>
<script type="text/javascript" src="./ajax_lib.js"></script>
<script type="text/javascript" src="./xml_lib.js"></script-->
<script language="javascript">
<!--

function gr_open (gid)
{
	if (gid == "")
	{
		alert ("gid 가 지정되어 있지 않은 IP 입니다.");
		return;
	}
	window.open("../graph_image.php?local_graph_id="+gid+"&rra_id=0&view_type=tree&graph_start=<?=$st?>&graph_end=<?=$et?>",
	"graph", "width=500,height=240");
}

function mac_history (ip)
{
	window.open("mac_history.php?ip="+ip, "mac_history", "width=400,height=240", "scrollbar=1");
}

-->
</script>
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<? require_once ("cacti_head.php") ?>
<br>
<div align="left" style="margin-left:10px;">
<table width="98%" border=0>
 <tr>
  <td align="left">
    <font size="3"><b>L3 MAC LIST</b></font> IP 클릭시 해당 IP 의 그래프, MAC 클릭시 MAC 변경내역이 보여짐.
  </td>
 </tr>
</table>
<table width="1024" border="0" bgcolor="#EFEFEF">
  <tr bgcolor="#3154a5" height="24" align="center">
    <td width="28"><font color="white">NO</font></td>
    <td width="100"><font color="white">IP</font></td>
    <td width="100"><font color="white">MAC</font></td>
    <td width="40"><font color="white">VLAN</font></td>
    <td width="50"><font color="white">상태</font></td>
    <td width="200"><font color="white">ACCOUNT</font></td>
    <td width="80"><font color="white">HUB IP / PORT</font></td>
    <td width="100"><font color="white">HSM MAC</font></td>
    <td width="*"><font color="white">TS</font></td>
  </tr>
<?
	$query = "SELECT a.ip,a.mac,a.status,a.ts,b.name,b.svc_no,b.gid,a.vlan,b.mac AS account_mac,
		b.sw_ip, b.port
		FROM ip_table a LEFT JOIN account b ON a.ip=b.ip ORDER BY a.ts DESC";
	if (($iptable_arr = get_array($db, $query)) === false) $iptable_arr = array();
//echo __LINE__.":SQL=[$query]<br>\n";

	for ($i=0; $i<count($iptable_arr); $i++)
	{
?>
  <tr bgcolor="<?
		$bgcolor = "white";
		if ($iptable_arr[$i]["ts"]>$bf3_date) $bgcolor = "yellow";
		if ($iptable_arr[$i]["status"] == 'D')
		{
			$query = "SELECT mac FROM ipmac_history WHERE ip='".$iptable_arr[$i]["ip"]."' ORDER BY ts DESC LIMIT 2";
			if (($dup_arr = get_array($db, $query)) !== false)
			{
				if ($dup_arr[0]["mac"] == $dup_arr[1]["mac"]) $bgcolor= "orange";
			}
		}
		echo $bgcolor;


		$temp = strtolower($iptable_arr[$i]["mac"]);
		$temp = str_replace (" ", "", $temp);
		$mac = substr ($temp, 0,4) . "." . substr($temp,4,4) . "." . substr($temp,8,4);

		$account_mac = strtolower($iptable_arr[$i]["account_mac"]);
?>">
	<td align="center"><?=($i+1)?></td>
	<td align="center"><a href="javascript:gr_open('<?=$iptable_arr[$i]["gid"]?>')"><?=$iptable_arr[$i]["ip"]?></a></td>
	<td align="center"><a href="javascript:mac_history('<?=$iptable_arr[$i]["ip"]?>')"><?=$mac?><br><?=$iptable_arr[$i]["mac"]?></a></td>
	<td align="center"><?=$iptable_arr[$i]["vlan"]?></td>
	<td align="center"><a href="javascript:mac_history('<?=$iptable_arr[$i]["ip"]?>')"><?=$status_msg[$iptable_arr[$i]["status"]]?></a></td>
	<td align="left">&nbsp;<?=($iptable_arr[$i]["name"]?$iptable_arr[$i]["name"]." (".$iptable_arr[$i]["svc_no"].")":"")?></td>
	<td align="center"><?=$iptable_arr[$i]["sw_ip"]?> <?=($iptable_arr[$i]["port"]?"(".trim($iptable_arr[$i]["port"]).")":"")?></td>
<?		// L3 의 mac 과 HSM 으로 받은 mac 이 같은가 비교하여 다르면, 경고색으로 출력 한다. ?>
	<td align="center"><?=($mac==$account_mac?$account_mac:"<font color=red>$account_mac</font>")?></td>
	<td align="center"><?=$iptable_arr[$i]["ts"]?></td>
  </tr>
<?
	}
?>
</table>
<br>
</body>
</html>

<?
/////////////// FUNCTION /////////////////

?>
