<?
//
//	$Id: sms_setting.php,v 1.1.1.1 2008/10/13 06:13:37 winchild Exp $
//
//	NAME: SMS 설정페이지
//	ARGUMENT:
//	DESCRIPTION:
//		자체 서비스를 위한 설정페이지
//
//	REFERENCE:
//
//		mysql> desc sj_sms;
//		+-------+---------------+------+-----+---------+-------+
//		| Field | Type          | Null | Key | Default | Extra |
//		+-------+---------------+------+-----+---------+-------+
//		| phone | varchar(20)   | NO   | PRI |         |       |
//		| week  | int(11)       | NO   |     |         |       |
//		| st_tm | time          | NO   |     |         |       |
//		| et_tm | time          | NO   |     |         |       |
//		| pause | enum('Y','N') | YES  |     | N       |       |
//		| work  | int(11)       | YES  |     | NULL    |       |
//		| name  | varchar(16)   | YES  |     | NULL    |       |
//		| ts    | datetime      | YES  |     | NULL    |       |
//		+-------+---------------+------+-----+---------+-------+
//
	require_once("../include/config.php");
	require_once("config.php");
	require_once("DIRECTLIB/adodb/adodb.inc.php");
	require_once("DIRECTLIB/include/db.php");

	$db = db_conn ($database_type, $database_hostname, $database_username, $database_password, $database_default);
	if ($db === false)
	{
		die ("connect faild");
	}

	if (isset($_GET["phone"])) $phone = $_GET["phone"];
	else $phone = "";

	if (isset($_POST["submit"]))
	{
		if ($_POST["submit"] == "10분" || $_POST["submit"] == "30분" || $_POST["submit"] == "60분")
		{
			if (($fp = fopen (SMS_PAUSE_FILE, "w+")) == NULL) die (SMS_PAUSE_FILE." file not found");
			$t = time () + intval ($_POST["submit"]) * 60;
			fprintf ($fp, "%ld", $t);
			fclose ($fp);
		}
		if ($_POST["submit"] == "전송해제")
		{
			unlink (SMS_PAUSE_FILE);
		}
		else if ($_POST["submit"] == "Save")
		{
			$val = 0;
			for ($j=0; $j<7; $j++)
			{
				$obj_name = "week_".$j;
				if (isset($_POST[$obj_name])) $val |= $_POST[$obj_name];
			}

			$val2 = 0;
			for ($j=0; $j<4; $j++)
			{
				$obj_name = "work_".$j;
				if (isset($_POST[$obj_name])) $val2 |= $_POST[$obj_name];
			}

			if (isset($_POST["pause"])) $pause = "Y";
			else $pause = "N";

			$query = "REPLACE INTO sj_sms (phone,week,st_tm,et_tm,pause,name,work,ts) VALUES
	('".$_POST["phone"]."','$val','".$_POST["st_tm"]."','".$_POST["et_tm"]."','$pause','".$_POST["name"]."','$val2',NOW())";
			if ($db->Execute ($query) === false) die ("SQL=[$query] : Error");
//echo "SQL(".__LINE__.")=[$query]<br>\n";
			$phone = "";
		}
		else if ($_POST["submit"] == "Delete")
		{
			$query = "DELETE FROM sj_sms WHERE phone='".$_POST["phone"]."'";
			if ($db->Execute ($query) === false) die ("SQL=[$query] : Error");
//echo "SQL(".__LINE__.")=[$query]<br>\n";
		}
	}

	// 세팅변수 FETCH
	$query = "SELECT phone,week,st_tm,et_tm,pause,work,name FROM sj_sms ORDER BY name";
	$set_arr = get_array($db, $query);

?>
<html>
<head>
<title>Samjung Data Serveice - SMS Setting</title>
<link rel="stylesheet" type="text/css" href="style.css" />
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<? require_once ("cacti_head.php") ?>
<br>
<div align="left" style="margin-left:10px;">
<form method="post" action="sms_setting.php">
&nbsp;<font size="3"><b>Backbone Monitor Alarm SMS Setting.</b></font>
<?
	$pause_time = 0;
	$fp = @fopen(SMS_PAUSE_FILE, "r");
	if ($fp)
	{
        $pause_time = intval(fgets($fp, 32));
    	fclose($fp);

		if (intval($pause_time) > time())
			echo "<b><font color=red> (SMS 메시지 전송이 ".date("Y-m-d H:i:s", intval($pause_time))."까지 보류되어 있습니다.)</font></b>";
	}
?>
<br>
<br>
<table width="" border="0" bgcolor="gainsboro">
  <tr bgcolor="#3154a5" height="24" align="center">
	<td rowspan="2"><font color="white">핸드폰번호</font></td>
	<td rowspan="2"><font color="white">성명</font></td>
	<td colspan="4"><font color="white">카네고리분류</font></td>
	<td colspan="8"><font color="white">알람발송일시</font></td>
	<td rowspan="2"><font color="white">발송<br/>중지</font></td>
  </tr>
  <tr bgcolor="#3154a5" height="24" align="center">
	<td width="40"><font color="white">네트웍</font></td>
	<td width="40"><font color="white">메일</font></td>
	<td width="40"><font color="white">LNX 웹</font></td>
	<td width="40"><font color="white">WIN 웸</font></td>
	<td><font color="yellow">일</font></td>
	<td><font color="white">월</font></td>
	<td><font color="white">화</font></td>
	<td><font color="white">수</font></td>
	<td><font color="white">목</font></td>
	<td><font color="white">금</font></td>
	<td><font color="yellow">토</font></td>
	<td><font color="white">발송시간</font></td>
  </tr>
<?
	$v_week = $v_work = 0;
	$v_phone = $v_name = $v_pause = $v_st_tm = $v_et_tm = "";

	for ($i=0; $i<count($set_arr); $i++)
	{
		if ($set_arr[$i]["phone"] == $phone)
		{
			$v_week = $set_arr[$i]["week"];
			$v_phone = $set_arr[$i]["phone"];
			$v_pause = $set_arr[$i]["pause"];
			$v_st_tm = $set_arr[$i]["st_tm"];
			$v_et_tm = $set_arr[$i]["et_tm"];
			$v_work = $set_arr[$i]["work"];
			$v_name = $set_arr[$i]["name"];
		}
?>
  <tr bgcolor="white" align="center">
	<td><a href="sms_setting.php?phone=<?=urlencode($set_arr[$i]["phone"])?>"><?=($set_arr[$i]["phone"]?$set_arr[$i]["phone"]:"-")?></a></td>
	<td><?=$set_arr[$i]["name"]?></td>
<?		for ($j=0; $j<4; $j++)
		{ ?>
	<td><?=(($set_arr[$i]["work"] & pow(2,$j))?"X":"")?></td>
<?		} ?>
<?		for ($j=0; $j<7; $j++)
		{ ?>
	<td><?=(($set_arr[$i]["week"] & pow(2,$j))?"X":"")?></td>
<?		} ?>
	<td><?=$set_arr[$i]["st_tm"]?> ~ <?=$set_arr[$i]["et_tm"]?></td>
	<td><?=(($set_arr[$i]["pause"]=="Y")?"X":"")?></td>
  </tr>
<?
	}
?>
  <tr bgcolor="white" align="center">
	<td colspan="15">&nbsp;</td>
  </tr>
  <tr bgcolor="white" align="center">
	<td>
		<input type="text" name="phone" value="<?=$v_phone?>" size="12" maxlength="20">
	</td>
	<td>
		<input type="text" name="name" value="<?=$v_name?>" size="10" maxlength="20">
	</td>
<?
		for ($j=0; $j<4; $j++)
		{
			$val = pow(2, $j);
?>
	<td>
		<input type="checkbox" name="work_<?=$j?>" value="<?=$val?>"
			<?=(($v_work & $val)?"checked":"")?>>
	</td>
<?		} ?>
<?
		for ($j=0; $j<7; $j++)
		{
			$val = pow(2, $j);
?>
	<td>
		<input type="checkbox" name="week_<?=$j?>" value="<?=$val?>"
			<?=(($v_week & $val)?"checked":"")?>>
	</td>
<?		} ?>
	<td>
		<input type="text" name="st_tm" value="<?=$v_st_tm?>" size="5" maxlength="5"> ~
		<input type="text" name="et_tm" value="<?=$v_et_tm?>" size="5" maxlength="5">
	</td>
	<td>
		<input type="checkbox" name="pause" value="Y" <?=(($v_pause=='Y')?"checked":"")?>>
	</td>
  </tr>
</table>
<input type="submit" name="submit" value="Save">
<input type="submit" name="submit" value="Delete">
<input type="button" name="new" value="New" OnClick="document.location='sms_setting.php'">
/ <b>SMS전송보류:</b>
<input type="submit" name="submit" value="10분">
<input type="submit" name="submit" value="30분">
<input type="submit" name="submit" value="60분">
<input type="submit" name="submit" value="전송해제">
</form>
<br/>
<b><font color="blue">* 오른쪽끝의 "발송중지" 를 체크하면, 기본 설정은 유지한채로 발송하지 않도록 할 수 있음..</font></b><br/>
<b><font color="red">
* 미러링시스템운영에 따라, 2개의 시스템중의 하나는 SMS 경고발송을 제한하고 있으니 중복설정이나 설정을 누락하지 않도록 유의할 것.<br/>
</font></b><br/>
<b>경고메시지 종류</b>
<li>네트웍: 1) Backbone traffic over.  2) ARP spoofing detect. 3) DDos Attack detect.</li>
<li>메일:</li>
</div>
</body>
</html>
